#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1694
#define LARGE_STATE_COUNT 311
#define SYMBOL_COUNT 265
#define ALIAS_COUNT 4
#define TOKEN_COUNT 136
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 106

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_RPAREN = 21,
  anon_sym_await = 22,
  anon_sym_in = 23,
  anon_sym_of = 24,
  anon_sym_while = 25,
  anon_sym_do = 26,
  anon_sym_try = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  sym_glimmer_opening_tag = 43,
  sym_glimmer_closing_tag = 44,
  aux_sym_jsx_text_token1 = 45,
  aux_sym_jsx_text_token2 = 46,
  sym_html_character_reference = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  sym_jsx_identifier = 50,
  anon_sym_DOT = 51,
  anon_sym_LT_SLASH = 52,
  anon_sym_SLASH_GT = 53,
  anon_sym_DQUOTE = 54,
  anon_sym_SQUOTE = 55,
  sym_unescaped_double_jsx_string_fragment = 56,
  sym_unescaped_single_jsx_string_fragment = 57,
  anon_sym_class = 58,
  anon_sym_extends = 59,
  anon_sym_async = 60,
  anon_sym_function = 61,
  anon_sym_EQ_GT = 62,
  sym_optional_chain = 63,
  anon_sym_new = 64,
  anon_sym_PLUS_EQ = 65,
  anon_sym_DASH_EQ = 66,
  anon_sym_STAR_EQ = 67,
  anon_sym_SLASH_EQ = 68,
  anon_sym_PERCENT_EQ = 69,
  anon_sym_CARET_EQ = 70,
  anon_sym_AMP_EQ = 71,
  anon_sym_PIPE_EQ = 72,
  anon_sym_GT_GT_EQ = 73,
  anon_sym_GT_GT_GT_EQ = 74,
  anon_sym_LT_LT_EQ = 75,
  anon_sym_STAR_STAR_EQ = 76,
  anon_sym_AMP_AMP_EQ = 77,
  anon_sym_PIPE_PIPE_EQ = 78,
  anon_sym_QMARK_QMARK_EQ = 79,
  anon_sym_DOT_DOT_DOT = 80,
  anon_sym_AMP_AMP = 81,
  anon_sym_PIPE_PIPE = 82,
  anon_sym_GT_GT = 83,
  anon_sym_GT_GT_GT = 84,
  anon_sym_LT_LT = 85,
  anon_sym_AMP = 86,
  anon_sym_CARET = 87,
  anon_sym_PIPE = 88,
  anon_sym_PLUS = 89,
  anon_sym_DASH = 90,
  anon_sym_SLASH = 91,
  anon_sym_PERCENT = 92,
  anon_sym_STAR_STAR = 93,
  anon_sym_LT_EQ = 94,
  anon_sym_EQ_EQ = 95,
  anon_sym_EQ_EQ_EQ = 96,
  anon_sym_BANG_EQ = 97,
  anon_sym_BANG_EQ_EQ = 98,
  anon_sym_GT_EQ = 99,
  anon_sym_QMARK_QMARK = 100,
  anon_sym_instanceof = 101,
  anon_sym_BANG = 102,
  anon_sym_TILDE = 103,
  anon_sym_typeof = 104,
  anon_sym_void = 105,
  anon_sym_delete = 106,
  anon_sym_PLUS_PLUS = 107,
  anon_sym_DASH_DASH = 108,
  sym_unescaped_double_string_fragment = 109,
  sym_unescaped_single_string_fragment = 110,
  sym_escape_sequence = 111,
  sym_comment = 112,
  anon_sym_BQUOTE = 113,
  anon_sym_DOLLAR_LBRACE = 114,
  anon_sym_SLASH2 = 115,
  sym_regex_pattern = 116,
  sym_regex_flags = 117,
  sym_number = 118,
  sym_private_property_identifier = 119,
  anon_sym_target = 120,
  sym_this = 121,
  sym_super = 122,
  sym_true = 123,
  sym_false = 124,
  sym_null = 125,
  sym_undefined = 126,
  anon_sym_AT = 127,
  anon_sym_static = 128,
  aux_sym_method_definition_token1 = 129,
  anon_sym_get = 130,
  anon_sym_set = 131,
  sym__automatic_semicolon = 132,
  sym__template_chars = 133,
  sym__ternary_qmark = 134,
  sym_html_comment = 135,
  sym_program = 136,
  sym_export_statement = 137,
  sym_namespace_export = 138,
  sym_export_clause = 139,
  sym_export_specifier = 140,
  sym__module_export_name = 141,
  sym_declaration = 142,
  sym_import = 143,
  sym_import_statement = 144,
  sym_import_clause = 145,
  sym__from_clause = 146,
  sym_namespace_import = 147,
  sym_named_imports = 148,
  sym_import_specifier = 149,
  sym_import_attribute = 150,
  sym_statement = 151,
  sym_expression_statement = 152,
  sym_variable_declaration = 153,
  sym_lexical_declaration = 154,
  sym_variable_declarator = 155,
  sym_statement_block = 156,
  sym_else_clause = 157,
  sym_if_statement = 158,
  sym_switch_statement = 159,
  sym_for_statement = 160,
  sym_for_in_statement = 161,
  sym__for_header = 162,
  sym_while_statement = 163,
  sym_do_statement = 164,
  sym_try_statement = 165,
  sym_with_statement = 166,
  sym_break_statement = 167,
  sym_continue_statement = 168,
  sym_debugger_statement = 169,
  sym_return_statement = 170,
  sym_throw_statement = 171,
  sym_empty_statement = 172,
  sym_labeled_statement = 173,
  sym_switch_body = 174,
  sym_switch_case = 175,
  sym_switch_default = 176,
  sym_catch_clause = 177,
  sym_finally_clause = 178,
  sym_parenthesized_expression = 179,
  sym_expression = 180,
  sym_primary_expression = 181,
  sym_yield_expression = 182,
  sym_object = 183,
  sym_object_pattern = 184,
  sym_assignment_pattern = 185,
  sym_object_assignment_pattern = 186,
  sym_array = 187,
  sym_array_pattern = 188,
  sym_glimmer_template = 189,
  sym_jsx_element = 190,
  sym_jsx_text = 191,
  sym_jsx_expression = 192,
  sym_jsx_opening_element = 193,
  sym_nested_identifier = 194,
  sym_jsx_namespace_name = 195,
  sym_jsx_closing_element = 196,
  sym_jsx_self_closing_element = 197,
  sym_jsx_attribute = 198,
  sym__jsx_string = 199,
  sym_class = 200,
  sym_class_declaration = 201,
  sym_class_heritage = 202,
  sym_function_expression = 203,
  sym_function_declaration = 204,
  sym_generator_function = 205,
  sym_generator_function_declaration = 206,
  sym_arrow_function = 207,
  sym_call_expression = 208,
  sym_new_expression = 209,
  sym_await_expression = 210,
  sym_member_expression = 211,
  sym_subscript_expression = 212,
  sym_assignment_expression = 213,
  sym__augmented_assignment_lhs = 214,
  sym_augmented_assignment_expression = 215,
  sym__initializer = 216,
  sym__destructuring_pattern = 217,
  sym_spread_element = 218,
  sym_ternary_expression = 219,
  sym_binary_expression = 220,
  sym_unary_expression = 221,
  sym_update_expression = 222,
  sym_sequence_expression = 223,
  sym_string = 224,
  sym_template_string = 225,
  sym_template_substitution = 226,
  sym_regex = 227,
  sym_meta_property = 228,
  sym_arguments = 229,
  sym_decorator = 230,
  sym_decorator_member_expression = 231,
  sym_decorator_call_expression = 232,
  sym_class_body = 233,
  sym_field_definition = 234,
  sym_formal_parameters = 235,
  sym_class_static_block = 236,
  sym_pattern = 237,
  sym_rest_pattern = 238,
  sym_method_definition = 239,
  sym_pair = 240,
  sym_pair_pattern = 241,
  sym__property_name = 242,
  sym_computed_property_name = 243,
  aux_sym_program_repeat1 = 244,
  aux_sym_export_statement_repeat1 = 245,
  aux_sym_export_clause_repeat1 = 246,
  aux_sym_named_imports_repeat1 = 247,
  aux_sym_variable_declaration_repeat1 = 248,
  aux_sym_switch_body_repeat1 = 249,
  aux_sym_object_repeat1 = 250,
  aux_sym_object_pattern_repeat1 = 251,
  aux_sym_array_repeat1 = 252,
  aux_sym_array_pattern_repeat1 = 253,
  aux_sym_glimmer_template_repeat1 = 254,
  aux_sym_jsx_element_repeat1 = 255,
  aux_sym_jsx_opening_element_repeat1 = 256,
  aux_sym__jsx_string_repeat1 = 257,
  aux_sym__jsx_string_repeat2 = 258,
  aux_sym_sequence_expression_repeat1 = 259,
  aux_sym_string_repeat1 = 260,
  aux_sym_string_repeat2 = 261,
  aux_sym_template_string_repeat1 = 262,
  aux_sym_class_body_repeat1 = 263,
  aux_sym_formal_parameters_repeat1 = 264,
  alias_sym_property_identifier = 265,
  alias_sym_shorthand_property_identifier = 266,
  alias_sym_shorthand_property_identifier_pattern = 267,
  alias_sym_statement_identifier = 268,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 1},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 3},
  [32] = {.index = 48, .length = 1},
  [33] = {.index = 49, .length = 1},
  [34] = {.index = 50, .length = 1},
  [35] = {.index = 51, .length = 1},
  [36] = {.index = 52, .length = 1},
  [37] = {.index = 53, .length = 2},
  [38] = {.index = 55, .length = 1},
  [39] = {.index = 56, .length = 2},
  [40] = {.index = 58, .length = 2},
  [41] = {.index = 60, .length = 1},
  [42] = {.index = 18, .length = 2},
  [43] = {.index = 20, .length = 2},
  [44] = {.index = 61, .length = 3},
  [45] = {.index = 64, .length = 2},
  [46] = {.index = 64, .length = 2},
  [47] = {.index = 66, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 1},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 119, .length = 2},
  [73] = {.index = 121, .length = 2},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 123, .length = 2},
  [76] = {.index = 125, .length = 3},
  [77] = {.index = 128, .length = 2},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 4},
  [84] = {.index = 145, .length = 2},
  [85] = {.index = 147, .length = 2},
  [86] = {.index = 149, .length = 3},
  [87] = {.index = 152, .length = 2},
  [88] = {.index = 154, .length = 3},
  [89] = {.index = 157, .length = 3},
  [90] = {.index = 160, .length = 3},
  [91] = {.index = 163, .length = 2},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 168, .length = 4},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 3},
  [97] = {.index = 178, .length = 3},
  [98] = {.index = 181, .length = 3},
  [99] = {.index = 184, .length = 4},
  [100] = {.index = 188, .length = 2},
  [101] = {.index = 190, .length = 4},
  [102] = {.index = 194, .length = 4},
  [103] = {.index = 198, .length = 2},
  [104] = {.index = 200, .length = 4},
  [105] = {.index = 204, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [6] =
    {field_constructor, 1},
  [7] =
    {field_argument, 1},
    {field_operator, 0},
  [9] =
    {field_arguments, 1},
    {field_function, 0},
  [11] =
    {field_argument, 0},
    {field_operator, 1},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [48] =
    {field_name, 1},
  [49] =
    {field_attribute, 0},
  [50] =
    {field_template, 0},
  [51] =
    {field_member, 0},
  [52] =
    {field_property, 0},
  [53] =
    {field_body, 2},
    {field_name, 1},
  [55] =
    {field_body, 2},
  [56] =
    {field_body, 2},
    {field_parameters, 1},
  [58] =
    {field_arguments, 2},
    {field_constructor, 1},
  [60] =
    {field_pattern, 1},
  [61] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [64] =
    {field_object, 0},
    {field_property, 2},
  [66] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [69] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 4},
    {field_parameter, 2},
  [200] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [204] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [45] = {
    [2] = alias_sym_property_identifier,
  },
  [47] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [72] = {
    [1] = sym_identifier,
  },
  [94] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 13,
  [15] = 15,
  [16] = 15,
  [17] = 17,
  [18] = 18,
  [19] = 15,
  [20] = 13,
  [21] = 13,
  [22] = 15,
  [23] = 13,
  [24] = 13,
  [25] = 15,
  [26] = 15,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 29,
  [34] = 32,
  [35] = 27,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 36,
  [40] = 28,
  [41] = 38,
  [42] = 42,
  [43] = 31,
  [44] = 42,
  [45] = 30,
  [46] = 46,
  [47] = 46,
  [48] = 46,
  [49] = 46,
  [50] = 46,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 61,
  [63] = 63,
  [64] = 61,
  [65] = 65,
  [66] = 66,
  [67] = 61,
  [68] = 61,
  [69] = 61,
  [70] = 70,
  [71] = 61,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 75,
  [77] = 77,
  [78] = 74,
  [79] = 77,
  [80] = 80,
  [81] = 81,
  [82] = 81,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 84,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 89,
  [92] = 92,
  [93] = 89,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 94,
  [98] = 98,
  [99] = 95,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 102,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 108,
  [111] = 111,
  [112] = 107,
  [113] = 107,
  [114] = 106,
  [115] = 115,
  [116] = 106,
  [117] = 117,
  [118] = 107,
  [119] = 108,
  [120] = 115,
  [121] = 107,
  [122] = 122,
  [123] = 111,
  [124] = 106,
  [125] = 105,
  [126] = 126,
  [127] = 122,
  [128] = 108,
  [129] = 108,
  [130] = 130,
  [131] = 105,
  [132] = 105,
  [133] = 126,
  [134] = 126,
  [135] = 135,
  [136] = 135,
  [137] = 115,
  [138] = 138,
  [139] = 126,
  [140] = 135,
  [141] = 115,
  [142] = 115,
  [143] = 143,
  [144] = 138,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 135,
  [149] = 135,
  [150] = 126,
  [151] = 151,
  [152] = 105,
  [153] = 106,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 155,
  [160] = 160,
  [161] = 160,
  [162] = 157,
  [163] = 163,
  [164] = 164,
  [165] = 164,
  [166] = 160,
  [167] = 155,
  [168] = 157,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 164,
  [173] = 173,
  [174] = 174,
  [175] = 174,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 176,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 164,
  [184] = 184,
  [185] = 185,
  [186] = 177,
  [187] = 178,
  [188] = 188,
  [189] = 180,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 157,
  [195] = 195,
  [196] = 195,
  [197] = 181,
  [198] = 193,
  [199] = 199,
  [200] = 190,
  [201] = 201,
  [202] = 182,
  [203] = 157,
  [204] = 192,
  [205] = 154,
  [206] = 184,
  [207] = 207,
  [208] = 191,
  [209] = 188,
  [210] = 185,
  [211] = 184,
  [212] = 182,
  [213] = 181,
  [214] = 180,
  [215] = 178,
  [216] = 177,
  [217] = 176,
  [218] = 185,
  [219] = 219,
  [220] = 207,
  [221] = 160,
  [222] = 191,
  [223] = 192,
  [224] = 195,
  [225] = 169,
  [226] = 174,
  [227] = 188,
  [228] = 228,
  [229] = 219,
  [230] = 174,
  [231] = 176,
  [232] = 177,
  [233] = 178,
  [234] = 180,
  [235] = 193,
  [236] = 160,
  [237] = 190,
  [238] = 181,
  [239] = 182,
  [240] = 184,
  [241] = 185,
  [242] = 188,
  [243] = 191,
  [244] = 169,
  [245] = 207,
  [246] = 192,
  [247] = 195,
  [248] = 190,
  [249] = 174,
  [250] = 219,
  [251] = 193,
  [252] = 176,
  [253] = 193,
  [254] = 177,
  [255] = 178,
  [256] = 207,
  [257] = 257,
  [258] = 195,
  [259] = 169,
  [260] = 180,
  [261] = 173,
  [262] = 181,
  [263] = 192,
  [264] = 155,
  [265] = 164,
  [266] = 190,
  [267] = 267,
  [268] = 182,
  [269] = 184,
  [270] = 185,
  [271] = 155,
  [272] = 169,
  [273] = 207,
  [274] = 188,
  [275] = 275,
  [276] = 191,
  [277] = 277,
  [278] = 277,
  [279] = 277,
  [280] = 280,
  [281] = 280,
  [282] = 282,
  [283] = 280,
  [284] = 282,
  [285] = 285,
  [286] = 286,
  [287] = 286,
  [288] = 285,
  [289] = 285,
  [290] = 286,
  [291] = 291,
  [292] = 58,
  [293] = 293,
  [294] = 293,
  [295] = 53,
  [296] = 293,
  [297] = 72,
  [298] = 298,
  [299] = 293,
  [300] = 298,
  [301] = 301,
  [302] = 302,
  [303] = 302,
  [304] = 304,
  [305] = 304,
  [306] = 70,
  [307] = 307,
  [308] = 293,
  [309] = 293,
  [310] = 298,
  [311] = 301,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 302,
  [319] = 319,
  [320] = 293,
  [321] = 321,
  [322] = 317,
  [323] = 72,
  [324] = 324,
  [325] = 53,
  [326] = 326,
  [327] = 58,
  [328] = 328,
  [329] = 329,
  [330] = 70,
  [331] = 59,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 60,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 307,
  [366] = 293,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 354,
  [385] = 293,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 403,
  [405] = 403,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 328,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 417,
  [419] = 419,
  [420] = 415,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 328,
  [427] = 427,
  [428] = 428,
  [429] = 415,
  [430] = 430,
  [431] = 406,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 430,
  [436] = 417,
  [437] = 410,
  [438] = 417,
  [439] = 415,
  [440] = 406,
  [441] = 417,
  [442] = 442,
  [443] = 443,
  [444] = 443,
  [445] = 407,
  [446] = 414,
  [447] = 413,
  [448] = 412,
  [449] = 432,
  [450] = 328,
  [451] = 415,
  [452] = 417,
  [453] = 415,
  [454] = 442,
  [455] = 409,
  [456] = 456,
  [457] = 406,
  [458] = 428,
  [459] = 427,
  [460] = 460,
  [461] = 461,
  [462] = 460,
  [463] = 406,
  [464] = 432,
  [465] = 415,
  [466] = 430,
  [467] = 456,
  [468] = 417,
  [469] = 417,
  [470] = 415,
  [471] = 417,
  [472] = 433,
  [473] = 434,
  [474] = 460,
  [475] = 415,
  [476] = 461,
  [477] = 406,
  [478] = 478,
  [479] = 479,
  [480] = 51,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 58,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 53,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 478,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 72,
  [507] = 507,
  [508] = 53,
  [509] = 509,
  [510] = 58,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 59,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 479,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 70,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 60,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 59,
  [576] = 576,
  [577] = 577,
  [578] = 72,
  [579] = 579,
  [580] = 70,
  [581] = 481,
  [582] = 60,
  [583] = 531,
  [584] = 537,
  [585] = 585,
  [586] = 485,
  [587] = 51,
  [588] = 505,
  [589] = 482,
  [590] = 531,
  [591] = 503,
  [592] = 592,
  [593] = 486,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 494,
  [598] = 598,
  [599] = 483,
  [600] = 487,
  [601] = 546,
  [602] = 602,
  [603] = 511,
  [604] = 548,
  [605] = 572,
  [606] = 541,
  [607] = 540,
  [608] = 539,
  [609] = 538,
  [610] = 537,
  [611] = 579,
  [612] = 536,
  [613] = 51,
  [614] = 503,
  [615] = 488,
  [616] = 505,
  [617] = 536,
  [618] = 535,
  [619] = 619,
  [620] = 560,
  [621] = 621,
  [622] = 534,
  [623] = 533,
  [624] = 522,
  [625] = 525,
  [626] = 524,
  [627] = 535,
  [628] = 560,
  [629] = 542,
  [630] = 572,
  [631] = 533,
  [632] = 486,
  [633] = 548,
  [634] = 490,
  [635] = 485,
  [636] = 564,
  [637] = 522,
  [638] = 546,
  [639] = 525,
  [640] = 542,
  [641] = 524,
  [642] = 494,
  [643] = 511,
  [644] = 482,
  [645] = 577,
  [646] = 488,
  [647] = 541,
  [648] = 564,
  [649] = 540,
  [650] = 534,
  [651] = 539,
  [652] = 538,
  [653] = 490,
  [654] = 498,
  [655] = 63,
  [656] = 656,
  [657] = 549,
  [658] = 658,
  [659] = 499,
  [660] = 559,
  [661] = 523,
  [662] = 662,
  [663] = 561,
  [664] = 562,
  [665] = 563,
  [666] = 565,
  [667] = 667,
  [668] = 566,
  [669] = 532,
  [670] = 567,
  [671] = 521,
  [672] = 672,
  [673] = 673,
  [674] = 568,
  [675] = 675,
  [676] = 482,
  [677] = 520,
  [678] = 569,
  [679] = 504,
  [680] = 507,
  [681] = 502,
  [682] = 682,
  [683] = 519,
  [684] = 518,
  [685] = 517,
  [686] = 493,
  [687] = 550,
  [688] = 501,
  [689] = 689,
  [690] = 690,
  [691] = 486,
  [692] = 485,
  [693] = 488,
  [694] = 500,
  [695] = 496,
  [696] = 486,
  [697] = 485,
  [698] = 488,
  [699] = 516,
  [700] = 551,
  [701] = 701,
  [702] = 526,
  [703] = 553,
  [704] = 520,
  [705] = 705,
  [706] = 492,
  [707] = 497,
  [708] = 708,
  [709] = 547,
  [710] = 710,
  [711] = 701,
  [712] = 482,
  [713] = 713,
  [714] = 545,
  [715] = 667,
  [716] = 491,
  [717] = 717,
  [718] = 557,
  [719] = 719,
  [720] = 544,
  [721] = 721,
  [722] = 672,
  [723] = 73,
  [724] = 662,
  [725] = 512,
  [726] = 509,
  [727] = 65,
  [728] = 556,
  [729] = 729,
  [730] = 528,
  [731] = 701,
  [732] = 656,
  [733] = 529,
  [734] = 530,
  [735] = 602,
  [736] = 555,
  [737] = 54,
  [738] = 543,
  [739] = 705,
  [740] = 729,
  [741] = 66,
  [742] = 57,
  [743] = 656,
  [744] = 573,
  [745] = 574,
  [746] = 576,
  [747] = 52,
  [748] = 55,
  [749] = 570,
  [750] = 554,
  [751] = 514,
  [752] = 513,
  [753] = 571,
  [754] = 656,
  [755] = 673,
  [756] = 511,
  [757] = 682,
  [758] = 494,
  [759] = 572,
  [760] = 760,
  [761] = 564,
  [762] = 490,
  [763] = 763,
  [764] = 560,
  [765] = 548,
  [766] = 546,
  [767] = 542,
  [768] = 541,
  [769] = 540,
  [770] = 770,
  [771] = 771,
  [772] = 539,
  [773] = 773,
  [774] = 538,
  [775] = 537,
  [776] = 536,
  [777] = 535,
  [778] = 534,
  [779] = 533,
  [780] = 531,
  [781] = 525,
  [782] = 524,
  [783] = 783,
  [784] = 784,
  [785] = 522,
  [786] = 503,
  [787] = 505,
  [788] = 546,
  [789] = 602,
  [790] = 538,
  [791] = 667,
  [792] = 537,
  [793] = 536,
  [794] = 522,
  [795] = 494,
  [796] = 796,
  [797] = 524,
  [798] = 485,
  [799] = 548,
  [800] = 541,
  [801] = 572,
  [802] = 486,
  [803] = 503,
  [804] = 533,
  [805] = 805,
  [806] = 805,
  [807] = 807,
  [808] = 805,
  [809] = 531,
  [810] = 535,
  [811] = 505,
  [812] = 525,
  [813] = 796,
  [814] = 542,
  [815] = 488,
  [816] = 511,
  [817] = 805,
  [818] = 564,
  [819] = 490,
  [820] = 534,
  [821] = 560,
  [822] = 805,
  [823] = 540,
  [824] = 539,
  [825] = 825,
  [826] = 826,
  [827] = 826,
  [828] = 482,
  [829] = 825,
  [830] = 826,
  [831] = 488,
  [832] = 485,
  [833] = 486,
  [834] = 826,
  [835] = 826,
  [836] = 520,
  [837] = 708,
  [838] = 826,
  [839] = 826,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 842,
  [844] = 844,
  [845] = 841,
  [846] = 841,
  [847] = 842,
  [848] = 842,
  [849] = 841,
  [850] = 850,
  [851] = 851,
  [852] = 851,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 855,
  [857] = 857,
  [858] = 855,
  [859] = 857,
  [860] = 857,
  [861] = 857,
  [862] = 857,
  [863] = 855,
  [864] = 855,
  [865] = 857,
  [866] = 855,
  [867] = 855,
  [868] = 857,
  [869] = 869,
  [870] = 869,
  [871] = 869,
  [872] = 869,
  [873] = 869,
  [874] = 869,
  [875] = 869,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 58,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 53,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 513,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 493,
  [939] = 72,
  [940] = 70,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 888,
  [945] = 945,
  [946] = 886,
  [947] = 943,
  [948] = 948,
  [949] = 887,
  [950] = 887,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 571,
  [957] = 567,
  [958] = 526,
  [959] = 955,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 923,
  [964] = 954,
  [965] = 923,
  [966] = 927,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 928,
  [973] = 971,
  [974] = 974,
  [975] = 974,
  [976] = 968,
  [977] = 977,
  [978] = 916,
  [979] = 979,
  [980] = 962,
  [981] = 961,
  [982] = 970,
  [983] = 967,
  [984] = 969,
  [985] = 952,
  [986] = 918,
  [987] = 979,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 989,
  [992] = 992,
  [993] = 989,
  [994] = 994,
  [995] = 989,
  [996] = 988,
  [997] = 997,
  [998] = 990,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1000,
  [1003] = 1003,
  [1004] = 1003,
  [1005] = 994,
  [1006] = 997,
  [1007] = 992,
  [1008] = 1001,
  [1009] = 999,
  [1010] = 989,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1012,
  [1014] = 1012,
  [1015] = 1015,
  [1016] = 1011,
  [1017] = 1012,
  [1018] = 1011,
  [1019] = 1011,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1021,
  [1023] = 1021,
  [1024] = 1021,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1025,
  [1028] = 1025,
  [1029] = 1026,
  [1030] = 1026,
  [1031] = 1025,
  [1032] = 1026,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1036,
  [1040] = 1037,
  [1041] = 1038,
  [1042] = 1035,
  [1043] = 1043,
  [1044] = 1033,
  [1045] = 1045,
  [1046] = 1036,
  [1047] = 1033,
  [1048] = 1038,
  [1049] = 1038,
  [1050] = 1033,
  [1051] = 1037,
  [1052] = 1035,
  [1053] = 1037,
  [1054] = 1035,
  [1055] = 1036,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1058,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1058,
  [1065] = 1065,
  [1066] = 1058,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1058,
  [1076] = 1058,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1058,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 554,
  [1085] = 555,
  [1086] = 556,
  [1087] = 557,
  [1088] = 568,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 577,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1089,
  [1096] = 579,
  [1097] = 1080,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1077,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1072,
  [1108] = 1108,
  [1109] = 1063,
  [1110] = 1068,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 545,
  [1115] = 544,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 514,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 502,
  [1129] = 1129,
  [1130] = 1113,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1118,
  [1134] = 502,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 577,
  [1143] = 1100,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1139,
  [1147] = 1147,
  [1148] = 1138,
  [1149] = 1145,
  [1150] = 1145,
  [1151] = 1131,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 579,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1159,
  [1161] = 1161,
  [1162] = 568,
  [1163] = 1163,
  [1164] = 557,
  [1165] = 556,
  [1166] = 1138,
  [1167] = 1138,
  [1168] = 1168,
  [1169] = 1141,
  [1170] = 1135,
  [1171] = 1171,
  [1172] = 555,
  [1173] = 554,
  [1174] = 1174,
  [1175] = 1174,
  [1176] = 1176,
  [1177] = 1176,
  [1178] = 545,
  [1179] = 544,
  [1180] = 1161,
  [1181] = 1145,
  [1182] = 1157,
  [1183] = 514,
  [1184] = 1129,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1092,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1106,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1186,
  [1206] = 1098,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1202,
  [1211] = 1186,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1212,
  [1215] = 1215,
  [1216] = 1189,
  [1217] = 1188,
  [1218] = 1218,
  [1219] = 1213,
  [1220] = 1208,
  [1221] = 1202,
  [1222] = 1187,
  [1223] = 1194,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1198,
  [1227] = 1119,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1225,
  [1233] = 1186,
  [1234] = 1202,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1158,
  [1238] = 1200,
  [1239] = 1239,
  [1240] = 1212,
  [1241] = 1194,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1212,
  [1247] = 1194,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1191,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1236,
  [1256] = 1209,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1258,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1258,
  [1268] = 1268,
  [1269] = 1266,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1260,
  [1277] = 1277,
  [1278] = 1261,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1272,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1274,
  [1296] = 1296,
  [1297] = 1260,
  [1298] = 1293,
  [1299] = 1258,
  [1300] = 1261,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1280,
  [1306] = 1306,
  [1307] = 1273,
  [1308] = 1277,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1283,
  [1313] = 1285,
  [1314] = 1289,
  [1315] = 1266,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1271,
  [1320] = 1304,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1279,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1272,
  [1328] = 1303,
  [1329] = 1329,
  [1330] = 1302,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1301,
  [1335] = 1335,
  [1336] = 1317,
  [1337] = 1337,
  [1338] = 1262,
  [1339] = 1333,
  [1340] = 332,
  [1341] = 1292,
  [1342] = 1342,
  [1343] = 1281,
  [1344] = 1317,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1268,
  [1348] = 1283,
  [1349] = 1349,
  [1350] = 1277,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1301,
  [1355] = 1274,
  [1356] = 1294,
  [1357] = 1321,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1359,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1390,
  [1415] = 1388,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1388,
  [1425] = 1425,
  [1426] = 1390,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1430,
  [1434] = 1431,
  [1435] = 1425,
  [1436] = 1423,
  [1437] = 507,
  [1438] = 1438,
  [1439] = 551,
  [1440] = 550,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1364,
  [1445] = 1365,
  [1446] = 1370,
  [1447] = 1416,
  [1448] = 1371,
  [1449] = 1360,
  [1450] = 1372,
  [1451] = 1373,
  [1452] = 1362,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1374,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1375,
  [1462] = 1376,
  [1463] = 1377,
  [1464] = 1464,
  [1465] = 1412,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1378,
  [1469] = 1379,
  [1470] = 1380,
  [1471] = 1381,
  [1472] = 1432,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1382,
  [1477] = 1383,
  [1478] = 1384,
  [1479] = 1479,
  [1480] = 1386,
  [1481] = 1481,
  [1482] = 1387,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1389,
  [1487] = 1487,
  [1488] = 1392,
  [1489] = 1393,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1422,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1394,
  [1503] = 1395,
  [1504] = 1504,
  [1505] = 1396,
  [1506] = 1506,
  [1507] = 1358,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1397,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1398,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1399,
  [1521] = 1521,
  [1522] = 1400,
  [1523] = 1204,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1401,
  [1540] = 1540,
  [1541] = 1521,
  [1542] = 1519,
  [1543] = 1518,
  [1544] = 1517,
  [1545] = 1515,
  [1546] = 1514,
  [1547] = 1513,
  [1548] = 1512,
  [1549] = 1510,
  [1550] = 1509,
  [1551] = 1508,
  [1552] = 1506,
  [1553] = 1404,
  [1554] = 1501,
  [1555] = 1490,
  [1556] = 1405,
  [1557] = 1441,
  [1558] = 1474,
  [1559] = 1473,
  [1560] = 1467,
  [1561] = 1466,
  [1562] = 1464,
  [1563] = 1406,
  [1564] = 1537,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1407,
  [1570] = 1535,
  [1571] = 1534,
  [1572] = 1408,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1409,
  [1576] = 1531,
  [1577] = 1530,
  [1578] = 1529,
  [1579] = 1579,
  [1580] = 1528,
  [1581] = 1527,
  [1582] = 1526,
  [1583] = 1410,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1411,
  [1589] = 1390,
  [1590] = 1388,
  [1591] = 1418,
  [1592] = 1419,
  [1593] = 1420,
  [1594] = 1504,
  [1595] = 1421,
  [1596] = 1596,
  [1597] = 1496,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1618,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1624,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1224,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1618,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1620,
  [1649] = 1612,
  [1650] = 1621,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1620,
  [1654] = 1613,
  [1655] = 1616,
  [1656] = 1615,
  [1657] = 1613,
  [1658] = 1615,
  [1659] = 1616,
  [1660] = 1652,
  [1661] = 1651,
  [1662] = 1605,
  [1663] = 1609,
  [1664] = 1635,
  [1665] = 1608,
  [1666] = 1605,
  [1667] = 1651,
  [1668] = 1668,
  [1669] = 1635,
  [1670] = 1638,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1605,
  [1674] = 1612,
  [1675] = 1651,
  [1676] = 1621,
  [1677] = 1613,
  [1678] = 1615,
  [1679] = 1616,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1621,
  [1683] = 1616,
  [1684] = 1620,
  [1685] = 1685,
  [1686] = 1612,
  [1687] = 1618,
  [1688] = 1615,
  [1689] = 1613,
  [1690] = 1635,
  [1691] = 1612,
  [1692] = 1621,
  [1693] = 1620,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(147);
      ADVANCE_MAP(
        '!', 266,
        '"', 199,
        '#', 5,
        '$', 313,
        '%', 254,
        '&', 241,
        '\'', 200,
        '(', 155,
        ')', 156,
        '*', 150,
        '+', 248,
        ',', 153,
        '-', 250,
        '.', 195,
        '/', 293,
        '0', 298,
        ':', 158,
        ';', 157,
        '<', 185,
        '=', 161,
        '>', 191,
        '?', 32,
        '@', 317,
        '[', 163,
        '\\', 101,
        ']', 164,
        '^', 244,
        '`', 291,
        's', 311,
        '{', 152,
        '|', 245,
        '}', 154,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(144);
      if (lookahead > '@') ADVANCE(315);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(318);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(21);
      if (lookahead == '&') ADVANCE(16);
      if (lookahead == '/') ADVANCE(171);
      if (lookahead == '<') ADVANCE(184);
      if (lookahead == '{') ADVANCE(152);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(173);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead == '<') ADVANCE(168);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(167);
      if (lookahead != 0) ADVANCE(165);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(37);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(143);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(294);
      if (lookahead != 0) ADVANCE(295);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(148);
      if (lookahead == '\\') ADVANCE(102);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(316);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 265,
        '"', 199,
        '#', 81,
        '\'', 200,
        '(', 155,
        '*', 149,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 31,
        '/', 251,
        '0', 298,
        ';', 157,
        '<', 189,
        '@', 317,
        '[', 163,
        '\\', 103,
        '`', 291,
        's', 311,
        '{', 152,
        '}', 154,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 265,
        '"', 199,
        '#', 81,
        '\'', 200,
        '(', 155,
        '+', 247,
        '-', 249,
        '.', 196,
        '/', 251,
        '0', 298,
        ':', 158,
        '<', 189,
        '>', 190,
        '@', 317,
        '[', 163,
        '\\', 103,
        '`', 291,
        '{', 152,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 77,
        '"', 199,
        '#', 81,
        '%', 254,
        '&', 241,
        '\'', 200,
        '(', 155,
        ')', 156,
        '*', 150,
        '+', 248,
        ',', 153,
        '-', 250,
        '.', 196,
        '/', 252,
        '0', 298,
        ':', 158,
        ';', 157,
        '<', 186,
        '=', 161,
        '>', 191,
        '?', 32,
        '@', 317,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 244,
        '`', 291,
        '{', 152,
        '|', 245,
        '}', 154,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 77,
        '%', 253,
        '&', 242,
        '(', 155,
        ')', 156,
        '*', 151,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 194,
        '/', 251,
        ':', 158,
        ';', 157,
        '<', 187,
        '=', 160,
        '>', 192,
        '?', 33,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 243,
        '`', 291,
        '{', 152,
        '|', 246,
        '}', 154,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 77,
        '%', 253,
        '&', 242,
        '(', 155,
        ')', 156,
        '*', 151,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 194,
        '/', 251,
        ':', 158,
        ';', 157,
        '<', 187,
        '=', 78,
        '>', 192,
        '?', 33,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 243,
        '`', 291,
        '{', 152,
        '|', 246,
        '}', 154,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(296);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 77,
        '%', 253,
        '&', 242,
        '(', 155,
        ')', 156,
        '*', 151,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 194,
        '/', 251,
        ':', 158,
        ';', 157,
        '<', 187,
        '=', 78,
        '>', 192,
        '?', 33,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 243,
        '`', 291,
        '{', 152,
        '|', 246,
        '}', 154,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '"', 199,
        '#', 81,
        '\'', 200,
        '(', 155,
        '*', 149,
        '.', 196,
        '/', 25,
        '0', 298,
        '<', 183,
        '@', 317,
        '[', 163,
        '\\', 103,
        's', 311,
        '{', 152,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(199);
      if (lookahead == '&') ADVANCE(17);
      if (lookahead == '/') ADVANCE(202);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(201);
      if (lookahead != 0) ADVANCE(203);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(199);
      if (lookahead == '/') ADVANCE(25);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(199);
      if (lookahead == '/') ADVANCE(270);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(14);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(273);
      if (lookahead != 0) ADVANCE(275);
      END_STATE();
    case 16:
      if (lookahead == '#') ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 17:
      if (lookahead == '#') ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      if (lookahead != 0) ADVANCE(203);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      if (lookahead != 0) ADVANCE(209);
      END_STATE();
    case 19:
      if (lookahead == '$') ADVANCE(105);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '`') ADVANCE(291);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(20);
      END_STATE();
    case 20:
      if (lookahead == '$') ADVANCE(105);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '`') ADVANCE(291);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(20);
      END_STATE();
    case 21:
      if (lookahead == '&') ADVANCE(16);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '<') ADVANCE(184);
      if (lookahead == '{') ADVANCE(152);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(21);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(180);
      END_STATE();
    case 22:
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '\'') ADVANCE(200);
      if (lookahead == '/') ADVANCE(208);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(207);
      if (lookahead != 0) ADVANCE(209);
      END_STATE();
    case 23:
      if (lookahead == '\'') ADVANCE(200);
      if (lookahead == '/') ADVANCE(25);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(23);
      END_STATE();
    case 24:
      if (lookahead == '\'') ADVANCE(200);
      if (lookahead == '/') ADVANCE(276);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(23);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(279);
      if (lookahead != 0) ADVANCE(281);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(290);
      END_STATE();
    case 26:
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(290);
      if (lookahead == '>') ADVANCE(198);
      END_STATE();
    case 27:
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(287);
      if (lookahead != 0) ADVANCE(28);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(27);
      if (lookahead != 0) ADVANCE(28);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(204);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(28);
      if (lookahead != 0) ADVANCE(205);
      END_STATE();
    case 30:
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(28);
      if (lookahead != 0) ADVANCE(211);
      END_STATE();
    case 31:
      if (lookahead == '.') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(214);
      if (lookahead == '?') ADVANCE(264);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(214);
      if (lookahead == '?') ADVANCE(263);
      END_STATE();
    case 34:
      if (lookahead == '.') ADVANCE(230);
      END_STATE();
    case 35:
      if (lookahead == '.') ADVANCE(194);
      if (lookahead == '/') ADVANCE(26);
      if (lookahead == ':') ADVANCE(158);
      if (lookahead == '=') ADVANCE(159);
      if (lookahead == '>') ADVANCE(190);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '{') ADVANCE(152);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(35);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(307);
      if (lookahead > '~') ADVANCE(315);
      END_STATE();
    case 36:
      if (lookahead == '/') ADVANCE(293);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(37);
      END_STATE();
    case 37:
      if (lookahead == '/') ADVANCE(25);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(37);
      END_STATE();
    case 38:
      if (lookahead == ';') ADVANCE(182);
      END_STATE();
    case 39:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(38);
      END_STATE();
    case 40:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(39);
      END_STATE();
    case 41:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(40);
      END_STATE();
    case 42:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 44:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == ';') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(38);
      END_STATE();
    case 49:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 56:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(182);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 78:
      if (lookahead == '=') ADVANCE(258);
      END_STATE();
    case 79:
      if (lookahead == '>') ADVANCE(169);
      END_STATE();
    case 80:
      if (lookahead == '>') ADVANCE(170);
      END_STATE();
    case 81:
      if (lookahead == '\\') ADVANCE(102);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(316);
      END_STATE();
    case 82:
      if (lookahead == '\\') ADVANCE(142);
      if (lookahead == ']') ADVANCE(295);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(82);
      END_STATE();
    case 83:
      if (lookahead == 'a') ADVANCE(98);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(99);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 90:
      if (lookahead == 'g') ADVANCE(87);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(90);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(84);
      END_STATE();
    case 93:
      if (lookahead == 'm') ADVANCE(95);
      END_STATE();
    case 94:
      if (lookahead == 'm') ADVANCE(96);
      END_STATE();
    case 95:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 96:
      if (lookahead == 'p') ADVANCE(92);
      END_STATE();
    case 97:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 100:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 101:
      if (lookahead == 'u') ADVANCE(106);
      if (lookahead == 'x') ADVANCE(132);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(286);
      if (lookahead != 0) ADVANCE(282);
      END_STATE();
    case 102:
      if (lookahead == 'u') ADVANCE(107);
      END_STATE();
    case 103:
      if (lookahead == 'u') ADVANCE(108);
      END_STATE();
    case 104:
      if (lookahead == 'u') ADVANCE(109);
      if (lookahead == 'x') ADVANCE(132);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(286);
      if (lookahead != 0) ADVANCE(282);
      END_STATE();
    case 105:
      if (lookahead == '{') ADVANCE(292);
      END_STATE();
    case 106:
      if (lookahead == '{') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 107:
      if (lookahead == '{') ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(138);
      END_STATE();
    case 108:
      if (lookahead == '{') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(139);
      END_STATE();
    case 109:
      if (lookahead == '{') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 110:
      if (lookahead == '}') ADVANCE(315);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 111:
      if (lookahead == '}') ADVANCE(316);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 112:
      if (lookahead == '}') ADVANCE(282);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 113:
      if (lookahead == '}') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 114:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(305);
      END_STATE();
    case 115:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 116:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(301);
      END_STATE();
    case 117:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(302);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(299);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(300);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(305);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(316);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(282);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(303);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(283);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(123);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 138:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 139:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 140:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(203);
      END_STATE();
    case 141:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(209);
      END_STATE();
    case 142:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(82);
      END_STATE();
    case 143:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(295);
      END_STATE();
    case 144:
      if (eof) ADVANCE(147);
      ADVANCE_MAP(
        '!', 266,
        '"', 199,
        '#', 5,
        '$', 313,
        '%', 254,
        '&', 241,
        '\'', 200,
        '(', 155,
        ')', 156,
        '*', 150,
        '+', 248,
        ',', 153,
        '-', 250,
        '.', 195,
        '/', 252,
        '0', 298,
        ':', 158,
        ';', 157,
        '<', 185,
        '=', 161,
        '>', 191,
        '?', 32,
        '@', 317,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 244,
        '`', 291,
        's', 311,
        '{', 152,
        '|', 245,
        '}', 154,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(144);
      if (lookahead > '@') ADVANCE(315);
      END_STATE();
    case 145:
      if (eof) ADVANCE(147);
      ADVANCE_MAP(
        '!', 266,
        '"', 199,
        '#', 81,
        '%', 253,
        '&', 242,
        '\'', 200,
        '(', 155,
        ')', 156,
        '*', 151,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 196,
        '/', 251,
        '0', 298,
        ':', 158,
        ';', 157,
        '<', 188,
        '=', 160,
        '>', 192,
        '?', 33,
        '@', 317,
        '[', 163,
        '\\', 103,
        ']', 164,
        '^', 243,
        '`', 291,
        '{', 152,
        '|', 246,
        '}', 154,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(145);
      if (lookahead > '#') ADVANCE(315);
      END_STATE();
    case 146:
      if (eof) ADVANCE(147);
      ADVANCE_MAP(
        '!', 265,
        '"', 199,
        '#', 5,
        '\'', 200,
        '(', 155,
        ')', 156,
        '*', 149,
        '+', 247,
        ',', 153,
        '-', 249,
        '.', 31,
        '/', 251,
        '0', 298,
        ':', 158,
        ';', 157,
        '<', 189,
        '=', 162,
        '>', 190,
        '@', 317,
        '[', 163,
        '\\', 103,
        ']', 164,
        '`', 291,
        '{', 152,
        '}', 154,
        '~', 267,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(146);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(315);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(256);
      if (lookahead == '=') ADVANCE(217);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(255);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(258);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(258);
      if (lookahead == '>') ADVANCE(213);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(213);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(290);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead == '<') ADVANCE(168);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(167);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(165);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(100);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_glimmer_opening_tag);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_glimmer_closing_tag);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '\n') ADVANCE(180);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '/') ADVANCE(172);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(173);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        '\n', 180,
        '\r', 173,
        0x2028, 173,
        0x2029, 173,
        '&', 290,
        '<', 290,
        '>', 290,
        '{', 290,
        '}', 290,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(172);
      if (lookahead != 0) ADVANCE(172);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '\n') ADVANCE(180);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(173);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(173);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        '\n', 178,
        '*', 174,
        '/', 173,
        '&', 28,
        '<', 28,
        '>', 28,
        '{', 28,
        '}', 28,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(175);
      if (lookahead != 0) ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '\n') ADVANCE(178);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(28);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(175);
      if (lookahead != 0) ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '/') ADVANCE(179);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(180);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '/') ADVANCE(180);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(28);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(178);
      if (lookahead != 0) ADVANCE(178);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(28);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(178);
      if (lookahead != 0) ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        '\n', 180,
        '\r', 180,
        0x2028, 180,
        0x2029, 180,
        '&', 290,
        '<', 290,
        '>', 290,
        '{', 290,
        '}', 290,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(179);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == '/') ADVANCE(171);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(181);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(173);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(197);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(197);
      if (lookahead == '<') ADVANCE(240);
      if (lookahead == '=') ADVANCE(257);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(240);
      if (lookahead == '=') ADVANCE(257);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(239);
      if (lookahead == '=') ADVANCE(257);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(239);
      if (lookahead == '=') ADVANCE(257);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(235);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(236);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(193);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(17);
      if (lookahead == '/') ADVANCE(202);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(201);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(203);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(140);
      if (lookahead == '*') ADVANCE(205);
      if (lookahead == '/') ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(203);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(203);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(29);
      if (lookahead == '*') ADVANCE(204);
      if (lookahead == '/') ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(205);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(29);
      if (lookahead == '*') ADVANCE(204);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(288);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '/') ADVANCE(208);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(207);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(209);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(141);
      if (lookahead == '*') ADVANCE(211);
      if (lookahead == '/') ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(209);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(209);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(30);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead == '/') ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(211);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(30);
      if (lookahead == '*') ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(211);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(289);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(212);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(227);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(228);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(223);
      if (lookahead == '>') ADVANCE(238);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(224);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(225);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(232);
      if (lookahead == '=') ADVANCE(221);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(231);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(220);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(222);
      if (lookahead == '|') ADVANCE(234);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(233);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(268);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(268);
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(269);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(269);
      if (lookahead == '=') ADVANCE(216);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(290);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(290);
      if (lookahead == '=') ADVANCE(218);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(226);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(259);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(229);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(272);
      if (lookahead == '/') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(275);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(271);
      if (lookahead == '/') ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(272);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(272);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(270);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(273);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(275);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(274);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(275);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '/') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead == '/') ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(278);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(278);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(276);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(279);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(103);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(282);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(282);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(285);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(203);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(290);
      if (lookahead != 0) ADVANCE(206);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(209);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(290);
      if (lookahead != 0) ADVANCE(212);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(290);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(37);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(143);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(294);
      if (lookahead != 0) ADVANCE(295);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(295);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(103);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(296);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 306,
        '0', 300,
        '_', 120,
        'n', 297,
        'B', 116,
        'b', 116,
        'E', 114,
        'e', 114,
        'O', 117,
        'o', 117,
        'X', 125,
        'x', 125,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(306);
      if (lookahead == '_') ADVANCE(118);
      if (lookahead == 'n') ADVANCE(297);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(299);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(120);
      if (lookahead == 'n') ADVANCE(297);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(300);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(116);
      if (lookahead == 'n') ADVANCE(297);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(301);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(117);
      if (lookahead == 'n') ADVANCE(297);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(302);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(125);
      if (lookahead == 'n') ADVANCE(297);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(303);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(119);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(305);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(304);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(193);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(307);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 'a') ADVANCE(312);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 'c') ADVANCE(314);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 'i') ADVANCE(309);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 't') ADVANCE(308);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == 't') ADVANCE(310);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '{') ADVANCE(292);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(90);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(103);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(315);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(102);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(316);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(318);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'n', 10,
        'o', 11,
        'r', 12,
        's', 13,
        't', 14,
        'u', 15,
        'v', 16,
        'w', 17,
        'y', 18,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 146, .external_lex_state = 2},
  [2] = {.lex_state = 6, .external_lex_state = 2},
  [3] = {.lex_state = 6, .external_lex_state = 2},
  [4] = {.lex_state = 6, .external_lex_state = 2},
  [5] = {.lex_state = 6, .external_lex_state = 2},
  [6] = {.lex_state = 6, .external_lex_state = 2},
  [7] = {.lex_state = 146, .external_lex_state = 2},
  [8] = {.lex_state = 146, .external_lex_state = 2},
  [9] = {.lex_state = 146, .external_lex_state = 2},
  [10] = {.lex_state = 146, .external_lex_state = 2},
  [11] = {.lex_state = 146, .external_lex_state = 2},
  [12] = {.lex_state = 146, .external_lex_state = 2},
  [13] = {.lex_state = 146, .external_lex_state = 2},
  [14] = {.lex_state = 146, .external_lex_state = 2},
  [15] = {.lex_state = 146, .external_lex_state = 2},
  [16] = {.lex_state = 146, .external_lex_state = 2},
  [17] = {.lex_state = 146, .external_lex_state = 2},
  [18] = {.lex_state = 146, .external_lex_state = 2},
  [19] = {.lex_state = 146, .external_lex_state = 2},
  [20] = {.lex_state = 146, .external_lex_state = 2},
  [21] = {.lex_state = 146, .external_lex_state = 2},
  [22] = {.lex_state = 146, .external_lex_state = 2},
  [23] = {.lex_state = 146, .external_lex_state = 2},
  [24] = {.lex_state = 146, .external_lex_state = 2},
  [25] = {.lex_state = 146, .external_lex_state = 2},
  [26] = {.lex_state = 146, .external_lex_state = 2},
  [27] = {.lex_state = 146, .external_lex_state = 2},
  [28] = {.lex_state = 146, .external_lex_state = 2},
  [29] = {.lex_state = 146, .external_lex_state = 2},
  [30] = {.lex_state = 146, .external_lex_state = 2},
  [31] = {.lex_state = 146, .external_lex_state = 2},
  [32] = {.lex_state = 146, .external_lex_state = 2},
  [33] = {.lex_state = 146, .external_lex_state = 2},
  [34] = {.lex_state = 146, .external_lex_state = 2},
  [35] = {.lex_state = 146, .external_lex_state = 2},
  [36] = {.lex_state = 146, .external_lex_state = 2},
  [37] = {.lex_state = 146, .external_lex_state = 2},
  [38] = {.lex_state = 146, .external_lex_state = 2},
  [39] = {.lex_state = 146, .external_lex_state = 2},
  [40] = {.lex_state = 146, .external_lex_state = 2},
  [41] = {.lex_state = 146, .external_lex_state = 2},
  [42] = {.lex_state = 146, .external_lex_state = 2},
  [43] = {.lex_state = 146, .external_lex_state = 2},
  [44] = {.lex_state = 146, .external_lex_state = 2},
  [45] = {.lex_state = 146, .external_lex_state = 2},
  [46] = {.lex_state = 145, .external_lex_state = 3},
  [47] = {.lex_state = 145, .external_lex_state = 4},
  [48] = {.lex_state = 145, .external_lex_state = 4},
  [49] = {.lex_state = 145, .external_lex_state = 3},
  [50] = {.lex_state = 145, .external_lex_state = 3},
  [51] = {.lex_state = 145, .external_lex_state = 4},
  [52] = {.lex_state = 145, .external_lex_state = 4},
  [53] = {.lex_state = 145, .external_lex_state = 4},
  [54] = {.lex_state = 145, .external_lex_state = 4},
  [55] = {.lex_state = 145, .external_lex_state = 4},
  [56] = {.lex_state = 146, .external_lex_state = 2},
  [57] = {.lex_state = 145, .external_lex_state = 4},
  [58] = {.lex_state = 145, .external_lex_state = 4},
  [59] = {.lex_state = 145, .external_lex_state = 4},
  [60] = {.lex_state = 145, .external_lex_state = 4},
  [61] = {.lex_state = 146, .external_lex_state = 2},
  [62] = {.lex_state = 146, .external_lex_state = 2},
  [63] = {.lex_state = 145, .external_lex_state = 4},
  [64] = {.lex_state = 146, .external_lex_state = 2},
  [65] = {.lex_state = 145, .external_lex_state = 4},
  [66] = {.lex_state = 145, .external_lex_state = 4},
  [67] = {.lex_state = 146, .external_lex_state = 2},
  [68] = {.lex_state = 146, .external_lex_state = 2},
  [69] = {.lex_state = 146, .external_lex_state = 2},
  [70] = {.lex_state = 145, .external_lex_state = 4},
  [71] = {.lex_state = 146, .external_lex_state = 2},
  [72] = {.lex_state = 145, .external_lex_state = 4},
  [73] = {.lex_state = 145, .external_lex_state = 4},
  [74] = {.lex_state = 146, .external_lex_state = 2},
  [75] = {.lex_state = 146, .external_lex_state = 2},
  [76] = {.lex_state = 146, .external_lex_state = 2},
  [77] = {.lex_state = 146, .external_lex_state = 2},
  [78] = {.lex_state = 146, .external_lex_state = 2},
  [79] = {.lex_state = 146, .external_lex_state = 2},
  [80] = {.lex_state = 146, .external_lex_state = 2},
  [81] = {.lex_state = 146, .external_lex_state = 2},
  [82] = {.lex_state = 146, .external_lex_state = 2},
  [83] = {.lex_state = 146, .external_lex_state = 2},
  [84] = {.lex_state = 146, .external_lex_state = 2},
  [85] = {.lex_state = 146, .external_lex_state = 2},
  [86] = {.lex_state = 146, .external_lex_state = 2},
  [87] = {.lex_state = 146, .external_lex_state = 2},
  [88] = {.lex_state = 146, .external_lex_state = 2},
  [89] = {.lex_state = 146, .external_lex_state = 2},
  [90] = {.lex_state = 146, .external_lex_state = 2},
  [91] = {.lex_state = 146, .external_lex_state = 2},
  [92] = {.lex_state = 146, .external_lex_state = 2},
  [93] = {.lex_state = 146, .external_lex_state = 2},
  [94] = {.lex_state = 146, .external_lex_state = 2},
  [95] = {.lex_state = 146, .external_lex_state = 2},
  [96] = {.lex_state = 146, .external_lex_state = 2},
  [97] = {.lex_state = 146, .external_lex_state = 2},
  [98] = {.lex_state = 146, .external_lex_state = 2},
  [99] = {.lex_state = 146, .external_lex_state = 2},
  [100] = {.lex_state = 146, .external_lex_state = 2},
  [101] = {.lex_state = 146, .external_lex_state = 5},
  [102] = {.lex_state = 146, .external_lex_state = 2},
  [103] = {.lex_state = 146, .external_lex_state = 2},
  [104] = {.lex_state = 146, .external_lex_state = 2},
  [105] = {.lex_state = 146, .external_lex_state = 2},
  [106] = {.lex_state = 146, .external_lex_state = 2},
  [107] = {.lex_state = 146, .external_lex_state = 2},
  [108] = {.lex_state = 146, .external_lex_state = 2},
  [109] = {.lex_state = 146, .external_lex_state = 2},
  [110] = {.lex_state = 146, .external_lex_state = 2},
  [111] = {.lex_state = 146, .external_lex_state = 2},
  [112] = {.lex_state = 146, .external_lex_state = 2},
  [113] = {.lex_state = 146, .external_lex_state = 2},
  [114] = {.lex_state = 146, .external_lex_state = 2},
  [115] = {.lex_state = 7, .external_lex_state = 2},
  [116] = {.lex_state = 146, .external_lex_state = 2},
  [117] = {.lex_state = 146, .external_lex_state = 2},
  [118] = {.lex_state = 146, .external_lex_state = 2},
  [119] = {.lex_state = 146, .external_lex_state = 2},
  [120] = {.lex_state = 7, .external_lex_state = 2},
  [121] = {.lex_state = 146, .external_lex_state = 2},
  [122] = {.lex_state = 146, .external_lex_state = 2},
  [123] = {.lex_state = 146, .external_lex_state = 2},
  [124] = {.lex_state = 146, .external_lex_state = 2},
  [125] = {.lex_state = 146, .external_lex_state = 2},
  [126] = {.lex_state = 146, .external_lex_state = 2},
  [127] = {.lex_state = 146, .external_lex_state = 2},
  [128] = {.lex_state = 146, .external_lex_state = 2},
  [129] = {.lex_state = 146, .external_lex_state = 2},
  [130] = {.lex_state = 146, .external_lex_state = 2},
  [131] = {.lex_state = 146, .external_lex_state = 2},
  [132] = {.lex_state = 146, .external_lex_state = 2},
  [133] = {.lex_state = 146, .external_lex_state = 2},
  [134] = {.lex_state = 146, .external_lex_state = 2},
  [135] = {.lex_state = 146, .external_lex_state = 2},
  [136] = {.lex_state = 146, .external_lex_state = 2},
  [137] = {.lex_state = 7, .external_lex_state = 2},
  [138] = {.lex_state = 146, .external_lex_state = 2},
  [139] = {.lex_state = 146, .external_lex_state = 2},
  [140] = {.lex_state = 146, .external_lex_state = 2},
  [141] = {.lex_state = 7, .external_lex_state = 2},
  [142] = {.lex_state = 7, .external_lex_state = 2},
  [143] = {.lex_state = 146, .external_lex_state = 2},
  [144] = {.lex_state = 146, .external_lex_state = 2},
  [145] = {.lex_state = 146, .external_lex_state = 2},
  [146] = {.lex_state = 146, .external_lex_state = 2},
  [147] = {.lex_state = 146, .external_lex_state = 2},
  [148] = {.lex_state = 146, .external_lex_state = 2},
  [149] = {.lex_state = 146, .external_lex_state = 2},
  [150] = {.lex_state = 146, .external_lex_state = 2},
  [151] = {.lex_state = 146, .external_lex_state = 2},
  [152] = {.lex_state = 146, .external_lex_state = 2},
  [153] = {.lex_state = 146, .external_lex_state = 2},
  [154] = {.lex_state = 146, .external_lex_state = 2},
  [155] = {.lex_state = 146, .external_lex_state = 2},
  [156] = {.lex_state = 146, .external_lex_state = 2},
  [157] = {.lex_state = 146, .external_lex_state = 2},
  [158] = {.lex_state = 146, .external_lex_state = 2},
  [159] = {.lex_state = 146, .external_lex_state = 2},
  [160] = {.lex_state = 146, .external_lex_state = 2},
  [161] = {.lex_state = 146, .external_lex_state = 2},
  [162] = {.lex_state = 146, .external_lex_state = 2},
  [163] = {.lex_state = 146, .external_lex_state = 2},
  [164] = {.lex_state = 146, .external_lex_state = 2},
  [165] = {.lex_state = 146, .external_lex_state = 2},
  [166] = {.lex_state = 146, .external_lex_state = 2},
  [167] = {.lex_state = 146, .external_lex_state = 2},
  [168] = {.lex_state = 146, .external_lex_state = 2},
  [169] = {.lex_state = 146, .external_lex_state = 2},
  [170] = {.lex_state = 146, .external_lex_state = 2},
  [171] = {.lex_state = 146, .external_lex_state = 2},
  [172] = {.lex_state = 146, .external_lex_state = 2},
  [173] = {.lex_state = 146, .external_lex_state = 2},
  [174] = {.lex_state = 146, .external_lex_state = 2},
  [175] = {.lex_state = 146, .external_lex_state = 2},
  [176] = {.lex_state = 146, .external_lex_state = 2},
  [177] = {.lex_state = 146, .external_lex_state = 2},
  [178] = {.lex_state = 146, .external_lex_state = 2},
  [179] = {.lex_state = 146, .external_lex_state = 2},
  [180] = {.lex_state = 146, .external_lex_state = 2},
  [181] = {.lex_state = 146, .external_lex_state = 2},
  [182] = {.lex_state = 146, .external_lex_state = 2},
  [183] = {.lex_state = 146, .external_lex_state = 2},
  [184] = {.lex_state = 146, .external_lex_state = 2},
  [185] = {.lex_state = 146, .external_lex_state = 2},
  [186] = {.lex_state = 146, .external_lex_state = 2},
  [187] = {.lex_state = 146, .external_lex_state = 2},
  [188] = {.lex_state = 146, .external_lex_state = 2},
  [189] = {.lex_state = 146, .external_lex_state = 2},
  [190] = {.lex_state = 146, .external_lex_state = 2},
  [191] = {.lex_state = 146, .external_lex_state = 2},
  [192] = {.lex_state = 146, .external_lex_state = 2},
  [193] = {.lex_state = 146, .external_lex_state = 2},
  [194] = {.lex_state = 146, .external_lex_state = 2},
  [195] = {.lex_state = 146, .external_lex_state = 2},
  [196] = {.lex_state = 146, .external_lex_state = 2},
  [197] = {.lex_state = 146, .external_lex_state = 2},
  [198] = {.lex_state = 146, .external_lex_state = 2},
  [199] = {.lex_state = 146, .external_lex_state = 2},
  [200] = {.lex_state = 146, .external_lex_state = 2},
  [201] = {.lex_state = 146, .external_lex_state = 2},
  [202] = {.lex_state = 146, .external_lex_state = 2},
  [203] = {.lex_state = 146, .external_lex_state = 2},
  [204] = {.lex_state = 146, .external_lex_state = 2},
  [205] = {.lex_state = 146, .external_lex_state = 2},
  [206] = {.lex_state = 146, .external_lex_state = 2},
  [207] = {.lex_state = 146, .external_lex_state = 2},
  [208] = {.lex_state = 146, .external_lex_state = 2},
  [209] = {.lex_state = 146, .external_lex_state = 2},
  [210] = {.lex_state = 146, .external_lex_state = 2},
  [211] = {.lex_state = 146, .external_lex_state = 2},
  [212] = {.lex_state = 146, .external_lex_state = 2},
  [213] = {.lex_state = 146, .external_lex_state = 2},
  [214] = {.lex_state = 146, .external_lex_state = 2},
  [215] = {.lex_state = 146, .external_lex_state = 2},
  [216] = {.lex_state = 146, .external_lex_state = 2},
  [217] = {.lex_state = 146, .external_lex_state = 2},
  [218] = {.lex_state = 146, .external_lex_state = 2},
  [219] = {.lex_state = 146, .external_lex_state = 2},
  [220] = {.lex_state = 146, .external_lex_state = 2},
  [221] = {.lex_state = 146, .external_lex_state = 2},
  [222] = {.lex_state = 146, .external_lex_state = 2},
  [223] = {.lex_state = 146, .external_lex_state = 2},
  [224] = {.lex_state = 146, .external_lex_state = 2},
  [225] = {.lex_state = 146, .external_lex_state = 2},
  [226] = {.lex_state = 146, .external_lex_state = 2},
  [227] = {.lex_state = 146, .external_lex_state = 2},
  [228] = {.lex_state = 146, .external_lex_state = 2},
  [229] = {.lex_state = 146, .external_lex_state = 2},
  [230] = {.lex_state = 146, .external_lex_state = 2},
  [231] = {.lex_state = 146, .external_lex_state = 2},
  [232] = {.lex_state = 146, .external_lex_state = 2},
  [233] = {.lex_state = 146, .external_lex_state = 2},
  [234] = {.lex_state = 146, .external_lex_state = 2},
  [235] = {.lex_state = 146, .external_lex_state = 2},
  [236] = {.lex_state = 146, .external_lex_state = 2},
  [237] = {.lex_state = 146, .external_lex_state = 2},
  [238] = {.lex_state = 146, .external_lex_state = 2},
  [239] = {.lex_state = 146, .external_lex_state = 2},
  [240] = {.lex_state = 146, .external_lex_state = 2},
  [241] = {.lex_state = 146, .external_lex_state = 2},
  [242] = {.lex_state = 146, .external_lex_state = 2},
  [243] = {.lex_state = 146, .external_lex_state = 2},
  [244] = {.lex_state = 146, .external_lex_state = 2},
  [245] = {.lex_state = 146, .external_lex_state = 2},
  [246] = {.lex_state = 146, .external_lex_state = 2},
  [247] = {.lex_state = 146, .external_lex_state = 2},
  [248] = {.lex_state = 146, .external_lex_state = 2},
  [249] = {.lex_state = 146, .external_lex_state = 2},
  [250] = {.lex_state = 146, .external_lex_state = 2},
  [251] = {.lex_state = 146, .external_lex_state = 2},
  [252] = {.lex_state = 146, .external_lex_state = 2},
  [253] = {.lex_state = 146, .external_lex_state = 2},
  [254] = {.lex_state = 146, .external_lex_state = 2},
  [255] = {.lex_state = 146, .external_lex_state = 2},
  [256] = {.lex_state = 146, .external_lex_state = 2},
  [257] = {.lex_state = 146, .external_lex_state = 2},
  [258] = {.lex_state = 146, .external_lex_state = 2},
  [259] = {.lex_state = 146, .external_lex_state = 2},
  [260] = {.lex_state = 146, .external_lex_state = 2},
  [261] = {.lex_state = 146, .external_lex_state = 2},
  [262] = {.lex_state = 146, .external_lex_state = 2},
  [263] = {.lex_state = 146, .external_lex_state = 2},
  [264] = {.lex_state = 146, .external_lex_state = 2},
  [265] = {.lex_state = 146, .external_lex_state = 2},
  [266] = {.lex_state = 146, .external_lex_state = 2},
  [267] = {.lex_state = 146, .external_lex_state = 2},
  [268] = {.lex_state = 146, .external_lex_state = 2},
  [269] = {.lex_state = 146, .external_lex_state = 2},
  [270] = {.lex_state = 146, .external_lex_state = 2},
  [271] = {.lex_state = 146, .external_lex_state = 2},
  [272] = {.lex_state = 146, .external_lex_state = 2},
  [273] = {.lex_state = 146, .external_lex_state = 2},
  [274] = {.lex_state = 146, .external_lex_state = 2},
  [275] = {.lex_state = 146, .external_lex_state = 2},
  [276] = {.lex_state = 146, .external_lex_state = 2},
  [277] = {.lex_state = 8, .external_lex_state = 4},
  [278] = {.lex_state = 8, .external_lex_state = 4},
  [279] = {.lex_state = 8, .external_lex_state = 4},
  [280] = {.lex_state = 8, .external_lex_state = 4},
  [281] = {.lex_state = 8, .external_lex_state = 4},
  [282] = {.lex_state = 8, .external_lex_state = 4},
  [283] = {.lex_state = 8, .external_lex_state = 4},
  [284] = {.lex_state = 8, .external_lex_state = 4},
  [285] = {.lex_state = 8, .external_lex_state = 4},
  [286] = {.lex_state = 8, .external_lex_state = 4},
  [287] = {.lex_state = 8, .external_lex_state = 4},
  [288] = {.lex_state = 8, .external_lex_state = 4},
  [289] = {.lex_state = 8, .external_lex_state = 4},
  [290] = {.lex_state = 8, .external_lex_state = 4},
  [291] = {.lex_state = 146, .external_lex_state = 2},
  [292] = {.lex_state = 146, .external_lex_state = 5},
  [293] = {.lex_state = 8, .external_lex_state = 3},
  [294] = {.lex_state = 8, .external_lex_state = 3},
  [295] = {.lex_state = 146, .external_lex_state = 5},
  [296] = {.lex_state = 8, .external_lex_state = 4},
  [297] = {.lex_state = 146, .external_lex_state = 2},
  [298] = {.lex_state = 8, .external_lex_state = 4},
  [299] = {.lex_state = 8, .external_lex_state = 4},
  [300] = {.lex_state = 8, .external_lex_state = 4},
  [301] = {.lex_state = 8, .external_lex_state = 3},
  [302] = {.lex_state = 8, .external_lex_state = 3},
  [303] = {.lex_state = 8, .external_lex_state = 3},
  [304] = {.lex_state = 8, .external_lex_state = 4},
  [305] = {.lex_state = 8, .external_lex_state = 4},
  [306] = {.lex_state = 146, .external_lex_state = 2},
  [307] = {.lex_state = 8, .external_lex_state = 4},
  [308] = {.lex_state = 8, .external_lex_state = 4},
  [309] = {.lex_state = 8, .external_lex_state = 4},
  [310] = {.lex_state = 8, .external_lex_state = 4},
  [311] = {.lex_state = 8, .external_lex_state = 3},
  [312] = {.lex_state = 146, .external_lex_state = 2},
  [313] = {.lex_state = 146, .external_lex_state = 2},
  [314] = {.lex_state = 146, .external_lex_state = 5},
  [315] = {.lex_state = 146, .external_lex_state = 5},
  [316] = {.lex_state = 146, .external_lex_state = 5},
  [317] = {.lex_state = 8, .external_lex_state = 4},
  [318] = {.lex_state = 8, .external_lex_state = 3},
  [319] = {.lex_state = 146, .external_lex_state = 5},
  [320] = {.lex_state = 8, .external_lex_state = 3},
  [321] = {.lex_state = 146, .external_lex_state = 5},
  [322] = {.lex_state = 8, .external_lex_state = 4},
  [323] = {.lex_state = 146, .external_lex_state = 5},
  [324] = {.lex_state = 146, .external_lex_state = 5},
  [325] = {.lex_state = 146, .external_lex_state = 5},
  [326] = {.lex_state = 146, .external_lex_state = 5},
  [327] = {.lex_state = 146, .external_lex_state = 5},
  [328] = {.lex_state = 146, .external_lex_state = 5},
  [329] = {.lex_state = 146, .external_lex_state = 2},
  [330] = {.lex_state = 146, .external_lex_state = 5},
  [331] = {.lex_state = 146, .external_lex_state = 5},
  [332] = {.lex_state = 146, .external_lex_state = 2},
  [333] = {.lex_state = 146, .external_lex_state = 5},
  [334] = {.lex_state = 146, .external_lex_state = 5},
  [335] = {.lex_state = 146, .external_lex_state = 2},
  [336] = {.lex_state = 146, .external_lex_state = 5},
  [337] = {.lex_state = 146, .external_lex_state = 2},
  [338] = {.lex_state = 146, .external_lex_state = 2},
  [339] = {.lex_state = 146, .external_lex_state = 2},
  [340] = {.lex_state = 146, .external_lex_state = 2},
  [341] = {.lex_state = 146, .external_lex_state = 2},
  [342] = {.lex_state = 146, .external_lex_state = 2},
  [343] = {.lex_state = 146, .external_lex_state = 2},
  [344] = {.lex_state = 146, .external_lex_state = 2},
  [345] = {.lex_state = 146, .external_lex_state = 2},
  [346] = {.lex_state = 146, .external_lex_state = 2},
  [347] = {.lex_state = 146, .external_lex_state = 2},
  [348] = {.lex_state = 146, .external_lex_state = 2},
  [349] = {.lex_state = 146, .external_lex_state = 2},
  [350] = {.lex_state = 8, .external_lex_state = 4},
  [351] = {.lex_state = 146, .external_lex_state = 2},
  [352] = {.lex_state = 146, .external_lex_state = 2},
  [353] = {.lex_state = 146, .external_lex_state = 2},
  [354] = {.lex_state = 8, .external_lex_state = 4},
  [355] = {.lex_state = 146, .external_lex_state = 2},
  [356] = {.lex_state = 146, .external_lex_state = 2},
  [357] = {.lex_state = 146, .external_lex_state = 2},
  [358] = {.lex_state = 146, .external_lex_state = 2},
  [359] = {.lex_state = 146, .external_lex_state = 2},
  [360] = {.lex_state = 146, .external_lex_state = 2},
  [361] = {.lex_state = 146, .external_lex_state = 2},
  [362] = {.lex_state = 146, .external_lex_state = 2},
  [363] = {.lex_state = 146, .external_lex_state = 2},
  [364] = {.lex_state = 146, .external_lex_state = 2},
  [365] = {.lex_state = 8, .external_lex_state = 3},
  [366] = {.lex_state = 8, .external_lex_state = 3},
  [367] = {.lex_state = 146, .external_lex_state = 2},
  [368] = {.lex_state = 146, .external_lex_state = 2},
  [369] = {.lex_state = 146, .external_lex_state = 2},
  [370] = {.lex_state = 146, .external_lex_state = 2},
  [371] = {.lex_state = 146, .external_lex_state = 2},
  [372] = {.lex_state = 146, .external_lex_state = 2},
  [373] = {.lex_state = 146, .external_lex_state = 2},
  [374] = {.lex_state = 146, .external_lex_state = 2},
  [375] = {.lex_state = 146, .external_lex_state = 2},
  [376] = {.lex_state = 146, .external_lex_state = 2},
  [377] = {.lex_state = 146, .external_lex_state = 2},
  [378] = {.lex_state = 146, .external_lex_state = 2},
  [379] = {.lex_state = 146, .external_lex_state = 2},
  [380] = {.lex_state = 146, .external_lex_state = 2},
  [381] = {.lex_state = 146, .external_lex_state = 2},
  [382] = {.lex_state = 146, .external_lex_state = 2},
  [383] = {.lex_state = 146, .external_lex_state = 2},
  [384] = {.lex_state = 8, .external_lex_state = 4},
  [385] = {.lex_state = 8, .external_lex_state = 3},
  [386] = {.lex_state = 146, .external_lex_state = 2},
  [387] = {.lex_state = 146, .external_lex_state = 2},
  [388] = {.lex_state = 146, .external_lex_state = 2},
  [389] = {.lex_state = 146, .external_lex_state = 2},
  [390] = {.lex_state = 146, .external_lex_state = 2},
  [391] = {.lex_state = 146, .external_lex_state = 2},
  [392] = {.lex_state = 146, .external_lex_state = 2},
  [393] = {.lex_state = 146, .external_lex_state = 2},
  [394] = {.lex_state = 146, .external_lex_state = 2},
  [395] = {.lex_state = 146, .external_lex_state = 2},
  [396] = {.lex_state = 146, .external_lex_state = 2},
  [397] = {.lex_state = 146, .external_lex_state = 2},
  [398] = {.lex_state = 146, .external_lex_state = 2},
  [399] = {.lex_state = 146, .external_lex_state = 2},
  [400] = {.lex_state = 146, .external_lex_state = 2},
  [401] = {.lex_state = 146, .external_lex_state = 2},
  [402] = {.lex_state = 8, .external_lex_state = 4},
  [403] = {.lex_state = 8, .external_lex_state = 4},
  [404] = {.lex_state = 8, .external_lex_state = 4},
  [405] = {.lex_state = 8, .external_lex_state = 4},
  [406] = {.lex_state = 8, .external_lex_state = 3},
  [407] = {.lex_state = 8, .external_lex_state = 3},
  [408] = {.lex_state = 8, .external_lex_state = 3},
  [409] = {.lex_state = 8, .external_lex_state = 3},
  [410] = {.lex_state = 8, .external_lex_state = 3},
  [411] = {.lex_state = 8, .external_lex_state = 3},
  [412] = {.lex_state = 8, .external_lex_state = 3},
  [413] = {.lex_state = 8, .external_lex_state = 3},
  [414] = {.lex_state = 8, .external_lex_state = 3},
  [415] = {.lex_state = 8, .external_lex_state = 3},
  [416] = {.lex_state = 146, .external_lex_state = 2},
  [417] = {.lex_state = 8, .external_lex_state = 3},
  [418] = {.lex_state = 8, .external_lex_state = 3},
  [419] = {.lex_state = 146, .external_lex_state = 2},
  [420] = {.lex_state = 8, .external_lex_state = 3},
  [421] = {.lex_state = 146, .external_lex_state = 2},
  [422] = {.lex_state = 146, .external_lex_state = 2},
  [423] = {.lex_state = 146, .external_lex_state = 2},
  [424] = {.lex_state = 146, .external_lex_state = 2},
  [425] = {.lex_state = 146, .external_lex_state = 2},
  [426] = {.lex_state = 146, .external_lex_state = 2},
  [427] = {.lex_state = 8, .external_lex_state = 3},
  [428] = {.lex_state = 8, .external_lex_state = 3},
  [429] = {.lex_state = 8, .external_lex_state = 4},
  [430] = {.lex_state = 8, .external_lex_state = 3},
  [431] = {.lex_state = 8, .external_lex_state = 4},
  [432] = {.lex_state = 8, .external_lex_state = 3},
  [433] = {.lex_state = 8, .external_lex_state = 4},
  [434] = {.lex_state = 8, .external_lex_state = 4},
  [435] = {.lex_state = 8, .external_lex_state = 3},
  [436] = {.lex_state = 8, .external_lex_state = 4},
  [437] = {.lex_state = 8, .external_lex_state = 4},
  [438] = {.lex_state = 8, .external_lex_state = 4},
  [439] = {.lex_state = 8, .external_lex_state = 4},
  [440] = {.lex_state = 8, .external_lex_state = 3},
  [441] = {.lex_state = 8, .external_lex_state = 4},
  [442] = {.lex_state = 8, .external_lex_state = 4},
  [443] = {.lex_state = 8, .external_lex_state = 4},
  [444] = {.lex_state = 8, .external_lex_state = 4},
  [445] = {.lex_state = 8, .external_lex_state = 4},
  [446] = {.lex_state = 8, .external_lex_state = 4},
  [447] = {.lex_state = 8, .external_lex_state = 4},
  [448] = {.lex_state = 8, .external_lex_state = 4},
  [449] = {.lex_state = 8, .external_lex_state = 3},
  [450] = {.lex_state = 8, .external_lex_state = 4},
  [451] = {.lex_state = 8, .external_lex_state = 4},
  [452] = {.lex_state = 8, .external_lex_state = 4},
  [453] = {.lex_state = 8, .external_lex_state = 4},
  [454] = {.lex_state = 8, .external_lex_state = 4},
  [455] = {.lex_state = 8, .external_lex_state = 4},
  [456] = {.lex_state = 8, .external_lex_state = 3},
  [457] = {.lex_state = 8, .external_lex_state = 4},
  [458] = {.lex_state = 8, .external_lex_state = 3},
  [459] = {.lex_state = 8, .external_lex_state = 3},
  [460] = {.lex_state = 8, .external_lex_state = 3},
  [461] = {.lex_state = 8, .external_lex_state = 4},
  [462] = {.lex_state = 8, .external_lex_state = 3},
  [463] = {.lex_state = 8, .external_lex_state = 4},
  [464] = {.lex_state = 8, .external_lex_state = 3},
  [465] = {.lex_state = 8, .external_lex_state = 3},
  [466] = {.lex_state = 8, .external_lex_state = 3},
  [467] = {.lex_state = 8, .external_lex_state = 3},
  [468] = {.lex_state = 8, .external_lex_state = 3},
  [469] = {.lex_state = 8, .external_lex_state = 3},
  [470] = {.lex_state = 8, .external_lex_state = 3},
  [471] = {.lex_state = 8, .external_lex_state = 3},
  [472] = {.lex_state = 8, .external_lex_state = 3},
  [473] = {.lex_state = 8, .external_lex_state = 3},
  [474] = {.lex_state = 8, .external_lex_state = 3},
  [475] = {.lex_state = 8, .external_lex_state = 3},
  [476] = {.lex_state = 8, .external_lex_state = 3},
  [477] = {.lex_state = 8, .external_lex_state = 3},
  [478] = {.lex_state = 9, .external_lex_state = 3},
  [479] = {.lex_state = 9, .external_lex_state = 3},
  [480] = {.lex_state = 9, .external_lex_state = 4},
  [481] = {.lex_state = 9, .external_lex_state = 3},
  [482] = {.lex_state = 9, .external_lex_state = 3},
  [483] = {.lex_state = 9, .external_lex_state = 3},
  [484] = {.lex_state = 9, .external_lex_state = 4},
  [485] = {.lex_state = 9, .external_lex_state = 3},
  [486] = {.lex_state = 9, .external_lex_state = 3},
  [487] = {.lex_state = 9, .external_lex_state = 3},
  [488] = {.lex_state = 9, .external_lex_state = 3},
  [489] = {.lex_state = 9, .external_lex_state = 4},
  [490] = {.lex_state = 9, .external_lex_state = 3},
  [491] = {.lex_state = 9, .external_lex_state = 3},
  [492] = {.lex_state = 9, .external_lex_state = 3},
  [493] = {.lex_state = 9, .external_lex_state = 3},
  [494] = {.lex_state = 9, .external_lex_state = 3},
  [495] = {.lex_state = 9, .external_lex_state = 4},
  [496] = {.lex_state = 9, .external_lex_state = 3},
  [497] = {.lex_state = 9, .external_lex_state = 3},
  [498] = {.lex_state = 9, .external_lex_state = 3},
  [499] = {.lex_state = 9, .external_lex_state = 3},
  [500] = {.lex_state = 9, .external_lex_state = 3},
  [501] = {.lex_state = 9, .external_lex_state = 3},
  [502] = {.lex_state = 9, .external_lex_state = 3},
  [503] = {.lex_state = 9, .external_lex_state = 3},
  [504] = {.lex_state = 9, .external_lex_state = 3},
  [505] = {.lex_state = 9, .external_lex_state = 3},
  [506] = {.lex_state = 9, .external_lex_state = 4},
  [507] = {.lex_state = 9, .external_lex_state = 3},
  [508] = {.lex_state = 9, .external_lex_state = 4},
  [509] = {.lex_state = 9, .external_lex_state = 3},
  [510] = {.lex_state = 9, .external_lex_state = 4},
  [511] = {.lex_state = 9, .external_lex_state = 3},
  [512] = {.lex_state = 9, .external_lex_state = 3},
  [513] = {.lex_state = 9, .external_lex_state = 3},
  [514] = {.lex_state = 9, .external_lex_state = 3},
  [515] = {.lex_state = 9, .external_lex_state = 3},
  [516] = {.lex_state = 9, .external_lex_state = 3},
  [517] = {.lex_state = 9, .external_lex_state = 3},
  [518] = {.lex_state = 9, .external_lex_state = 3},
  [519] = {.lex_state = 9, .external_lex_state = 3},
  [520] = {.lex_state = 10, .external_lex_state = 3},
  [521] = {.lex_state = 9, .external_lex_state = 3},
  [522] = {.lex_state = 9, .external_lex_state = 3},
  [523] = {.lex_state = 9, .external_lex_state = 3},
  [524] = {.lex_state = 9, .external_lex_state = 3},
  [525] = {.lex_state = 9, .external_lex_state = 3},
  [526] = {.lex_state = 9, .external_lex_state = 3},
  [527] = {.lex_state = 9, .external_lex_state = 4},
  [528] = {.lex_state = 9, .external_lex_state = 3},
  [529] = {.lex_state = 9, .external_lex_state = 3},
  [530] = {.lex_state = 9, .external_lex_state = 3},
  [531] = {.lex_state = 9, .external_lex_state = 3},
  [532] = {.lex_state = 9, .external_lex_state = 3},
  [533] = {.lex_state = 9, .external_lex_state = 3},
  [534] = {.lex_state = 9, .external_lex_state = 3},
  [535] = {.lex_state = 9, .external_lex_state = 3},
  [536] = {.lex_state = 9, .external_lex_state = 3},
  [537] = {.lex_state = 9, .external_lex_state = 3},
  [538] = {.lex_state = 9, .external_lex_state = 3},
  [539] = {.lex_state = 9, .external_lex_state = 3},
  [540] = {.lex_state = 9, .external_lex_state = 3},
  [541] = {.lex_state = 9, .external_lex_state = 3},
  [542] = {.lex_state = 9, .external_lex_state = 3},
  [543] = {.lex_state = 9, .external_lex_state = 3},
  [544] = {.lex_state = 9, .external_lex_state = 3},
  [545] = {.lex_state = 9, .external_lex_state = 3},
  [546] = {.lex_state = 9, .external_lex_state = 3},
  [547] = {.lex_state = 9, .external_lex_state = 3},
  [548] = {.lex_state = 9, .external_lex_state = 3},
  [549] = {.lex_state = 9, .external_lex_state = 3},
  [550] = {.lex_state = 9, .external_lex_state = 3},
  [551] = {.lex_state = 9, .external_lex_state = 3},
  [552] = {.lex_state = 9, .external_lex_state = 4},
  [553] = {.lex_state = 9, .external_lex_state = 3},
  [554] = {.lex_state = 9, .external_lex_state = 3},
  [555] = {.lex_state = 9, .external_lex_state = 3},
  [556] = {.lex_state = 9, .external_lex_state = 3},
  [557] = {.lex_state = 9, .external_lex_state = 3},
  [558] = {.lex_state = 9, .external_lex_state = 3},
  [559] = {.lex_state = 9, .external_lex_state = 3},
  [560] = {.lex_state = 9, .external_lex_state = 3},
  [561] = {.lex_state = 9, .external_lex_state = 3},
  [562] = {.lex_state = 9, .external_lex_state = 3},
  [563] = {.lex_state = 9, .external_lex_state = 3},
  [564] = {.lex_state = 9, .external_lex_state = 3},
  [565] = {.lex_state = 9, .external_lex_state = 3},
  [566] = {.lex_state = 9, .external_lex_state = 3},
  [567] = {.lex_state = 9, .external_lex_state = 3},
  [568] = {.lex_state = 9, .external_lex_state = 3},
  [569] = {.lex_state = 9, .external_lex_state = 3},
  [570] = {.lex_state = 9, .external_lex_state = 3},
  [571] = {.lex_state = 9, .external_lex_state = 3},
  [572] = {.lex_state = 9, .external_lex_state = 3},
  [573] = {.lex_state = 9, .external_lex_state = 3},
  [574] = {.lex_state = 9, .external_lex_state = 3},
  [575] = {.lex_state = 9, .external_lex_state = 4},
  [576] = {.lex_state = 9, .external_lex_state = 3},
  [577] = {.lex_state = 9, .external_lex_state = 3},
  [578] = {.lex_state = 9, .external_lex_state = 3},
  [579] = {.lex_state = 9, .external_lex_state = 3},
  [580] = {.lex_state = 9, .external_lex_state = 3},
  [581] = {.lex_state = 9, .external_lex_state = 4},
  [582] = {.lex_state = 9, .external_lex_state = 4},
  [583] = {.lex_state = 9, .external_lex_state = 4},
  [584] = {.lex_state = 9, .external_lex_state = 4},
  [585] = {.lex_state = 9, .external_lex_state = 3},
  [586] = {.lex_state = 9, .external_lex_state = 4},
  [587] = {.lex_state = 9, .external_lex_state = 4},
  [588] = {.lex_state = 9, .external_lex_state = 4},
  [589] = {.lex_state = 9, .external_lex_state = 3},
  [590] = {.lex_state = 9, .external_lex_state = 4},
  [591] = {.lex_state = 9, .external_lex_state = 4},
  [592] = {.lex_state = 9, .external_lex_state = 4},
  [593] = {.lex_state = 9, .external_lex_state = 4},
  [594] = {.lex_state = 9, .external_lex_state = 3},
  [595] = {.lex_state = 9, .external_lex_state = 4},
  [596] = {.lex_state = 9, .external_lex_state = 4},
  [597] = {.lex_state = 9, .external_lex_state = 4},
  [598] = {.lex_state = 9, .external_lex_state = 4},
  [599] = {.lex_state = 9, .external_lex_state = 4},
  [600] = {.lex_state = 9, .external_lex_state = 4},
  [601] = {.lex_state = 9, .external_lex_state = 4},
  [602] = {.lex_state = 9, .external_lex_state = 4},
  [603] = {.lex_state = 9, .external_lex_state = 4},
  [604] = {.lex_state = 9, .external_lex_state = 4},
  [605] = {.lex_state = 9, .external_lex_state = 4},
  [606] = {.lex_state = 9, .external_lex_state = 4},
  [607] = {.lex_state = 9, .external_lex_state = 4},
  [608] = {.lex_state = 9, .external_lex_state = 4},
  [609] = {.lex_state = 9, .external_lex_state = 4},
  [610] = {.lex_state = 9, .external_lex_state = 4},
  [611] = {.lex_state = 9, .external_lex_state = 4},
  [612] = {.lex_state = 9, .external_lex_state = 4},
  [613] = {.lex_state = 9, .external_lex_state = 4},
  [614] = {.lex_state = 9, .external_lex_state = 4},
  [615] = {.lex_state = 9, .external_lex_state = 3},
  [616] = {.lex_state = 9, .external_lex_state = 4},
  [617] = {.lex_state = 9, .external_lex_state = 4},
  [618] = {.lex_state = 9, .external_lex_state = 4},
  [619] = {.lex_state = 9, .external_lex_state = 4},
  [620] = {.lex_state = 9, .external_lex_state = 4},
  [621] = {.lex_state = 9, .external_lex_state = 4},
  [622] = {.lex_state = 9, .external_lex_state = 4},
  [623] = {.lex_state = 9, .external_lex_state = 4},
  [624] = {.lex_state = 9, .external_lex_state = 4},
  [625] = {.lex_state = 9, .external_lex_state = 4},
  [626] = {.lex_state = 9, .external_lex_state = 4},
  [627] = {.lex_state = 9, .external_lex_state = 4},
  [628] = {.lex_state = 9, .external_lex_state = 4},
  [629] = {.lex_state = 9, .external_lex_state = 4},
  [630] = {.lex_state = 9, .external_lex_state = 4},
  [631] = {.lex_state = 9, .external_lex_state = 4},
  [632] = {.lex_state = 9, .external_lex_state = 3},
  [633] = {.lex_state = 9, .external_lex_state = 4},
  [634] = {.lex_state = 9, .external_lex_state = 4},
  [635] = {.lex_state = 9, .external_lex_state = 3},
  [636] = {.lex_state = 9, .external_lex_state = 4},
  [637] = {.lex_state = 9, .external_lex_state = 4},
  [638] = {.lex_state = 9, .external_lex_state = 4},
  [639] = {.lex_state = 9, .external_lex_state = 4},
  [640] = {.lex_state = 9, .external_lex_state = 4},
  [641] = {.lex_state = 9, .external_lex_state = 4},
  [642] = {.lex_state = 9, .external_lex_state = 4},
  [643] = {.lex_state = 9, .external_lex_state = 4},
  [644] = {.lex_state = 9, .external_lex_state = 4},
  [645] = {.lex_state = 9, .external_lex_state = 4},
  [646] = {.lex_state = 9, .external_lex_state = 4},
  [647] = {.lex_state = 9, .external_lex_state = 4},
  [648] = {.lex_state = 9, .external_lex_state = 4},
  [649] = {.lex_state = 9, .external_lex_state = 4},
  [650] = {.lex_state = 9, .external_lex_state = 4},
  [651] = {.lex_state = 9, .external_lex_state = 4},
  [652] = {.lex_state = 9, .external_lex_state = 4},
  [653] = {.lex_state = 9, .external_lex_state = 4},
  [654] = {.lex_state = 9, .external_lex_state = 4},
  [655] = {.lex_state = 9, .external_lex_state = 4},
  [656] = {.lex_state = 9, .external_lex_state = 3},
  [657] = {.lex_state = 9, .external_lex_state = 4},
  [658] = {.lex_state = 9, .external_lex_state = 3},
  [659] = {.lex_state = 9, .external_lex_state = 4},
  [660] = {.lex_state = 9, .external_lex_state = 4},
  [661] = {.lex_state = 9, .external_lex_state = 4},
  [662] = {.lex_state = 9, .external_lex_state = 3},
  [663] = {.lex_state = 9, .external_lex_state = 4},
  [664] = {.lex_state = 9, .external_lex_state = 4},
  [665] = {.lex_state = 9, .external_lex_state = 4},
  [666] = {.lex_state = 9, .external_lex_state = 4},
  [667] = {.lex_state = 9, .external_lex_state = 3},
  [668] = {.lex_state = 9, .external_lex_state = 4},
  [669] = {.lex_state = 9, .external_lex_state = 4},
  [670] = {.lex_state = 9, .external_lex_state = 4},
  [671] = {.lex_state = 9, .external_lex_state = 4},
  [672] = {.lex_state = 9, .external_lex_state = 3},
  [673] = {.lex_state = 9, .external_lex_state = 3},
  [674] = {.lex_state = 9, .external_lex_state = 4},
  [675] = {.lex_state = 9, .external_lex_state = 3},
  [676] = {.lex_state = 9, .external_lex_state = 4},
  [677] = {.lex_state = 10, .external_lex_state = 4},
  [678] = {.lex_state = 9, .external_lex_state = 4},
  [679] = {.lex_state = 9, .external_lex_state = 4},
  [680] = {.lex_state = 9, .external_lex_state = 4},
  [681] = {.lex_state = 9, .external_lex_state = 4},
  [682] = {.lex_state = 9, .external_lex_state = 3},
  [683] = {.lex_state = 9, .external_lex_state = 4},
  [684] = {.lex_state = 9, .external_lex_state = 4},
  [685] = {.lex_state = 9, .external_lex_state = 4},
  [686] = {.lex_state = 9, .external_lex_state = 4},
  [687] = {.lex_state = 9, .external_lex_state = 4},
  [688] = {.lex_state = 9, .external_lex_state = 4},
  [689] = {.lex_state = 9, .external_lex_state = 3},
  [690] = {.lex_state = 9, .external_lex_state = 3},
  [691] = {.lex_state = 9, .external_lex_state = 4},
  [692] = {.lex_state = 9, .external_lex_state = 4},
  [693] = {.lex_state = 9, .external_lex_state = 4},
  [694] = {.lex_state = 9, .external_lex_state = 4},
  [695] = {.lex_state = 9, .external_lex_state = 4},
  [696] = {.lex_state = 9, .external_lex_state = 3},
  [697] = {.lex_state = 9, .external_lex_state = 3},
  [698] = {.lex_state = 9, .external_lex_state = 3},
  [699] = {.lex_state = 9, .external_lex_state = 4},
  [700] = {.lex_state = 9, .external_lex_state = 4},
  [701] = {.lex_state = 9, .external_lex_state = 3},
  [702] = {.lex_state = 9, .external_lex_state = 4},
  [703] = {.lex_state = 9, .external_lex_state = 4},
  [704] = {.lex_state = 10, .external_lex_state = 4},
  [705] = {.lex_state = 9, .external_lex_state = 3},
  [706] = {.lex_state = 9, .external_lex_state = 4},
  [707] = {.lex_state = 9, .external_lex_state = 4},
  [708] = {.lex_state = 9, .external_lex_state = 4},
  [709] = {.lex_state = 9, .external_lex_state = 4},
  [710] = {.lex_state = 9, .external_lex_state = 3},
  [711] = {.lex_state = 9, .external_lex_state = 3},
  [712] = {.lex_state = 9, .external_lex_state = 4},
  [713] = {.lex_state = 9, .external_lex_state = 3},
  [714] = {.lex_state = 9, .external_lex_state = 4},
  [715] = {.lex_state = 9, .external_lex_state = 3},
  [716] = {.lex_state = 9, .external_lex_state = 4},
  [717] = {.lex_state = 9, .external_lex_state = 3},
  [718] = {.lex_state = 9, .external_lex_state = 4},
  [719] = {.lex_state = 9, .external_lex_state = 3},
  [720] = {.lex_state = 9, .external_lex_state = 4},
  [721] = {.lex_state = 9, .external_lex_state = 3},
  [722] = {.lex_state = 9, .external_lex_state = 3},
  [723] = {.lex_state = 9, .external_lex_state = 4},
  [724] = {.lex_state = 9, .external_lex_state = 3},
  [725] = {.lex_state = 9, .external_lex_state = 4},
  [726] = {.lex_state = 9, .external_lex_state = 4},
  [727] = {.lex_state = 9, .external_lex_state = 4},
  [728] = {.lex_state = 9, .external_lex_state = 4},
  [729] = {.lex_state = 9, .external_lex_state = 3},
  [730] = {.lex_state = 9, .external_lex_state = 4},
  [731] = {.lex_state = 9, .external_lex_state = 3},
  [732] = {.lex_state = 9, .external_lex_state = 3},
  [733] = {.lex_state = 9, .external_lex_state = 4},
  [734] = {.lex_state = 9, .external_lex_state = 4},
  [735] = {.lex_state = 9, .external_lex_state = 4},
  [736] = {.lex_state = 9, .external_lex_state = 4},
  [737] = {.lex_state = 9, .external_lex_state = 4},
  [738] = {.lex_state = 9, .external_lex_state = 4},
  [739] = {.lex_state = 9, .external_lex_state = 3},
  [740] = {.lex_state = 9, .external_lex_state = 3},
  [741] = {.lex_state = 9, .external_lex_state = 4},
  [742] = {.lex_state = 9, .external_lex_state = 4},
  [743] = {.lex_state = 9, .external_lex_state = 3},
  [744] = {.lex_state = 9, .external_lex_state = 4},
  [745] = {.lex_state = 9, .external_lex_state = 4},
  [746] = {.lex_state = 9, .external_lex_state = 4},
  [747] = {.lex_state = 9, .external_lex_state = 4},
  [748] = {.lex_state = 9, .external_lex_state = 4},
  [749] = {.lex_state = 9, .external_lex_state = 4},
  [750] = {.lex_state = 9, .external_lex_state = 4},
  [751] = {.lex_state = 9, .external_lex_state = 4},
  [752] = {.lex_state = 9, .external_lex_state = 4},
  [753] = {.lex_state = 9, .external_lex_state = 4},
  [754] = {.lex_state = 9, .external_lex_state = 3},
  [755] = {.lex_state = 9, .external_lex_state = 3},
  [756] = {.lex_state = 9, .external_lex_state = 3},
  [757] = {.lex_state = 9, .external_lex_state = 3},
  [758] = {.lex_state = 9, .external_lex_state = 3},
  [759] = {.lex_state = 9, .external_lex_state = 3},
  [760] = {.lex_state = 9, .external_lex_state = 4},
  [761] = {.lex_state = 9, .external_lex_state = 3},
  [762] = {.lex_state = 9, .external_lex_state = 3},
  [763] = {.lex_state = 9, .external_lex_state = 4},
  [764] = {.lex_state = 9, .external_lex_state = 3},
  [765] = {.lex_state = 9, .external_lex_state = 3},
  [766] = {.lex_state = 9, .external_lex_state = 3},
  [767] = {.lex_state = 9, .external_lex_state = 3},
  [768] = {.lex_state = 9, .external_lex_state = 3},
  [769] = {.lex_state = 9, .external_lex_state = 3},
  [770] = {.lex_state = 9, .external_lex_state = 3},
  [771] = {.lex_state = 9, .external_lex_state = 3},
  [772] = {.lex_state = 9, .external_lex_state = 3},
  [773] = {.lex_state = 9, .external_lex_state = 4},
  [774] = {.lex_state = 9, .external_lex_state = 3},
  [775] = {.lex_state = 9, .external_lex_state = 3},
  [776] = {.lex_state = 9, .external_lex_state = 3},
  [777] = {.lex_state = 9, .external_lex_state = 3},
  [778] = {.lex_state = 9, .external_lex_state = 3},
  [779] = {.lex_state = 9, .external_lex_state = 3},
  [780] = {.lex_state = 9, .external_lex_state = 3},
  [781] = {.lex_state = 9, .external_lex_state = 3},
  [782] = {.lex_state = 9, .external_lex_state = 3},
  [783] = {.lex_state = 9, .external_lex_state = 3},
  [784] = {.lex_state = 9, .external_lex_state = 4},
  [785] = {.lex_state = 9, .external_lex_state = 3},
  [786] = {.lex_state = 9, .external_lex_state = 3},
  [787] = {.lex_state = 9, .external_lex_state = 3},
  [788] = {.lex_state = 9, .external_lex_state = 3},
  [789] = {.lex_state = 9, .external_lex_state = 3},
  [790] = {.lex_state = 9, .external_lex_state = 3},
  [791] = {.lex_state = 9, .external_lex_state = 3},
  [792] = {.lex_state = 9, .external_lex_state = 3},
  [793] = {.lex_state = 9, .external_lex_state = 3},
  [794] = {.lex_state = 9, .external_lex_state = 3},
  [795] = {.lex_state = 9, .external_lex_state = 3},
  [796] = {.lex_state = 9, .external_lex_state = 3},
  [797] = {.lex_state = 9, .external_lex_state = 3},
  [798] = {.lex_state = 9, .external_lex_state = 3},
  [799] = {.lex_state = 9, .external_lex_state = 3},
  [800] = {.lex_state = 9, .external_lex_state = 3},
  [801] = {.lex_state = 9, .external_lex_state = 3},
  [802] = {.lex_state = 9, .external_lex_state = 3},
  [803] = {.lex_state = 9, .external_lex_state = 3},
  [804] = {.lex_state = 9, .external_lex_state = 3},
  [805] = {.lex_state = 9, .external_lex_state = 3},
  [806] = {.lex_state = 9, .external_lex_state = 3},
  [807] = {.lex_state = 9, .external_lex_state = 3},
  [808] = {.lex_state = 9, .external_lex_state = 3},
  [809] = {.lex_state = 9, .external_lex_state = 3},
  [810] = {.lex_state = 9, .external_lex_state = 3},
  [811] = {.lex_state = 9, .external_lex_state = 3},
  [812] = {.lex_state = 9, .external_lex_state = 3},
  [813] = {.lex_state = 9, .external_lex_state = 3},
  [814] = {.lex_state = 9, .external_lex_state = 3},
  [815] = {.lex_state = 9, .external_lex_state = 3},
  [816] = {.lex_state = 9, .external_lex_state = 3},
  [817] = {.lex_state = 9, .external_lex_state = 3},
  [818] = {.lex_state = 9, .external_lex_state = 3},
  [819] = {.lex_state = 9, .external_lex_state = 3},
  [820] = {.lex_state = 9, .external_lex_state = 3},
  [821] = {.lex_state = 9, .external_lex_state = 3},
  [822] = {.lex_state = 9, .external_lex_state = 3},
  [823] = {.lex_state = 9, .external_lex_state = 3},
  [824] = {.lex_state = 9, .external_lex_state = 3},
  [825] = {.lex_state = 9, .external_lex_state = 3},
  [826] = {.lex_state = 6, .external_lex_state = 2},
  [827] = {.lex_state = 6, .external_lex_state = 2},
  [828] = {.lex_state = 9, .external_lex_state = 3},
  [829] = {.lex_state = 9, .external_lex_state = 3},
  [830] = {.lex_state = 6, .external_lex_state = 2},
  [831] = {.lex_state = 9, .external_lex_state = 3},
  [832] = {.lex_state = 9, .external_lex_state = 3},
  [833] = {.lex_state = 9, .external_lex_state = 3},
  [834] = {.lex_state = 6, .external_lex_state = 2},
  [835] = {.lex_state = 6, .external_lex_state = 2},
  [836] = {.lex_state = 10, .external_lex_state = 3},
  [837] = {.lex_state = 9, .external_lex_state = 3},
  [838] = {.lex_state = 6, .external_lex_state = 2},
  [839] = {.lex_state = 6, .external_lex_state = 2},
  [840] = {.lex_state = 6, .external_lex_state = 2},
  [841] = {.lex_state = 6, .external_lex_state = 2},
  [842] = {.lex_state = 6, .external_lex_state = 2},
  [843] = {.lex_state = 6, .external_lex_state = 2},
  [844] = {.lex_state = 6, .external_lex_state = 2},
  [845] = {.lex_state = 6, .external_lex_state = 2},
  [846] = {.lex_state = 6, .external_lex_state = 2},
  [847] = {.lex_state = 6, .external_lex_state = 2},
  [848] = {.lex_state = 6, .external_lex_state = 2},
  [849] = {.lex_state = 6, .external_lex_state = 2},
  [850] = {.lex_state = 6, .external_lex_state = 2},
  [851] = {.lex_state = 146, .external_lex_state = 2},
  [852] = {.lex_state = 146, .external_lex_state = 2},
  [853] = {.lex_state = 6, .external_lex_state = 2},
  [854] = {.lex_state = 146, .external_lex_state = 2},
  [855] = {.lex_state = 146, .external_lex_state = 2},
  [856] = {.lex_state = 146, .external_lex_state = 2},
  [857] = {.lex_state = 146, .external_lex_state = 2},
  [858] = {.lex_state = 146, .external_lex_state = 2},
  [859] = {.lex_state = 146, .external_lex_state = 2},
  [860] = {.lex_state = 146, .external_lex_state = 2},
  [861] = {.lex_state = 146, .external_lex_state = 2},
  [862] = {.lex_state = 146, .external_lex_state = 2},
  [863] = {.lex_state = 146, .external_lex_state = 2},
  [864] = {.lex_state = 146, .external_lex_state = 2},
  [865] = {.lex_state = 146, .external_lex_state = 2},
  [866] = {.lex_state = 146, .external_lex_state = 2},
  [867] = {.lex_state = 146, .external_lex_state = 2},
  [868] = {.lex_state = 146, .external_lex_state = 2},
  [869] = {.lex_state = 146, .external_lex_state = 2},
  [870] = {.lex_state = 146, .external_lex_state = 2},
  [871] = {.lex_state = 146, .external_lex_state = 2},
  [872] = {.lex_state = 146, .external_lex_state = 2},
  [873] = {.lex_state = 146, .external_lex_state = 2},
  [874] = {.lex_state = 146, .external_lex_state = 2},
  [875] = {.lex_state = 146, .external_lex_state = 2},
  [876] = {.lex_state = 146, .external_lex_state = 5},
  [877] = {.lex_state = 6, .external_lex_state = 2},
  [878] = {.lex_state = 146, .external_lex_state = 2},
  [879] = {.lex_state = 146, .external_lex_state = 2},
  [880] = {.lex_state = 146, .external_lex_state = 2},
  [881] = {.lex_state = 146, .external_lex_state = 2},
  [882] = {.lex_state = 6, .external_lex_state = 2},
  [883] = {.lex_state = 146, .external_lex_state = 5},
  [884] = {.lex_state = 146, .external_lex_state = 2},
  [885] = {.lex_state = 146, .external_lex_state = 2},
  [886] = {.lex_state = 146, .external_lex_state = 5},
  [887] = {.lex_state = 146, .external_lex_state = 5},
  [888] = {.lex_state = 146, .external_lex_state = 5},
  [889] = {.lex_state = 6, .external_lex_state = 2},
  [890] = {.lex_state = 146, .external_lex_state = 2},
  [891] = {.lex_state = 146, .external_lex_state = 5},
  [892] = {.lex_state = 146, .external_lex_state = 2},
  [893] = {.lex_state = 6, .external_lex_state = 2},
  [894] = {.lex_state = 6, .external_lex_state = 2},
  [895] = {.lex_state = 6, .external_lex_state = 2},
  [896] = {.lex_state = 6, .external_lex_state = 2},
  [897] = {.lex_state = 6, .external_lex_state = 2},
  [898] = {.lex_state = 146, .external_lex_state = 5},
  [899] = {.lex_state = 6, .external_lex_state = 2},
  [900] = {.lex_state = 6, .external_lex_state = 2},
  [901] = {.lex_state = 6, .external_lex_state = 2},
  [902] = {.lex_state = 6, .external_lex_state = 2},
  [903] = {.lex_state = 6, .external_lex_state = 2},
  [904] = {.lex_state = 6, .external_lex_state = 2},
  [905] = {.lex_state = 6, .external_lex_state = 5},
  [906] = {.lex_state = 6, .external_lex_state = 2},
  [907] = {.lex_state = 6, .external_lex_state = 2},
  [908] = {.lex_state = 146, .external_lex_state = 2},
  [909] = {.lex_state = 6, .external_lex_state = 2},
  [910] = {.lex_state = 6, .external_lex_state = 2},
  [911] = {.lex_state = 6, .external_lex_state = 2},
  [912] = {.lex_state = 6, .external_lex_state = 2},
  [913] = {.lex_state = 6, .external_lex_state = 2},
  [914] = {.lex_state = 6, .external_lex_state = 2},
  [915] = {.lex_state = 6, .external_lex_state = 2},
  [916] = {.lex_state = 146, .external_lex_state = 5},
  [917] = {.lex_state = 12, .external_lex_state = 2},
  [918] = {.lex_state = 146, .external_lex_state = 5},
  [919] = {.lex_state = 6, .external_lex_state = 2},
  [920] = {.lex_state = 6, .external_lex_state = 2},
  [921] = {.lex_state = 6, .external_lex_state = 2},
  [922] = {.lex_state = 6, .external_lex_state = 2},
  [923] = {.lex_state = 146, .external_lex_state = 5},
  [924] = {.lex_state = 6, .external_lex_state = 2},
  [925] = {.lex_state = 6, .external_lex_state = 2},
  [926] = {.lex_state = 6, .external_lex_state = 5},
  [927] = {.lex_state = 146, .external_lex_state = 5},
  [928] = {.lex_state = 146, .external_lex_state = 5},
  [929] = {.lex_state = 6, .external_lex_state = 2},
  [930] = {.lex_state = 6, .external_lex_state = 2},
  [931] = {.lex_state = 6, .external_lex_state = 2},
  [932] = {.lex_state = 6, .external_lex_state = 2},
  [933] = {.lex_state = 12, .external_lex_state = 2},
  [934] = {.lex_state = 6, .external_lex_state = 2},
  [935] = {.lex_state = 6, .external_lex_state = 2},
  [936] = {.lex_state = 6, .external_lex_state = 2},
  [937] = {.lex_state = 6, .external_lex_state = 2},
  [938] = {.lex_state = 6, .external_lex_state = 2},
  [939] = {.lex_state = 6, .external_lex_state = 2},
  [940] = {.lex_state = 6, .external_lex_state = 2},
  [941] = {.lex_state = 6, .external_lex_state = 2},
  [942] = {.lex_state = 6, .external_lex_state = 2},
  [943] = {.lex_state = 146, .external_lex_state = 2},
  [944] = {.lex_state = 146, .external_lex_state = 2},
  [945] = {.lex_state = 146, .external_lex_state = 2},
  [946] = {.lex_state = 146, .external_lex_state = 2},
  [947] = {.lex_state = 146, .external_lex_state = 2},
  [948] = {.lex_state = 146, .external_lex_state = 2},
  [949] = {.lex_state = 146, .external_lex_state = 2},
  [950] = {.lex_state = 146, .external_lex_state = 2},
  [951] = {.lex_state = 146, .external_lex_state = 2},
  [952] = {.lex_state = 146, .external_lex_state = 2},
  [953] = {.lex_state = 6, .external_lex_state = 2},
  [954] = {.lex_state = 146, .external_lex_state = 2},
  [955] = {.lex_state = 146, .external_lex_state = 2},
  [956] = {.lex_state = 6, .external_lex_state = 2},
  [957] = {.lex_state = 6, .external_lex_state = 2},
  [958] = {.lex_state = 6, .external_lex_state = 2},
  [959] = {.lex_state = 146, .external_lex_state = 2},
  [960] = {.lex_state = 6, .external_lex_state = 2},
  [961] = {.lex_state = 146, .external_lex_state = 2},
  [962] = {.lex_state = 146, .external_lex_state = 2},
  [963] = {.lex_state = 146, .external_lex_state = 2},
  [964] = {.lex_state = 146, .external_lex_state = 2},
  [965] = {.lex_state = 146, .external_lex_state = 2},
  [966] = {.lex_state = 146, .external_lex_state = 2},
  [967] = {.lex_state = 146, .external_lex_state = 2},
  [968] = {.lex_state = 146, .external_lex_state = 2},
  [969] = {.lex_state = 146, .external_lex_state = 2},
  [970] = {.lex_state = 146, .external_lex_state = 2},
  [971] = {.lex_state = 146, .external_lex_state = 2},
  [972] = {.lex_state = 146, .external_lex_state = 2},
  [973] = {.lex_state = 146, .external_lex_state = 2},
  [974] = {.lex_state = 146, .external_lex_state = 2},
  [975] = {.lex_state = 146, .external_lex_state = 2},
  [976] = {.lex_state = 146, .external_lex_state = 2},
  [977] = {.lex_state = 6, .external_lex_state = 2},
  [978] = {.lex_state = 146, .external_lex_state = 2},
  [979] = {.lex_state = 146, .external_lex_state = 2},
  [980] = {.lex_state = 146, .external_lex_state = 2},
  [981] = {.lex_state = 146, .external_lex_state = 2},
  [982] = {.lex_state = 146, .external_lex_state = 2},
  [983] = {.lex_state = 146, .external_lex_state = 2},
  [984] = {.lex_state = 146, .external_lex_state = 2},
  [985] = {.lex_state = 146, .external_lex_state = 2},
  [986] = {.lex_state = 146, .external_lex_state = 2},
  [987] = {.lex_state = 146, .external_lex_state = 2},
  [988] = {.lex_state = 146, .external_lex_state = 2},
  [989] = {.lex_state = 8, .external_lex_state = 2},
  [990] = {.lex_state = 146, .external_lex_state = 2},
  [991] = {.lex_state = 8, .external_lex_state = 2},
  [992] = {.lex_state = 146, .external_lex_state = 2},
  [993] = {.lex_state = 8, .external_lex_state = 2},
  [994] = {.lex_state = 146, .external_lex_state = 2},
  [995] = {.lex_state = 8, .external_lex_state = 2},
  [996] = {.lex_state = 146, .external_lex_state = 2},
  [997] = {.lex_state = 146, .external_lex_state = 2},
  [998] = {.lex_state = 146, .external_lex_state = 2},
  [999] = {.lex_state = 146, .external_lex_state = 2},
  [1000] = {.lex_state = 146, .external_lex_state = 2},
  [1001] = {.lex_state = 146, .external_lex_state = 2},
  [1002] = {.lex_state = 146, .external_lex_state = 2},
  [1003] = {.lex_state = 146, .external_lex_state = 2},
  [1004] = {.lex_state = 146, .external_lex_state = 2},
  [1005] = {.lex_state = 146, .external_lex_state = 2},
  [1006] = {.lex_state = 146, .external_lex_state = 2},
  [1007] = {.lex_state = 146, .external_lex_state = 2},
  [1008] = {.lex_state = 146, .external_lex_state = 2},
  [1009] = {.lex_state = 146, .external_lex_state = 2},
  [1010] = {.lex_state = 8, .external_lex_state = 2},
  [1011] = {.lex_state = 2, .external_lex_state = 2},
  [1012] = {.lex_state = 2, .external_lex_state = 2},
  [1013] = {.lex_state = 2, .external_lex_state = 2},
  [1014] = {.lex_state = 2, .external_lex_state = 2},
  [1015] = {.lex_state = 145, .external_lex_state = 2},
  [1016] = {.lex_state = 2, .external_lex_state = 2},
  [1017] = {.lex_state = 2, .external_lex_state = 2},
  [1018] = {.lex_state = 2, .external_lex_state = 2},
  [1019] = {.lex_state = 2, .external_lex_state = 2},
  [1020] = {.lex_state = 2, .external_lex_state = 2},
  [1021] = {.lex_state = 35, .external_lex_state = 2},
  [1022] = {.lex_state = 35, .external_lex_state = 2},
  [1023] = {.lex_state = 35, .external_lex_state = 2},
  [1024] = {.lex_state = 35, .external_lex_state = 2},
  [1025] = {.lex_state = 35, .external_lex_state = 2},
  [1026] = {.lex_state = 35, .external_lex_state = 2},
  [1027] = {.lex_state = 35, .external_lex_state = 2},
  [1028] = {.lex_state = 35, .external_lex_state = 2},
  [1029] = {.lex_state = 35, .external_lex_state = 2},
  [1030] = {.lex_state = 35, .external_lex_state = 2},
  [1031] = {.lex_state = 35, .external_lex_state = 2},
  [1032] = {.lex_state = 35, .external_lex_state = 2},
  [1033] = {.lex_state = 35, .external_lex_state = 2},
  [1034] = {.lex_state = 12, .external_lex_state = 2},
  [1035] = {.lex_state = 35, .external_lex_state = 2},
  [1036] = {.lex_state = 35, .external_lex_state = 2},
  [1037] = {.lex_state = 35, .external_lex_state = 2},
  [1038] = {.lex_state = 35, .external_lex_state = 2},
  [1039] = {.lex_state = 35, .external_lex_state = 2},
  [1040] = {.lex_state = 35, .external_lex_state = 2},
  [1041] = {.lex_state = 35, .external_lex_state = 2},
  [1042] = {.lex_state = 35, .external_lex_state = 2},
  [1043] = {.lex_state = 35, .external_lex_state = 2},
  [1044] = {.lex_state = 35, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 35, .external_lex_state = 2},
  [1047] = {.lex_state = 35, .external_lex_state = 2},
  [1048] = {.lex_state = 35, .external_lex_state = 2},
  [1049] = {.lex_state = 35, .external_lex_state = 2},
  [1050] = {.lex_state = 35, .external_lex_state = 2},
  [1051] = {.lex_state = 35, .external_lex_state = 2},
  [1052] = {.lex_state = 35, .external_lex_state = 2},
  [1053] = {.lex_state = 35, .external_lex_state = 2},
  [1054] = {.lex_state = 35, .external_lex_state = 2},
  [1055] = {.lex_state = 35, .external_lex_state = 2},
  [1056] = {.lex_state = 146, .external_lex_state = 2},
  [1057] = {.lex_state = 146, .external_lex_state = 2},
  [1058] = {.lex_state = 146, .external_lex_state = 2},
  [1059] = {.lex_state = 146, .external_lex_state = 2},
  [1060] = {.lex_state = 146, .external_lex_state = 2},
  [1061] = {.lex_state = 146, .external_lex_state = 2},
  [1062] = {.lex_state = 146, .external_lex_state = 5},
  [1063] = {.lex_state = 146, .external_lex_state = 2},
  [1064] = {.lex_state = 146, .external_lex_state = 2},
  [1065] = {.lex_state = 146, .external_lex_state = 2},
  [1066] = {.lex_state = 146, .external_lex_state = 2},
  [1067] = {.lex_state = 146, .external_lex_state = 2},
  [1068] = {.lex_state = 146, .external_lex_state = 2},
  [1069] = {.lex_state = 35, .external_lex_state = 2},
  [1070] = {.lex_state = 146, .external_lex_state = 2},
  [1071] = {.lex_state = 146, .external_lex_state = 2},
  [1072] = {.lex_state = 146, .external_lex_state = 2},
  [1073] = {.lex_state = 146, .external_lex_state = 2},
  [1074] = {.lex_state = 146, .external_lex_state = 2},
  [1075] = {.lex_state = 146, .external_lex_state = 2},
  [1076] = {.lex_state = 146, .external_lex_state = 2},
  [1077] = {.lex_state = 146, .external_lex_state = 2},
  [1078] = {.lex_state = 146, .external_lex_state = 5},
  [1079] = {.lex_state = 146, .external_lex_state = 2},
  [1080] = {.lex_state = 146, .external_lex_state = 2},
  [1081] = {.lex_state = 146, .external_lex_state = 2},
  [1082] = {.lex_state = 35, .external_lex_state = 2},
  [1083] = {.lex_state = 35, .external_lex_state = 2},
  [1084] = {.lex_state = 2, .external_lex_state = 2},
  [1085] = {.lex_state = 2, .external_lex_state = 2},
  [1086] = {.lex_state = 2, .external_lex_state = 2},
  [1087] = {.lex_state = 2, .external_lex_state = 2},
  [1088] = {.lex_state = 2, .external_lex_state = 2},
  [1089] = {.lex_state = 19, .external_lex_state = 6},
  [1090] = {.lex_state = 146, .external_lex_state = 2},
  [1091] = {.lex_state = 146, .external_lex_state = 2},
  [1092] = {.lex_state = 146, .external_lex_state = 5},
  [1093] = {.lex_state = 146, .external_lex_state = 5},
  [1094] = {.lex_state = 146, .external_lex_state = 2},
  [1095] = {.lex_state = 19, .external_lex_state = 6},
  [1096] = {.lex_state = 146, .external_lex_state = 2},
  [1097] = {.lex_state = 146, .external_lex_state = 5},
  [1098] = {.lex_state = 146, .external_lex_state = 5},
  [1099] = {.lex_state = 146, .external_lex_state = 2},
  [1100] = {.lex_state = 2, .external_lex_state = 2},
  [1101] = {.lex_state = 146, .external_lex_state = 2},
  [1102] = {.lex_state = 35, .external_lex_state = 2},
  [1103] = {.lex_state = 146, .external_lex_state = 5},
  [1104] = {.lex_state = 2, .external_lex_state = 2},
  [1105] = {.lex_state = 2, .external_lex_state = 2},
  [1106] = {.lex_state = 146, .external_lex_state = 5},
  [1107] = {.lex_state = 146, .external_lex_state = 5},
  [1108] = {.lex_state = 2, .external_lex_state = 2},
  [1109] = {.lex_state = 146, .external_lex_state = 5},
  [1110] = {.lex_state = 146, .external_lex_state = 5},
  [1111] = {.lex_state = 2, .external_lex_state = 2},
  [1112] = {.lex_state = 2, .external_lex_state = 2},
  [1113] = {.lex_state = 19, .external_lex_state = 6},
  [1114] = {.lex_state = 2, .external_lex_state = 2},
  [1115] = {.lex_state = 2, .external_lex_state = 2},
  [1116] = {.lex_state = 2, .external_lex_state = 2},
  [1117] = {.lex_state = 146, .external_lex_state = 2},
  [1118] = {.lex_state = 145, .external_lex_state = 2},
  [1119] = {.lex_state = 146, .external_lex_state = 2},
  [1120] = {.lex_state = 2, .external_lex_state = 2},
  [1121] = {.lex_state = 146, .external_lex_state = 2},
  [1122] = {.lex_state = 146, .external_lex_state = 2},
  [1123] = {.lex_state = 146, .external_lex_state = 2},
  [1124] = {.lex_state = 146, .external_lex_state = 5},
  [1125] = {.lex_state = 19, .external_lex_state = 6},
  [1126] = {.lex_state = 146, .external_lex_state = 5},
  [1127] = {.lex_state = 146, .external_lex_state = 5},
  [1128] = {.lex_state = 2, .external_lex_state = 2},
  [1129] = {.lex_state = 146, .external_lex_state = 2},
  [1130] = {.lex_state = 19, .external_lex_state = 6},
  [1131] = {.lex_state = 2, .external_lex_state = 2},
  [1132] = {.lex_state = 2, .external_lex_state = 2},
  [1133] = {.lex_state = 145, .external_lex_state = 2},
  [1134] = {.lex_state = 35, .external_lex_state = 2},
  [1135] = {.lex_state = 146, .external_lex_state = 2},
  [1136] = {.lex_state = 35, .external_lex_state = 2},
  [1137] = {.lex_state = 35, .external_lex_state = 2},
  [1138] = {.lex_state = 35, .external_lex_state = 2},
  [1139] = {.lex_state = 146, .external_lex_state = 2},
  [1140] = {.lex_state = 146, .external_lex_state = 5},
  [1141] = {.lex_state = 146, .external_lex_state = 2},
  [1142] = {.lex_state = 146, .external_lex_state = 5},
  [1143] = {.lex_state = 35, .external_lex_state = 2},
  [1144] = {.lex_state = 146, .external_lex_state = 2},
  [1145] = {.lex_state = 35, .external_lex_state = 2},
  [1146] = {.lex_state = 146, .external_lex_state = 2},
  [1147] = {.lex_state = 146, .external_lex_state = 5},
  [1148] = {.lex_state = 35, .external_lex_state = 2},
  [1149] = {.lex_state = 35, .external_lex_state = 2},
  [1150] = {.lex_state = 35, .external_lex_state = 2},
  [1151] = {.lex_state = 35, .external_lex_state = 2},
  [1152] = {.lex_state = 146, .external_lex_state = 2},
  [1153] = {.lex_state = 146, .external_lex_state = 2},
  [1154] = {.lex_state = 146, .external_lex_state = 2},
  [1155] = {.lex_state = 35, .external_lex_state = 2},
  [1156] = {.lex_state = 146, .external_lex_state = 5},
  [1157] = {.lex_state = 146, .external_lex_state = 2},
  [1158] = {.lex_state = 146, .external_lex_state = 2},
  [1159] = {.lex_state = 146, .external_lex_state = 2},
  [1160] = {.lex_state = 146, .external_lex_state = 2},
  [1161] = {.lex_state = 146, .external_lex_state = 2},
  [1162] = {.lex_state = 35, .external_lex_state = 2},
  [1163] = {.lex_state = 35, .external_lex_state = 2},
  [1164] = {.lex_state = 35, .external_lex_state = 2},
  [1165] = {.lex_state = 35, .external_lex_state = 2},
  [1166] = {.lex_state = 35, .external_lex_state = 2},
  [1167] = {.lex_state = 35, .external_lex_state = 2},
  [1168] = {.lex_state = 35, .external_lex_state = 2},
  [1169] = {.lex_state = 146, .external_lex_state = 2},
  [1170] = {.lex_state = 146, .external_lex_state = 2},
  [1171] = {.lex_state = 146, .external_lex_state = 2},
  [1172] = {.lex_state = 35, .external_lex_state = 2},
  [1173] = {.lex_state = 35, .external_lex_state = 2},
  [1174] = {.lex_state = 146, .external_lex_state = 2},
  [1175] = {.lex_state = 146, .external_lex_state = 2},
  [1176] = {.lex_state = 146, .external_lex_state = 2},
  [1177] = {.lex_state = 146, .external_lex_state = 2},
  [1178] = {.lex_state = 35, .external_lex_state = 2},
  [1179] = {.lex_state = 35, .external_lex_state = 2},
  [1180] = {.lex_state = 146, .external_lex_state = 2},
  [1181] = {.lex_state = 35, .external_lex_state = 2},
  [1182] = {.lex_state = 146, .external_lex_state = 2},
  [1183] = {.lex_state = 35, .external_lex_state = 2},
  [1184] = {.lex_state = 146, .external_lex_state = 5},
  [1185] = {.lex_state = 146, .external_lex_state = 2},
  [1186] = {.lex_state = 24, .external_lex_state = 7},
  [1187] = {.lex_state = 146, .external_lex_state = 2},
  [1188] = {.lex_state = 146, .external_lex_state = 2},
  [1189] = {.lex_state = 146, .external_lex_state = 2},
  [1190] = {.lex_state = 146, .external_lex_state = 2},
  [1191] = {.lex_state = 146, .external_lex_state = 2},
  [1192] = {.lex_state = 145, .external_lex_state = 2},
  [1193] = {.lex_state = 146, .external_lex_state = 2},
  [1194] = {.lex_state = 15, .external_lex_state = 7},
  [1195] = {.lex_state = 146, .external_lex_state = 2},
  [1196] = {.lex_state = 146, .external_lex_state = 5},
  [1197] = {.lex_state = 146, .external_lex_state = 2},
  [1198] = {.lex_state = 146, .external_lex_state = 2},
  [1199] = {.lex_state = 146, .external_lex_state = 5},
  [1200] = {.lex_state = 146, .external_lex_state = 2},
  [1201] = {.lex_state = 146, .external_lex_state = 5},
  [1202] = {.lex_state = 15, .external_lex_state = 7},
  [1203] = {.lex_state = 146, .external_lex_state = 5},
  [1204] = {.lex_state = 146, .external_lex_state = 5},
  [1205] = {.lex_state = 24, .external_lex_state = 7},
  [1206] = {.lex_state = 146, .external_lex_state = 2},
  [1207] = {.lex_state = 13, .external_lex_state = 2},
  [1208] = {.lex_state = 146, .external_lex_state = 2},
  [1209] = {.lex_state = 146, .external_lex_state = 2},
  [1210] = {.lex_state = 15, .external_lex_state = 7},
  [1211] = {.lex_state = 24, .external_lex_state = 7},
  [1212] = {.lex_state = 24, .external_lex_state = 7},
  [1213] = {.lex_state = 146, .external_lex_state = 2},
  [1214] = {.lex_state = 24, .external_lex_state = 7},
  [1215] = {.lex_state = 22, .external_lex_state = 2},
  [1216] = {.lex_state = 146, .external_lex_state = 2},
  [1217] = {.lex_state = 146, .external_lex_state = 2},
  [1218] = {.lex_state = 146, .external_lex_state = 2},
  [1219] = {.lex_state = 146, .external_lex_state = 2},
  [1220] = {.lex_state = 146, .external_lex_state = 2},
  [1221] = {.lex_state = 15, .external_lex_state = 7},
  [1222] = {.lex_state = 146, .external_lex_state = 2},
  [1223] = {.lex_state = 15, .external_lex_state = 7},
  [1224] = {.lex_state = 146, .external_lex_state = 5},
  [1225] = {.lex_state = 146, .external_lex_state = 2},
  [1226] = {.lex_state = 146, .external_lex_state = 2},
  [1227] = {.lex_state = 146, .external_lex_state = 5},
  [1228] = {.lex_state = 146, .external_lex_state = 5},
  [1229] = {.lex_state = 13, .external_lex_state = 2},
  [1230] = {.lex_state = 22, .external_lex_state = 2},
  [1231] = {.lex_state = 146, .external_lex_state = 5},
  [1232] = {.lex_state = 146, .external_lex_state = 2},
  [1233] = {.lex_state = 24, .external_lex_state = 7},
  [1234] = {.lex_state = 15, .external_lex_state = 7},
  [1235] = {.lex_state = 19, .external_lex_state = 6},
  [1236] = {.lex_state = 146, .external_lex_state = 2},
  [1237] = {.lex_state = 146, .external_lex_state = 2},
  [1238] = {.lex_state = 146, .external_lex_state = 2},
  [1239] = {.lex_state = 146, .external_lex_state = 2},
  [1240] = {.lex_state = 24, .external_lex_state = 7},
  [1241] = {.lex_state = 15, .external_lex_state = 7},
  [1242] = {.lex_state = 146, .external_lex_state = 2},
  [1243] = {.lex_state = 146, .external_lex_state = 2},
  [1244] = {.lex_state = 146, .external_lex_state = 5},
  [1245] = {.lex_state = 146, .external_lex_state = 2},
  [1246] = {.lex_state = 24, .external_lex_state = 7},
  [1247] = {.lex_state = 15, .external_lex_state = 7},
  [1248] = {.lex_state = 146, .external_lex_state = 5},
  [1249] = {.lex_state = 146, .external_lex_state = 2},
  [1250] = {.lex_state = 24, .external_lex_state = 7},
  [1251] = {.lex_state = 146, .external_lex_state = 2},
  [1252] = {.lex_state = 15, .external_lex_state = 7},
  [1253] = {.lex_state = 13, .external_lex_state = 2},
  [1254] = {.lex_state = 22, .external_lex_state = 2},
  [1255] = {.lex_state = 146, .external_lex_state = 2},
  [1256] = {.lex_state = 146, .external_lex_state = 2},
  [1257] = {.lex_state = 146, .external_lex_state = 2},
  [1258] = {.lex_state = 7, .external_lex_state = 2},
  [1259] = {.lex_state = 146, .external_lex_state = 5},
  [1260] = {.lex_state = 146, .external_lex_state = 2},
  [1261] = {.lex_state = 146, .external_lex_state = 2},
  [1262] = {.lex_state = 146, .external_lex_state = 2},
  [1263] = {.lex_state = 146, .external_lex_state = 5},
  [1264] = {.lex_state = 7, .external_lex_state = 2},
  [1265] = {.lex_state = 146, .external_lex_state = 2},
  [1266] = {.lex_state = 146, .external_lex_state = 2},
  [1267] = {.lex_state = 7, .external_lex_state = 2},
  [1268] = {.lex_state = 146, .external_lex_state = 2},
  [1269] = {.lex_state = 146, .external_lex_state = 2},
  [1270] = {.lex_state = 146, .external_lex_state = 2},
  [1271] = {.lex_state = 146, .external_lex_state = 2},
  [1272] = {.lex_state = 146, .external_lex_state = 2},
  [1273] = {.lex_state = 146, .external_lex_state = 2},
  [1274] = {.lex_state = 146, .external_lex_state = 2},
  [1275] = {.lex_state = 146, .external_lex_state = 2},
  [1276] = {.lex_state = 146, .external_lex_state = 2},
  [1277] = {.lex_state = 146, .external_lex_state = 2},
  [1278] = {.lex_state = 146, .external_lex_state = 2},
  [1279] = {.lex_state = 146, .external_lex_state = 2},
  [1280] = {.lex_state = 146, .external_lex_state = 2},
  [1281] = {.lex_state = 146, .external_lex_state = 2},
  [1282] = {.lex_state = 146, .external_lex_state = 2},
  [1283] = {.lex_state = 146, .external_lex_state = 2},
  [1284] = {.lex_state = 146, .external_lex_state = 2},
  [1285] = {.lex_state = 146, .external_lex_state = 2},
  [1286] = {.lex_state = 146, .external_lex_state = 2},
  [1287] = {.lex_state = 146, .external_lex_state = 2},
  [1288] = {.lex_state = 146, .external_lex_state = 2},
  [1289] = {.lex_state = 146, .external_lex_state = 2},
  [1290] = {.lex_state = 146, .external_lex_state = 2},
  [1291] = {.lex_state = 146, .external_lex_state = 2},
  [1292] = {.lex_state = 146, .external_lex_state = 2},
  [1293] = {.lex_state = 146, .external_lex_state = 2},
  [1294] = {.lex_state = 146, .external_lex_state = 2},
  [1295] = {.lex_state = 146, .external_lex_state = 2},
  [1296] = {.lex_state = 146, .external_lex_state = 2},
  [1297] = {.lex_state = 146, .external_lex_state = 2},
  [1298] = {.lex_state = 146, .external_lex_state = 2},
  [1299] = {.lex_state = 7, .external_lex_state = 2},
  [1300] = {.lex_state = 146, .external_lex_state = 2},
  [1301] = {.lex_state = 3, .external_lex_state = 2},
  [1302] = {.lex_state = 146, .external_lex_state = 2},
  [1303] = {.lex_state = 146, .external_lex_state = 2},
  [1304] = {.lex_state = 146, .external_lex_state = 2},
  [1305] = {.lex_state = 146, .external_lex_state = 2},
  [1306] = {.lex_state = 146, .external_lex_state = 2},
  [1307] = {.lex_state = 146, .external_lex_state = 2},
  [1308] = {.lex_state = 146, .external_lex_state = 2},
  [1309] = {.lex_state = 146, .external_lex_state = 2},
  [1310] = {.lex_state = 146, .external_lex_state = 2},
  [1311] = {.lex_state = 146, .external_lex_state = 2},
  [1312] = {.lex_state = 146, .external_lex_state = 2},
  [1313] = {.lex_state = 146, .external_lex_state = 2},
  [1314] = {.lex_state = 146, .external_lex_state = 2},
  [1315] = {.lex_state = 146, .external_lex_state = 2},
  [1316] = {.lex_state = 146, .external_lex_state = 5},
  [1317] = {.lex_state = 3, .external_lex_state = 2},
  [1318] = {.lex_state = 146, .external_lex_state = 2},
  [1319] = {.lex_state = 146, .external_lex_state = 2},
  [1320] = {.lex_state = 146, .external_lex_state = 2},
  [1321] = {.lex_state = 146, .external_lex_state = 2},
  [1322] = {.lex_state = 146, .external_lex_state = 2},
  [1323] = {.lex_state = 146, .external_lex_state = 2},
  [1324] = {.lex_state = 146, .external_lex_state = 5},
  [1325] = {.lex_state = 146, .external_lex_state = 2},
  [1326] = {.lex_state = 146, .external_lex_state = 2},
  [1327] = {.lex_state = 146, .external_lex_state = 2},
  [1328] = {.lex_state = 146, .external_lex_state = 2},
  [1329] = {.lex_state = 146, .external_lex_state = 2},
  [1330] = {.lex_state = 146, .external_lex_state = 2},
  [1331] = {.lex_state = 146, .external_lex_state = 5},
  [1332] = {.lex_state = 146, .external_lex_state = 5},
  [1333] = {.lex_state = 146, .external_lex_state = 2},
  [1334] = {.lex_state = 3, .external_lex_state = 2},
  [1335] = {.lex_state = 146, .external_lex_state = 2},
  [1336] = {.lex_state = 3, .external_lex_state = 2},
  [1337] = {.lex_state = 146, .external_lex_state = 2},
  [1338] = {.lex_state = 146, .external_lex_state = 2},
  [1339] = {.lex_state = 146, .external_lex_state = 2},
  [1340] = {.lex_state = 146, .external_lex_state = 2},
  [1341] = {.lex_state = 146, .external_lex_state = 2},
  [1342] = {.lex_state = 146, .external_lex_state = 2},
  [1343] = {.lex_state = 146, .external_lex_state = 2},
  [1344] = {.lex_state = 3, .external_lex_state = 2},
  [1345] = {.lex_state = 146, .external_lex_state = 5},
  [1346] = {.lex_state = 146, .external_lex_state = 5},
  [1347] = {.lex_state = 146, .external_lex_state = 2},
  [1348] = {.lex_state = 146, .external_lex_state = 2},
  [1349] = {.lex_state = 146, .external_lex_state = 2},
  [1350] = {.lex_state = 146, .external_lex_state = 2},
  [1351] = {.lex_state = 3, .external_lex_state = 2},
  [1352] = {.lex_state = 146, .external_lex_state = 2},
  [1353] = {.lex_state = 146, .external_lex_state = 5},
  [1354] = {.lex_state = 3, .external_lex_state = 2},
  [1355] = {.lex_state = 146, .external_lex_state = 2},
  [1356] = {.lex_state = 146, .external_lex_state = 2},
  [1357] = {.lex_state = 146, .external_lex_state = 2},
  [1358] = {.lex_state = 146, .external_lex_state = 2},
  [1359] = {.lex_state = 146, .external_lex_state = 2},
  [1360] = {.lex_state = 146, .external_lex_state = 2},
  [1361] = {.lex_state = 146, .external_lex_state = 2},
  [1362] = {.lex_state = 146, .external_lex_state = 2},
  [1363] = {.lex_state = 146, .external_lex_state = 2},
  [1364] = {.lex_state = 146, .external_lex_state = 2},
  [1365] = {.lex_state = 146, .external_lex_state = 2},
  [1366] = {.lex_state = 146, .external_lex_state = 5},
  [1367] = {.lex_state = 146, .external_lex_state = 5},
  [1368] = {.lex_state = 146, .external_lex_state = 2},
  [1369] = {.lex_state = 146, .external_lex_state = 2},
  [1370] = {.lex_state = 146, .external_lex_state = 2},
  [1371] = {.lex_state = 146, .external_lex_state = 2},
  [1372] = {.lex_state = 146, .external_lex_state = 2},
  [1373] = {.lex_state = 146, .external_lex_state = 2},
  [1374] = {.lex_state = 146, .external_lex_state = 2},
  [1375] = {.lex_state = 146, .external_lex_state = 2},
  [1376] = {.lex_state = 146, .external_lex_state = 2},
  [1377] = {.lex_state = 146, .external_lex_state = 2},
  [1378] = {.lex_state = 146, .external_lex_state = 2},
  [1379] = {.lex_state = 146, .external_lex_state = 2},
  [1380] = {.lex_state = 146, .external_lex_state = 2},
  [1381] = {.lex_state = 146, .external_lex_state = 2},
  [1382] = {.lex_state = 146, .external_lex_state = 2},
  [1383] = {.lex_state = 146, .external_lex_state = 2},
  [1384] = {.lex_state = 146, .external_lex_state = 2},
  [1385] = {.lex_state = 146, .external_lex_state = 2},
  [1386] = {.lex_state = 146, .external_lex_state = 2},
  [1387] = {.lex_state = 146, .external_lex_state = 2},
  [1388] = {.lex_state = 146, .external_lex_state = 2},
  [1389] = {.lex_state = 146, .external_lex_state = 2},
  [1390] = {.lex_state = 7, .external_lex_state = 2},
  [1391] = {.lex_state = 146, .external_lex_state = 2},
  [1392] = {.lex_state = 146, .external_lex_state = 2},
  [1393] = {.lex_state = 146, .external_lex_state = 2},
  [1394] = {.lex_state = 146, .external_lex_state = 2},
  [1395] = {.lex_state = 146, .external_lex_state = 2},
  [1396] = {.lex_state = 146, .external_lex_state = 2},
  [1397] = {.lex_state = 146, .external_lex_state = 2},
  [1398] = {.lex_state = 146, .external_lex_state = 2},
  [1399] = {.lex_state = 146, .external_lex_state = 2},
  [1400] = {.lex_state = 146, .external_lex_state = 2},
  [1401] = {.lex_state = 146, .external_lex_state = 2},
  [1402] = {.lex_state = 146, .external_lex_state = 2},
  [1403] = {.lex_state = 146, .external_lex_state = 2},
  [1404] = {.lex_state = 146, .external_lex_state = 2},
  [1405] = {.lex_state = 146, .external_lex_state = 2},
  [1406] = {.lex_state = 146, .external_lex_state = 2},
  [1407] = {.lex_state = 146, .external_lex_state = 2},
  [1408] = {.lex_state = 146, .external_lex_state = 2},
  [1409] = {.lex_state = 146, .external_lex_state = 2},
  [1410] = {.lex_state = 146, .external_lex_state = 2},
  [1411] = {.lex_state = 146, .external_lex_state = 2},
  [1412] = {.lex_state = 146, .external_lex_state = 2},
  [1413] = {.lex_state = 146, .external_lex_state = 2},
  [1414] = {.lex_state = 7, .external_lex_state = 2},
  [1415] = {.lex_state = 146, .external_lex_state = 2},
  [1416] = {.lex_state = 146, .external_lex_state = 2},
  [1417] = {.lex_state = 146, .external_lex_state = 5},
  [1418] = {.lex_state = 146, .external_lex_state = 2},
  [1419] = {.lex_state = 146, .external_lex_state = 2},
  [1420] = {.lex_state = 146, .external_lex_state = 2},
  [1421] = {.lex_state = 146, .external_lex_state = 2},
  [1422] = {.lex_state = 146, .external_lex_state = 2},
  [1423] = {.lex_state = 146, .external_lex_state = 2},
  [1424] = {.lex_state = 146, .external_lex_state = 2},
  [1425] = {.lex_state = 146, .external_lex_state = 2},
  [1426] = {.lex_state = 7, .external_lex_state = 2},
  [1427] = {.lex_state = 146, .external_lex_state = 5},
  [1428] = {.lex_state = 146, .external_lex_state = 5},
  [1429] = {.lex_state = 146, .external_lex_state = 5},
  [1430] = {.lex_state = 146, .external_lex_state = 2},
  [1431] = {.lex_state = 146, .external_lex_state = 2},
  [1432] = {.lex_state = 146, .external_lex_state = 2},
  [1433] = {.lex_state = 146, .external_lex_state = 2},
  [1434] = {.lex_state = 146, .external_lex_state = 2},
  [1435] = {.lex_state = 146, .external_lex_state = 2},
  [1436] = {.lex_state = 146, .external_lex_state = 2},
  [1437] = {.lex_state = 146, .external_lex_state = 5},
  [1438] = {.lex_state = 146, .external_lex_state = 5},
  [1439] = {.lex_state = 146, .external_lex_state = 5},
  [1440] = {.lex_state = 146, .external_lex_state = 5},
  [1441] = {.lex_state = 146, .external_lex_state = 2},
  [1442] = {.lex_state = 146, .external_lex_state = 2},
  [1443] = {.lex_state = 146, .external_lex_state = 2},
  [1444] = {.lex_state = 146, .external_lex_state = 2},
  [1445] = {.lex_state = 146, .external_lex_state = 2},
  [1446] = {.lex_state = 146, .external_lex_state = 2},
  [1447] = {.lex_state = 146, .external_lex_state = 2},
  [1448] = {.lex_state = 146, .external_lex_state = 2},
  [1449] = {.lex_state = 146, .external_lex_state = 2},
  [1450] = {.lex_state = 146, .external_lex_state = 2},
  [1451] = {.lex_state = 146, .external_lex_state = 2},
  [1452] = {.lex_state = 146, .external_lex_state = 2},
  [1453] = {.lex_state = 146, .external_lex_state = 5},
  [1454] = {.lex_state = 146, .external_lex_state = 2},
  [1455] = {.lex_state = 146, .external_lex_state = 2},
  [1456] = {.lex_state = 146, .external_lex_state = 5},
  [1457] = {.lex_state = 146, .external_lex_state = 2},
  [1458] = {.lex_state = 146, .external_lex_state = 5},
  [1459] = {.lex_state = 146, .external_lex_state = 5},
  [1460] = {.lex_state = 146, .external_lex_state = 2},
  [1461] = {.lex_state = 146, .external_lex_state = 2},
  [1462] = {.lex_state = 146, .external_lex_state = 2},
  [1463] = {.lex_state = 146, .external_lex_state = 2},
  [1464] = {.lex_state = 146, .external_lex_state = 2},
  [1465] = {.lex_state = 146, .external_lex_state = 2},
  [1466] = {.lex_state = 146, .external_lex_state = 2},
  [1467] = {.lex_state = 146, .external_lex_state = 2},
  [1468] = {.lex_state = 146, .external_lex_state = 2},
  [1469] = {.lex_state = 146, .external_lex_state = 2},
  [1470] = {.lex_state = 146, .external_lex_state = 2},
  [1471] = {.lex_state = 146, .external_lex_state = 2},
  [1472] = {.lex_state = 146, .external_lex_state = 2},
  [1473] = {.lex_state = 146, .external_lex_state = 2},
  [1474] = {.lex_state = 146, .external_lex_state = 2},
  [1475] = {.lex_state = 146, .external_lex_state = 2},
  [1476] = {.lex_state = 146, .external_lex_state = 2},
  [1477] = {.lex_state = 146, .external_lex_state = 2},
  [1478] = {.lex_state = 146, .external_lex_state = 2},
  [1479] = {.lex_state = 146, .external_lex_state = 2},
  [1480] = {.lex_state = 146, .external_lex_state = 2},
  [1481] = {.lex_state = 146, .external_lex_state = 2},
  [1482] = {.lex_state = 146, .external_lex_state = 2},
  [1483] = {.lex_state = 146, .external_lex_state = 5},
  [1484] = {.lex_state = 146, .external_lex_state = 5},
  [1485] = {.lex_state = 146, .external_lex_state = 2},
  [1486] = {.lex_state = 146, .external_lex_state = 2},
  [1487] = {.lex_state = 146, .external_lex_state = 2},
  [1488] = {.lex_state = 146, .external_lex_state = 2},
  [1489] = {.lex_state = 146, .external_lex_state = 2},
  [1490] = {.lex_state = 146, .external_lex_state = 2},
  [1491] = {.lex_state = 146, .external_lex_state = 2},
  [1492] = {.lex_state = 146, .external_lex_state = 2},
  [1493] = {.lex_state = 146, .external_lex_state = 2},
  [1494] = {.lex_state = 146, .external_lex_state = 2},
  [1495] = {.lex_state = 146, .external_lex_state = 2},
  [1496] = {.lex_state = 146, .external_lex_state = 2},
  [1497] = {.lex_state = 146, .external_lex_state = 5},
  [1498] = {.lex_state = 146, .external_lex_state = 2},
  [1499] = {.lex_state = 146, .external_lex_state = 5},
  [1500] = {.lex_state = 146, .external_lex_state = 2},
  [1501] = {.lex_state = 146, .external_lex_state = 2},
  [1502] = {.lex_state = 146, .external_lex_state = 2},
  [1503] = {.lex_state = 146, .external_lex_state = 2},
  [1504] = {.lex_state = 146, .external_lex_state = 2},
  [1505] = {.lex_state = 146, .external_lex_state = 2},
  [1506] = {.lex_state = 146, .external_lex_state = 2},
  [1507] = {.lex_state = 146, .external_lex_state = 2},
  [1508] = {.lex_state = 146, .external_lex_state = 2},
  [1509] = {.lex_state = 146, .external_lex_state = 2},
  [1510] = {.lex_state = 146, .external_lex_state = 2},
  [1511] = {.lex_state = 146, .external_lex_state = 2},
  [1512] = {.lex_state = 146, .external_lex_state = 2},
  [1513] = {.lex_state = 146, .external_lex_state = 2},
  [1514] = {.lex_state = 146, .external_lex_state = 2},
  [1515] = {.lex_state = 146, .external_lex_state = 2},
  [1516] = {.lex_state = 146, .external_lex_state = 2},
  [1517] = {.lex_state = 146, .external_lex_state = 2},
  [1518] = {.lex_state = 146, .external_lex_state = 2},
  [1519] = {.lex_state = 146, .external_lex_state = 2},
  [1520] = {.lex_state = 146, .external_lex_state = 2},
  [1521] = {.lex_state = 146, .external_lex_state = 2},
  [1522] = {.lex_state = 146, .external_lex_state = 2},
  [1523] = {.lex_state = 146, .external_lex_state = 2},
  [1524] = {.lex_state = 146, .external_lex_state = 2},
  [1525] = {.lex_state = 146, .external_lex_state = 2},
  [1526] = {.lex_state = 146, .external_lex_state = 2},
  [1527] = {.lex_state = 146, .external_lex_state = 2},
  [1528] = {.lex_state = 146, .external_lex_state = 2},
  [1529] = {.lex_state = 146, .external_lex_state = 2},
  [1530] = {.lex_state = 146, .external_lex_state = 2},
  [1531] = {.lex_state = 146, .external_lex_state = 2},
  [1532] = {.lex_state = 146, .external_lex_state = 2},
  [1533] = {.lex_state = 146, .external_lex_state = 2},
  [1534] = {.lex_state = 146, .external_lex_state = 2},
  [1535] = {.lex_state = 146, .external_lex_state = 2},
  [1536] = {.lex_state = 146, .external_lex_state = 2},
  [1537] = {.lex_state = 146, .external_lex_state = 2},
  [1538] = {.lex_state = 146, .external_lex_state = 2},
  [1539] = {.lex_state = 146, .external_lex_state = 2},
  [1540] = {.lex_state = 146, .external_lex_state = 5},
  [1541] = {.lex_state = 146, .external_lex_state = 2},
  [1542] = {.lex_state = 146, .external_lex_state = 2},
  [1543] = {.lex_state = 146, .external_lex_state = 2},
  [1544] = {.lex_state = 146, .external_lex_state = 2},
  [1545] = {.lex_state = 146, .external_lex_state = 2},
  [1546] = {.lex_state = 146, .external_lex_state = 2},
  [1547] = {.lex_state = 146, .external_lex_state = 2},
  [1548] = {.lex_state = 146, .external_lex_state = 2},
  [1549] = {.lex_state = 146, .external_lex_state = 2},
  [1550] = {.lex_state = 146, .external_lex_state = 2},
  [1551] = {.lex_state = 146, .external_lex_state = 2},
  [1552] = {.lex_state = 146, .external_lex_state = 2},
  [1553] = {.lex_state = 146, .external_lex_state = 2},
  [1554] = {.lex_state = 146, .external_lex_state = 2},
  [1555] = {.lex_state = 146, .external_lex_state = 2},
  [1556] = {.lex_state = 146, .external_lex_state = 2},
  [1557] = {.lex_state = 146, .external_lex_state = 2},
  [1558] = {.lex_state = 146, .external_lex_state = 2},
  [1559] = {.lex_state = 146, .external_lex_state = 2},
  [1560] = {.lex_state = 146, .external_lex_state = 2},
  [1561] = {.lex_state = 146, .external_lex_state = 2},
  [1562] = {.lex_state = 146, .external_lex_state = 2},
  [1563] = {.lex_state = 146, .external_lex_state = 2},
  [1564] = {.lex_state = 146, .external_lex_state = 2},
  [1565] = {.lex_state = 146, .external_lex_state = 2},
  [1566] = {.lex_state = 146, .external_lex_state = 2},
  [1567] = {.lex_state = 146, .external_lex_state = 2},
  [1568] = {.lex_state = 146, .external_lex_state = 2},
  [1569] = {.lex_state = 146, .external_lex_state = 2},
  [1570] = {.lex_state = 146, .external_lex_state = 2},
  [1571] = {.lex_state = 146, .external_lex_state = 2},
  [1572] = {.lex_state = 146, .external_lex_state = 2},
  [1573] = {.lex_state = 146, .external_lex_state = 5},
  [1574] = {.lex_state = 146, .external_lex_state = 5},
  [1575] = {.lex_state = 146, .external_lex_state = 2},
  [1576] = {.lex_state = 146, .external_lex_state = 2},
  [1577] = {.lex_state = 146, .external_lex_state = 2},
  [1578] = {.lex_state = 146, .external_lex_state = 2},
  [1579] = {.lex_state = 146, .external_lex_state = 2},
  [1580] = {.lex_state = 146, .external_lex_state = 2},
  [1581] = {.lex_state = 146, .external_lex_state = 2},
  [1582] = {.lex_state = 146, .external_lex_state = 2},
  [1583] = {.lex_state = 146, .external_lex_state = 2},
  [1584] = {.lex_state = 146, .external_lex_state = 2},
  [1585] = {.lex_state = 146, .external_lex_state = 2},
  [1586] = {.lex_state = 146, .external_lex_state = 2},
  [1587] = {.lex_state = 146, .external_lex_state = 2},
  [1588] = {.lex_state = 146, .external_lex_state = 2},
  [1589] = {.lex_state = 7, .external_lex_state = 2},
  [1590] = {.lex_state = 146, .external_lex_state = 2},
  [1591] = {.lex_state = 146, .external_lex_state = 2},
  [1592] = {.lex_state = 146, .external_lex_state = 2},
  [1593] = {.lex_state = 146, .external_lex_state = 2},
  [1594] = {.lex_state = 146, .external_lex_state = 2},
  [1595] = {.lex_state = 146, .external_lex_state = 2},
  [1596] = {.lex_state = 146, .external_lex_state = 5},
  [1597] = {.lex_state = 146, .external_lex_state = 2},
  [1598] = {.lex_state = 35, .external_lex_state = 2},
  [1599] = {.lex_state = 146, .external_lex_state = 2},
  [1600] = {.lex_state = 146, .external_lex_state = 2},
  [1601] = {.lex_state = 146, .external_lex_state = 2},
  [1602] = {.lex_state = 146, .external_lex_state = 2},
  [1603] = {.lex_state = 146, .external_lex_state = 2},
  [1604] = {.lex_state = 146, .external_lex_state = 2},
  [1605] = {.lex_state = 146, .external_lex_state = 2},
  [1606] = {.lex_state = 146, .external_lex_state = 2},
  [1607] = {.lex_state = 146, .external_lex_state = 2},
  [1608] = {.lex_state = 146, .external_lex_state = 2},
  [1609] = {.lex_state = 146, .external_lex_state = 2},
  [1610] = {.lex_state = 146, .external_lex_state = 2},
  [1611] = {.lex_state = 146, .external_lex_state = 2},
  [1612] = {.lex_state = 146, .external_lex_state = 2},
  [1613] = {.lex_state = 146, .external_lex_state = 2},
  [1614] = {.lex_state = 146, .external_lex_state = 2},
  [1615] = {.lex_state = 146, .external_lex_state = 2},
  [1616] = {.lex_state = 146, .external_lex_state = 2},
  [1617] = {.lex_state = 146, .external_lex_state = 2},
  [1618] = {.lex_state = 4, .external_lex_state = 8},
  [1619] = {.lex_state = 4, .external_lex_state = 8},
  [1620] = {.lex_state = 146, .external_lex_state = 2},
  [1621] = {.lex_state = 146, .external_lex_state = 2},
  [1622] = {.lex_state = 146, .external_lex_state = 2},
  [1623] = {.lex_state = 146, .external_lex_state = 2},
  [1624] = {.lex_state = 146, .external_lex_state = 2},
  [1625] = {.lex_state = 146, .external_lex_state = 2},
  [1626] = {.lex_state = 146, .external_lex_state = 2},
  [1627] = {.lex_state = 146, .external_lex_state = 2},
  [1628] = {.lex_state = 146, .external_lex_state = 2},
  [1629] = {.lex_state = 146, .external_lex_state = 2},
  [1630] = {.lex_state = 146, .external_lex_state = 2},
  [1631] = {.lex_state = 146, .external_lex_state = 2},
  [1632] = {.lex_state = 146, .external_lex_state = 2},
  [1633] = {.lex_state = 146, .external_lex_state = 2},
  [1634] = {.lex_state = 146, .external_lex_state = 2},
  [1635] = {.lex_state = 146, .external_lex_state = 2},
  [1636] = {.lex_state = 146, .external_lex_state = 2},
  [1637] = {.lex_state = 146, .external_lex_state = 2},
  [1638] = {.lex_state = 146, .external_lex_state = 2},
  [1639] = {.lex_state = 146, .external_lex_state = 2},
  [1640] = {.lex_state = 146, .external_lex_state = 2},
  [1641] = {.lex_state = 146, .external_lex_state = 2},
  [1642] = {.lex_state = 146, .external_lex_state = 2},
  [1643] = {.lex_state = 146, .external_lex_state = 2},
  [1644] = {.lex_state = 4, .external_lex_state = 8},
  [1645] = {.lex_state = 146, .external_lex_state = 2},
  [1646] = {.lex_state = 146, .external_lex_state = 2},
  [1647] = {.lex_state = 146, .external_lex_state = 2},
  [1648] = {.lex_state = 146, .external_lex_state = 2},
  [1649] = {.lex_state = 146, .external_lex_state = 2},
  [1650] = {.lex_state = 146, .external_lex_state = 2},
  [1651] = {.lex_state = 36, .external_lex_state = 2},
  [1652] = {.lex_state = 146, .external_lex_state = 2},
  [1653] = {.lex_state = 146, .external_lex_state = 2},
  [1654] = {.lex_state = 146, .external_lex_state = 2},
  [1655] = {.lex_state = 146, .external_lex_state = 2},
  [1656] = {.lex_state = 146, .external_lex_state = 2},
  [1657] = {.lex_state = 146, .external_lex_state = 2},
  [1658] = {.lex_state = 146, .external_lex_state = 2},
  [1659] = {.lex_state = 146, .external_lex_state = 2},
  [1660] = {.lex_state = 146, .external_lex_state = 2},
  [1661] = {.lex_state = 36, .external_lex_state = 2},
  [1662] = {.lex_state = 146, .external_lex_state = 2},
  [1663] = {.lex_state = 146, .external_lex_state = 2},
  [1664] = {.lex_state = 146, .external_lex_state = 2},
  [1665] = {.lex_state = 146, .external_lex_state = 2},
  [1666] = {.lex_state = 146, .external_lex_state = 2},
  [1667] = {.lex_state = 36, .external_lex_state = 2},
  [1668] = {.lex_state = 146, .external_lex_state = 2},
  [1669] = {.lex_state = 146, .external_lex_state = 2},
  [1670] = {.lex_state = 146, .external_lex_state = 2},
  [1671] = {.lex_state = 146, .external_lex_state = 2},
  [1672] = {.lex_state = 146, .external_lex_state = 2},
  [1673] = {.lex_state = 146, .external_lex_state = 2},
  [1674] = {.lex_state = 146, .external_lex_state = 2},
  [1675] = {.lex_state = 36, .external_lex_state = 2},
  [1676] = {.lex_state = 146, .external_lex_state = 2},
  [1677] = {.lex_state = 146, .external_lex_state = 2},
  [1678] = {.lex_state = 146, .external_lex_state = 2},
  [1679] = {.lex_state = 146, .external_lex_state = 2},
  [1680] = {.lex_state = 146, .external_lex_state = 2},
  [1681] = {.lex_state = 146, .external_lex_state = 2},
  [1682] = {.lex_state = 146, .external_lex_state = 2},
  [1683] = {.lex_state = 146, .external_lex_state = 2},
  [1684] = {.lex_state = 146, .external_lex_state = 2},
  [1685] = {.lex_state = 146, .external_lex_state = 2},
  [1686] = {.lex_state = 146, .external_lex_state = 2},
  [1687] = {.lex_state = 4, .external_lex_state = 8},
  [1688] = {.lex_state = 146, .external_lex_state = 2},
  [1689] = {.lex_state = 146, .external_lex_state = 2},
  [1690] = {.lex_state = 146, .external_lex_state = 2},
  [1691] = {.lex_state = 146, .external_lex_state = 2},
  [1692] = {.lex_state = 146, .external_lex_state = 2},
  [1693] = {.lex_state = 146, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_glimmer_opening_tag] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
  },
  [1] = {
    [sym_program] = STATE(1685),
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1672),
    [sym_object_assignment_pattern] = STATE(1285),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1672),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1672),
    [sym_spread_element] = STATE(1312),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(784),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [sym_rest_pattern] = STATE(1285),
    [sym_method_definition] = STATE(1312),
    [sym_pair] = STATE(1312),
    [sym_pair_pattern] = STATE(1285),
    [sym__property_name] = STATE(1282),
    [sym_computed_property_name] = STATE(1282),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(877),
    [aux_sym_object_repeat1] = STATE(1308),
    [aux_sym_object_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(97),
    [anon_sym_export] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(107),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(111),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(119),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1672),
    [sym_object_assignment_pattern] = STATE(1285),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1672),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1672),
    [sym_spread_element] = STATE(1283),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(784),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [sym_rest_pattern] = STATE(1285),
    [sym_method_definition] = STATE(1283),
    [sym_pair] = STATE(1283),
    [sym_pair_pattern] = STATE(1285),
    [sym__property_name] = STATE(1282),
    [sym_computed_property_name] = STATE(1282),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(877),
    [aux_sym_object_repeat1] = STATE(1277),
    [aux_sym_object_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1672),
    [sym_object_assignment_pattern] = STATE(1285),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1672),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1672),
    [sym_spread_element] = STATE(1312),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(784),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [sym_rest_pattern] = STATE(1285),
    [sym_method_definition] = STATE(1312),
    [sym_pair] = STATE(1312),
    [sym_pair_pattern] = STATE(1285),
    [sym__property_name] = STATE(1282),
    [sym_computed_property_name] = STATE(1282),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(877),
    [aux_sym_object_repeat1] = STATE(1308),
    [aux_sym_object_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(139),
    [anon_sym_export] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(143),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(147),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(149),
    [anon_sym_set] = ACTIONS(149),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(23),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1672),
    [sym_object_assignment_pattern] = STATE(1285),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1672),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1672),
    [sym_spread_element] = STATE(1283),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(784),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [sym_rest_pattern] = STATE(1285),
    [sym_method_definition] = STATE(1283),
    [sym_pair] = STATE(1283),
    [sym_pair_pattern] = STATE(1285),
    [sym__property_name] = STATE(1282),
    [sym_computed_property_name] = STATE(1282),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(877),
    [aux_sym_object_repeat1] = STATE(1277),
    [aux_sym_object_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1672),
    [sym_object_assignment_pattern] = STATE(1285),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1672),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1672),
    [sym_spread_element] = STATE(1283),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(784),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [sym_rest_pattern] = STATE(1285),
    [sym_method_definition] = STATE(1283),
    [sym_pair] = STATE(1283),
    [sym_pair_pattern] = STATE(1285),
    [sym__property_name] = STATE(1282),
    [sym_computed_property_name] = STATE(1282),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(877),
    [aux_sym_object_repeat1] = STATE(1277),
    [aux_sym_object_pattern_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(160),
    [anon_sym_default] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(168),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_var] = ACTIONS(174),
    [anon_sym_let] = ACTIONS(177),
    [anon_sym_const] = ACTIONS(180),
    [anon_sym_if] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(186),
    [anon_sym_for] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(192),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(198),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_try] = ACTIONS(204),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(210),
    [anon_sym_debugger] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(216),
    [anon_sym_throw] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(222),
    [anon_sym_case] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(228),
    [sym_glimmer_opening_tag] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(234),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(240),
    [anon_sym_class] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(246),
    [anon_sym_function] = ACTIONS(249),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_SLASH] = ACTIONS(258),
    [anon_sym_BANG] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_typeof] = ACTIONS(255),
    [anon_sym_void] = ACTIONS(255),
    [anon_sym_delete] = ACTIONS(255),
    [anon_sym_PLUS_PLUS] = ACTIONS(264),
    [anon_sym_DASH_DASH] = ACTIONS(264),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(267),
    [sym_number] = ACTIONS(270),
    [sym_private_property_identifier] = ACTIONS(273),
    [sym_this] = ACTIONS(276),
    [sym_super] = ACTIONS(276),
    [sym_true] = ACTIONS(276),
    [sym_false] = ACTIONS(276),
    [sym_null] = ACTIONS(276),
    [sym_undefined] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_get] = ACTIONS(285),
    [anon_sym_set] = ACTIONS(285),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(10),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(288),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(288),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(292),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(296),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(298),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(296),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(300),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(302),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(300),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [ts_builtin_sym_end] = ACTIONS(304),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(306),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(308),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(310),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(21),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(18),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [ts_builtin_sym_end] = ACTIONS(304),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [ts_builtin_sym_end] = ACTIONS(314),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(320),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(322),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(324),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(328),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(23),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(330),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(379),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(399),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(357),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(367),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(370),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(332),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(357),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(1340),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(379),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(345),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(1639),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(401),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(345),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(399),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(401),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(395),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(370),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(395),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(339),
    [sym_declaration] = STATE(339),
    [sym_import] = STATE(1118),
    [sym_import_statement] = STATE(339),
    [sym_statement] = STATE(367),
    [sym_expression_statement] = STATE(339),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_statement_block] = STATE(339),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(339),
    [sym_for_statement] = STATE(339),
    [sym_for_in_statement] = STATE(339),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(339),
    [sym_try_statement] = STATE(339),
    [sym_with_statement] = STATE(339),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(339),
    [sym_debugger_statement] = STATE(339),
    [sym_return_statement] = STATE(339),
    [sym_throw_statement] = STATE(339),
    [sym_empty_statement] = STATE(339),
    [sym_labeled_statement] = STATE(339),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1170),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(494),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_STAR] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(364),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_RBRACK] = ACTIONS(364),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(597),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_STAR] = ACTIONS(416),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_of] = ACTIONS(372),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(432),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym__automatic_semicolon] = ACTIONS(364),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(642),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_STAR] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym__automatic_semicolon] = ACTIONS(364),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(795),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_of] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(758),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(506),
    [sym_identifier] = ACTIONS(508),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_STAR] = ACTIONS(510),
    [anon_sym_default] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_COMMA] = ACTIONS(512),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_import] = ACTIONS(508),
    [anon_sym_with] = ACTIONS(508),
    [anon_sym_var] = ACTIONS(508),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_const] = ACTIONS(508),
    [anon_sym_else] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(508),
    [anon_sym_switch] = ACTIONS(508),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_in] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(508),
    [anon_sym_do] = ACTIONS(508),
    [anon_sym_try] = ACTIONS(508),
    [anon_sym_break] = ACTIONS(508),
    [anon_sym_continue] = ACTIONS(508),
    [anon_sym_debugger] = ACTIONS(508),
    [anon_sym_return] = ACTIONS(508),
    [anon_sym_throw] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(506),
    [anon_sym_case] = ACTIONS(508),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_EQ] = ACTIONS(514),
    [anon_sym_LBRACK] = ACTIONS(506),
    [sym_glimmer_opening_tag] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(510),
    [anon_sym_DOT] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(506),
    [anon_sym_SQUOTE] = ACTIONS(506),
    [anon_sym_class] = ACTIONS(508),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(508),
    [sym_optional_chain] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(508),
    [anon_sym_AMP_AMP] = ACTIONS(512),
    [anon_sym_PIPE_PIPE] = ACTIONS(512),
    [anon_sym_GT_GT] = ACTIONS(510),
    [anon_sym_GT_GT_GT] = ACTIONS(512),
    [anon_sym_LT_LT] = ACTIONS(512),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_CARET] = ACTIONS(512),
    [anon_sym_PIPE] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(508),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(512),
    [anon_sym_STAR_STAR] = ACTIONS(512),
    [anon_sym_LT_EQ] = ACTIONS(512),
    [anon_sym_EQ_EQ] = ACTIONS(510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(512),
    [anon_sym_BANG_EQ] = ACTIONS(510),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(512),
    [anon_sym_GT_EQ] = ACTIONS(512),
    [anon_sym_QMARK_QMARK] = ACTIONS(512),
    [anon_sym_instanceof] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(508),
    [anon_sym_TILDE] = ACTIONS(506),
    [anon_sym_typeof] = ACTIONS(508),
    [anon_sym_void] = ACTIONS(508),
    [anon_sym_delete] = ACTIONS(508),
    [anon_sym_PLUS_PLUS] = ACTIONS(506),
    [anon_sym_DASH_DASH] = ACTIONS(506),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(506),
    [sym_number] = ACTIONS(506),
    [sym_private_property_identifier] = ACTIONS(506),
    [sym_this] = ACTIONS(508),
    [sym_super] = ACTIONS(508),
    [sym_true] = ACTIONS(508),
    [sym_false] = ACTIONS(508),
    [sym_null] = ACTIONS(508),
    [sym_undefined] = ACTIONS(508),
    [anon_sym_AT] = ACTIONS(506),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym__automatic_semicolon] = ACTIONS(516),
    [sym__ternary_qmark] = ACTIONS(512),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(518),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(520),
    [anon_sym_STAR] = ACTIONS(522),
    [anon_sym_default] = ACTIONS(520),
    [anon_sym_LBRACE] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_import] = ACTIONS(520),
    [anon_sym_with] = ACTIONS(520),
    [anon_sym_var] = ACTIONS(520),
    [anon_sym_let] = ACTIONS(520),
    [anon_sym_const] = ACTIONS(520),
    [anon_sym_else] = ACTIONS(520),
    [anon_sym_if] = ACTIONS(520),
    [anon_sym_switch] = ACTIONS(520),
    [anon_sym_for] = ACTIONS(520),
    [anon_sym_LPAREN] = ACTIONS(518),
    [anon_sym_await] = ACTIONS(520),
    [anon_sym_in] = ACTIONS(522),
    [anon_sym_while] = ACTIONS(520),
    [anon_sym_do] = ACTIONS(520),
    [anon_sym_try] = ACTIONS(520),
    [anon_sym_break] = ACTIONS(520),
    [anon_sym_continue] = ACTIONS(520),
    [anon_sym_debugger] = ACTIONS(520),
    [anon_sym_return] = ACTIONS(520),
    [anon_sym_throw] = ACTIONS(520),
    [anon_sym_SEMI] = ACTIONS(518),
    [anon_sym_case] = ACTIONS(520),
    [anon_sym_yield] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(518),
    [sym_glimmer_opening_tag] = ACTIONS(518),
    [anon_sym_LT] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(522),
    [anon_sym_DOT] = ACTIONS(522),
    [anon_sym_DQUOTE] = ACTIONS(518),
    [anon_sym_SQUOTE] = ACTIONS(518),
    [anon_sym_class] = ACTIONS(520),
    [anon_sym_async] = ACTIONS(520),
    [anon_sym_function] = ACTIONS(520),
    [sym_optional_chain] = ACTIONS(524),
    [anon_sym_new] = ACTIONS(520),
    [anon_sym_AMP_AMP] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(522),
    [anon_sym_GT_GT_GT] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_AMP] = ACTIONS(522),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(522),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_SLASH] = ACTIONS(520),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_STAR_STAR] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(524),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(524),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(524),
    [anon_sym_QMARK_QMARK] = ACTIONS(524),
    [anon_sym_instanceof] = ACTIONS(522),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_TILDE] = ACTIONS(518),
    [anon_sym_typeof] = ACTIONS(520),
    [anon_sym_void] = ACTIONS(520),
    [anon_sym_delete] = ACTIONS(520),
    [anon_sym_PLUS_PLUS] = ACTIONS(518),
    [anon_sym_DASH_DASH] = ACTIONS(518),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(518),
    [sym_number] = ACTIONS(518),
    [sym_private_property_identifier] = ACTIONS(518),
    [sym_this] = ACTIONS(520),
    [sym_super] = ACTIONS(520),
    [sym_true] = ACTIONS(520),
    [sym_false] = ACTIONS(520),
    [sym_null] = ACTIONS(520),
    [sym_undefined] = ACTIONS(520),
    [anon_sym_AT] = ACTIONS(518),
    [anon_sym_static] = ACTIONS(520),
    [anon_sym_get] = ACTIONS(520),
    [anon_sym_set] = ACTIONS(520),
    [sym__automatic_semicolon] = ACTIONS(526),
    [sym__ternary_qmark] = ACTIONS(524),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(528),
    [sym_identifier] = ACTIONS(530),
    [anon_sym_export] = ACTIONS(530),
    [anon_sym_STAR] = ACTIONS(530),
    [anon_sym_default] = ACTIONS(530),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_COMMA] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_import] = ACTIONS(530),
    [anon_sym_with] = ACTIONS(530),
    [anon_sym_var] = ACTIONS(530),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_else] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(530),
    [anon_sym_for] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(530),
    [anon_sym_in] = ACTIONS(530),
    [anon_sym_while] = ACTIONS(530),
    [anon_sym_do] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(530),
    [anon_sym_break] = ACTIONS(530),
    [anon_sym_continue] = ACTIONS(530),
    [anon_sym_debugger] = ACTIONS(530),
    [anon_sym_return] = ACTIONS(530),
    [anon_sym_throw] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_case] = ACTIONS(530),
    [anon_sym_yield] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(528),
    [sym_glimmer_opening_tag] = ACTIONS(528),
    [anon_sym_LT] = ACTIONS(530),
    [anon_sym_GT] = ACTIONS(530),
    [anon_sym_DOT] = ACTIONS(530),
    [anon_sym_DQUOTE] = ACTIONS(528),
    [anon_sym_SQUOTE] = ACTIONS(528),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(530),
    [anon_sym_function] = ACTIONS(530),
    [sym_optional_chain] = ACTIONS(528),
    [anon_sym_new] = ACTIONS(530),
    [anon_sym_AMP_AMP] = ACTIONS(528),
    [anon_sym_PIPE_PIPE] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(530),
    [anon_sym_GT_GT_GT] = ACTIONS(528),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_AMP] = ACTIONS(530),
    [anon_sym_CARET] = ACTIONS(528),
    [anon_sym_PIPE] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(530),
    [anon_sym_PERCENT] = ACTIONS(528),
    [anon_sym_STAR_STAR] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(528),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(528),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(528),
    [anon_sym_GT_EQ] = ACTIONS(528),
    [anon_sym_QMARK_QMARK] = ACTIONS(528),
    [anon_sym_instanceof] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(530),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(530),
    [anon_sym_void] = ACTIONS(530),
    [anon_sym_delete] = ACTIONS(530),
    [anon_sym_PLUS_PLUS] = ACTIONS(528),
    [anon_sym_DASH_DASH] = ACTIONS(528),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(528),
    [sym_number] = ACTIONS(528),
    [sym_private_property_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(530),
    [sym_super] = ACTIONS(530),
    [sym_true] = ACTIONS(530),
    [sym_false] = ACTIONS(530),
    [sym_null] = ACTIONS(530),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(528),
    [anon_sym_static] = ACTIONS(530),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
    [sym__automatic_semicolon] = ACTIONS(532),
    [sym__ternary_qmark] = ACTIONS(528),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(534),
    [sym_identifier] = ACTIONS(536),
    [anon_sym_export] = ACTIONS(536),
    [anon_sym_STAR] = ACTIONS(538),
    [anon_sym_default] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(534),
    [anon_sym_COMMA] = ACTIONS(540),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_import] = ACTIONS(536),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_var] = ACTIONS(536),
    [anon_sym_let] = ACTIONS(536),
    [anon_sym_const] = ACTIONS(536),
    [anon_sym_else] = ACTIONS(536),
    [anon_sym_if] = ACTIONS(536),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(534),
    [anon_sym_await] = ACTIONS(536),
    [anon_sym_in] = ACTIONS(538),
    [anon_sym_while] = ACTIONS(536),
    [anon_sym_do] = ACTIONS(536),
    [anon_sym_try] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(536),
    [anon_sym_continue] = ACTIONS(536),
    [anon_sym_debugger] = ACTIONS(536),
    [anon_sym_return] = ACTIONS(536),
    [anon_sym_throw] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(534),
    [anon_sym_case] = ACTIONS(536),
    [anon_sym_yield] = ACTIONS(536),
    [anon_sym_LBRACK] = ACTIONS(534),
    [sym_glimmer_opening_tag] = ACTIONS(534),
    [anon_sym_LT] = ACTIONS(536),
    [anon_sym_GT] = ACTIONS(538),
    [anon_sym_DOT] = ACTIONS(538),
    [anon_sym_DQUOTE] = ACTIONS(534),
    [anon_sym_SQUOTE] = ACTIONS(534),
    [anon_sym_class] = ACTIONS(536),
    [anon_sym_async] = ACTIONS(536),
    [anon_sym_function] = ACTIONS(536),
    [sym_optional_chain] = ACTIONS(540),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_AMP_AMP] = ACTIONS(540),
    [anon_sym_PIPE_PIPE] = ACTIONS(540),
    [anon_sym_GT_GT] = ACTIONS(538),
    [anon_sym_GT_GT_GT] = ACTIONS(540),
    [anon_sym_LT_LT] = ACTIONS(540),
    [anon_sym_AMP] = ACTIONS(538),
    [anon_sym_CARET] = ACTIONS(540),
    [anon_sym_PIPE] = ACTIONS(538),
    [anon_sym_PLUS] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(536),
    [anon_sym_SLASH] = ACTIONS(536),
    [anon_sym_PERCENT] = ACTIONS(540),
    [anon_sym_STAR_STAR] = ACTIONS(540),
    [anon_sym_LT_EQ] = ACTIONS(540),
    [anon_sym_EQ_EQ] = ACTIONS(538),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(540),
    [anon_sym_BANG_EQ] = ACTIONS(538),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(540),
    [anon_sym_GT_EQ] = ACTIONS(540),
    [anon_sym_QMARK_QMARK] = ACTIONS(540),
    [anon_sym_instanceof] = ACTIONS(538),
    [anon_sym_BANG] = ACTIONS(536),
    [anon_sym_TILDE] = ACTIONS(534),
    [anon_sym_typeof] = ACTIONS(536),
    [anon_sym_void] = ACTIONS(536),
    [anon_sym_delete] = ACTIONS(536),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(534),
    [sym_number] = ACTIONS(534),
    [sym_private_property_identifier] = ACTIONS(534),
    [sym_this] = ACTIONS(536),
    [sym_super] = ACTIONS(536),
    [sym_true] = ACTIONS(536),
    [sym_false] = ACTIONS(536),
    [sym_null] = ACTIONS(536),
    [sym_undefined] = ACTIONS(536),
    [anon_sym_AT] = ACTIONS(534),
    [anon_sym_static] = ACTIONS(536),
    [anon_sym_get] = ACTIONS(536),
    [anon_sym_set] = ACTIONS(536),
    [sym__automatic_semicolon] = ACTIONS(542),
    [sym__ternary_qmark] = ACTIONS(540),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(544),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_default] = ACTIONS(546),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_COMMA] = ACTIONS(550),
    [anon_sym_RBRACE] = ACTIONS(544),
    [anon_sym_import] = ACTIONS(546),
    [anon_sym_with] = ACTIONS(546),
    [anon_sym_var] = ACTIONS(546),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(546),
    [anon_sym_else] = ACTIONS(546),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(546),
    [anon_sym_for] = ACTIONS(546),
    [anon_sym_LPAREN] = ACTIONS(544),
    [anon_sym_await] = ACTIONS(546),
    [anon_sym_in] = ACTIONS(548),
    [anon_sym_while] = ACTIONS(546),
    [anon_sym_do] = ACTIONS(546),
    [anon_sym_try] = ACTIONS(546),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(546),
    [anon_sym_debugger] = ACTIONS(546),
    [anon_sym_return] = ACTIONS(546),
    [anon_sym_throw] = ACTIONS(546),
    [anon_sym_SEMI] = ACTIONS(544),
    [anon_sym_case] = ACTIONS(546),
    [anon_sym_yield] = ACTIONS(546),
    [anon_sym_LBRACK] = ACTIONS(544),
    [sym_glimmer_opening_tag] = ACTIONS(544),
    [anon_sym_LT] = ACTIONS(546),
    [anon_sym_GT] = ACTIONS(548),
    [anon_sym_DOT] = ACTIONS(548),
    [anon_sym_DQUOTE] = ACTIONS(544),
    [anon_sym_SQUOTE] = ACTIONS(544),
    [anon_sym_class] = ACTIONS(546),
    [anon_sym_async] = ACTIONS(546),
    [anon_sym_function] = ACTIONS(546),
    [sym_optional_chain] = ACTIONS(550),
    [anon_sym_new] = ACTIONS(546),
    [anon_sym_AMP_AMP] = ACTIONS(550),
    [anon_sym_PIPE_PIPE] = ACTIONS(550),
    [anon_sym_GT_GT] = ACTIONS(548),
    [anon_sym_GT_GT_GT] = ACTIONS(550),
    [anon_sym_LT_LT] = ACTIONS(550),
    [anon_sym_AMP] = ACTIONS(548),
    [anon_sym_CARET] = ACTIONS(550),
    [anon_sym_PIPE] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_SLASH] = ACTIONS(546),
    [anon_sym_PERCENT] = ACTIONS(550),
    [anon_sym_STAR_STAR] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(550),
    [anon_sym_EQ_EQ] = ACTIONS(548),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(550),
    [anon_sym_BANG_EQ] = ACTIONS(548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(550),
    [anon_sym_GT_EQ] = ACTIONS(550),
    [anon_sym_QMARK_QMARK] = ACTIONS(550),
    [anon_sym_instanceof] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_TILDE] = ACTIONS(544),
    [anon_sym_typeof] = ACTIONS(546),
    [anon_sym_void] = ACTIONS(546),
    [anon_sym_delete] = ACTIONS(546),
    [anon_sym_PLUS_PLUS] = ACTIONS(544),
    [anon_sym_DASH_DASH] = ACTIONS(544),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(544),
    [sym_number] = ACTIONS(544),
    [sym_private_property_identifier] = ACTIONS(544),
    [sym_this] = ACTIONS(546),
    [sym_super] = ACTIONS(546),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [sym_null] = ACTIONS(546),
    [sym_undefined] = ACTIONS(546),
    [anon_sym_AT] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [sym__automatic_semicolon] = ACTIONS(552),
    [sym__ternary_qmark] = ACTIONS(550),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(658),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1319),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_spread_element] = STATE(1320),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1328),
    [aux_sym_array_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(560),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(566),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(570),
    [anon_sym_default] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(572),
    [anon_sym_RBRACE] = ACTIONS(566),
    [anon_sym_import] = ACTIONS(568),
    [anon_sym_with] = ACTIONS(568),
    [anon_sym_var] = ACTIONS(568),
    [anon_sym_let] = ACTIONS(568),
    [anon_sym_const] = ACTIONS(568),
    [anon_sym_else] = ACTIONS(568),
    [anon_sym_if] = ACTIONS(568),
    [anon_sym_switch] = ACTIONS(568),
    [anon_sym_for] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_await] = ACTIONS(568),
    [anon_sym_in] = ACTIONS(570),
    [anon_sym_while] = ACTIONS(568),
    [anon_sym_do] = ACTIONS(568),
    [anon_sym_try] = ACTIONS(568),
    [anon_sym_break] = ACTIONS(568),
    [anon_sym_continue] = ACTIONS(568),
    [anon_sym_debugger] = ACTIONS(568),
    [anon_sym_return] = ACTIONS(568),
    [anon_sym_throw] = ACTIONS(568),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_case] = ACTIONS(568),
    [anon_sym_yield] = ACTIONS(568),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_glimmer_opening_tag] = ACTIONS(566),
    [anon_sym_LT] = ACTIONS(568),
    [anon_sym_GT] = ACTIONS(570),
    [anon_sym_DOT] = ACTIONS(570),
    [anon_sym_DQUOTE] = ACTIONS(566),
    [anon_sym_SQUOTE] = ACTIONS(566),
    [anon_sym_class] = ACTIONS(568),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(568),
    [sym_optional_chain] = ACTIONS(572),
    [anon_sym_new] = ACTIONS(568),
    [anon_sym_AMP_AMP] = ACTIONS(572),
    [anon_sym_PIPE_PIPE] = ACTIONS(572),
    [anon_sym_GT_GT] = ACTIONS(570),
    [anon_sym_GT_GT_GT] = ACTIONS(572),
    [anon_sym_LT_LT] = ACTIONS(572),
    [anon_sym_AMP] = ACTIONS(570),
    [anon_sym_CARET] = ACTIONS(572),
    [anon_sym_PIPE] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(568),
    [anon_sym_DASH] = ACTIONS(568),
    [anon_sym_SLASH] = ACTIONS(568),
    [anon_sym_PERCENT] = ACTIONS(572),
    [anon_sym_STAR_STAR] = ACTIONS(572),
    [anon_sym_LT_EQ] = ACTIONS(572),
    [anon_sym_EQ_EQ] = ACTIONS(570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(572),
    [anon_sym_BANG_EQ] = ACTIONS(570),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(572),
    [anon_sym_GT_EQ] = ACTIONS(572),
    [anon_sym_QMARK_QMARK] = ACTIONS(572),
    [anon_sym_instanceof] = ACTIONS(570),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(566),
    [anon_sym_typeof] = ACTIONS(568),
    [anon_sym_void] = ACTIONS(568),
    [anon_sym_delete] = ACTIONS(568),
    [anon_sym_PLUS_PLUS] = ACTIONS(566),
    [anon_sym_DASH_DASH] = ACTIONS(566),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(566),
    [sym_number] = ACTIONS(566),
    [sym_private_property_identifier] = ACTIONS(566),
    [sym_this] = ACTIONS(568),
    [sym_super] = ACTIONS(568),
    [sym_true] = ACTIONS(568),
    [sym_false] = ACTIONS(568),
    [sym_null] = ACTIONS(568),
    [sym_undefined] = ACTIONS(568),
    [anon_sym_AT] = ACTIONS(566),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_get] = ACTIONS(568),
    [anon_sym_set] = ACTIONS(568),
    [sym__automatic_semicolon] = ACTIONS(574),
    [sym__ternary_qmark] = ACTIONS(572),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(506),
    [sym_identifier] = ACTIONS(508),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_STAR] = ACTIONS(508),
    [anon_sym_default] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_COMMA] = ACTIONS(506),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_import] = ACTIONS(508),
    [anon_sym_with] = ACTIONS(508),
    [anon_sym_var] = ACTIONS(508),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_const] = ACTIONS(508),
    [anon_sym_else] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(508),
    [anon_sym_switch] = ACTIONS(508),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_in] = ACTIONS(508),
    [anon_sym_while] = ACTIONS(508),
    [anon_sym_do] = ACTIONS(508),
    [anon_sym_try] = ACTIONS(508),
    [anon_sym_break] = ACTIONS(508),
    [anon_sym_continue] = ACTIONS(508),
    [anon_sym_debugger] = ACTIONS(508),
    [anon_sym_return] = ACTIONS(508),
    [anon_sym_throw] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(506),
    [anon_sym_case] = ACTIONS(508),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(506),
    [sym_glimmer_opening_tag] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_DOT] = ACTIONS(508),
    [anon_sym_DQUOTE] = ACTIONS(506),
    [anon_sym_SQUOTE] = ACTIONS(506),
    [anon_sym_class] = ACTIONS(508),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(508),
    [sym_optional_chain] = ACTIONS(506),
    [anon_sym_new] = ACTIONS(508),
    [anon_sym_AMP_AMP] = ACTIONS(506),
    [anon_sym_PIPE_PIPE] = ACTIONS(506),
    [anon_sym_GT_GT] = ACTIONS(508),
    [anon_sym_GT_GT_GT] = ACTIONS(506),
    [anon_sym_LT_LT] = ACTIONS(506),
    [anon_sym_AMP] = ACTIONS(508),
    [anon_sym_CARET] = ACTIONS(506),
    [anon_sym_PIPE] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(508),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(508),
    [anon_sym_PERCENT] = ACTIONS(506),
    [anon_sym_STAR_STAR] = ACTIONS(506),
    [anon_sym_LT_EQ] = ACTIONS(506),
    [anon_sym_EQ_EQ] = ACTIONS(508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(506),
    [anon_sym_BANG_EQ] = ACTIONS(508),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(506),
    [anon_sym_GT_EQ] = ACTIONS(506),
    [anon_sym_QMARK_QMARK] = ACTIONS(506),
    [anon_sym_instanceof] = ACTIONS(508),
    [anon_sym_BANG] = ACTIONS(508),
    [anon_sym_TILDE] = ACTIONS(506),
    [anon_sym_typeof] = ACTIONS(508),
    [anon_sym_void] = ACTIONS(508),
    [anon_sym_delete] = ACTIONS(508),
    [anon_sym_PLUS_PLUS] = ACTIONS(506),
    [anon_sym_DASH_DASH] = ACTIONS(506),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(506),
    [sym_number] = ACTIONS(506),
    [sym_private_property_identifier] = ACTIONS(506),
    [sym_this] = ACTIONS(508),
    [sym_super] = ACTIONS(508),
    [sym_true] = ACTIONS(508),
    [sym_false] = ACTIONS(508),
    [sym_null] = ACTIONS(508),
    [sym_undefined] = ACTIONS(508),
    [anon_sym_AT] = ACTIONS(506),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym__automatic_semicolon] = ACTIONS(576),
    [sym__ternary_qmark] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(578),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_default] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(578),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_import] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(580),
    [anon_sym_var] = ACTIONS(580),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_else] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(580),
    [anon_sym_for] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_await] = ACTIONS(580),
    [anon_sym_in] = ACTIONS(580),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_break] = ACTIONS(580),
    [anon_sym_continue] = ACTIONS(580),
    [anon_sym_debugger] = ACTIONS(580),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_throw] = ACTIONS(580),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_case] = ACTIONS(580),
    [anon_sym_yield] = ACTIONS(580),
    [anon_sym_LBRACK] = ACTIONS(578),
    [sym_glimmer_opening_tag] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(580),
    [anon_sym_GT] = ACTIONS(580),
    [anon_sym_DOT] = ACTIONS(580),
    [anon_sym_DQUOTE] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(578),
    [anon_sym_class] = ACTIONS(580),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_function] = ACTIONS(580),
    [sym_optional_chain] = ACTIONS(578),
    [anon_sym_new] = ACTIONS(580),
    [anon_sym_AMP_AMP] = ACTIONS(578),
    [anon_sym_PIPE_PIPE] = ACTIONS(578),
    [anon_sym_GT_GT] = ACTIONS(580),
    [anon_sym_GT_GT_GT] = ACTIONS(578),
    [anon_sym_LT_LT] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(580),
    [anon_sym_CARET] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(580),
    [anon_sym_PERCENT] = ACTIONS(578),
    [anon_sym_STAR_STAR] = ACTIONS(578),
    [anon_sym_LT_EQ] = ACTIONS(578),
    [anon_sym_EQ_EQ] = ACTIONS(580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(578),
    [anon_sym_BANG_EQ] = ACTIONS(580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(578),
    [anon_sym_GT_EQ] = ACTIONS(578),
    [anon_sym_QMARK_QMARK] = ACTIONS(578),
    [anon_sym_instanceof] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(580),
    [anon_sym_TILDE] = ACTIONS(578),
    [anon_sym_typeof] = ACTIONS(580),
    [anon_sym_void] = ACTIONS(580),
    [anon_sym_delete] = ACTIONS(580),
    [anon_sym_PLUS_PLUS] = ACTIONS(578),
    [anon_sym_DASH_DASH] = ACTIONS(578),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_number] = ACTIONS(578),
    [sym_private_property_identifier] = ACTIONS(578),
    [sym_this] = ACTIONS(580),
    [sym_super] = ACTIONS(580),
    [sym_true] = ACTIONS(580),
    [sym_false] = ACTIONS(580),
    [sym_null] = ACTIONS(580),
    [sym_undefined] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [sym__automatic_semicolon] = ACTIONS(578),
    [sym__ternary_qmark] = ACTIONS(578),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [ts_builtin_sym_end] = ACTIONS(582),
    [sym_identifier] = ACTIONS(584),
    [anon_sym_export] = ACTIONS(584),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_default] = ACTIONS(584),
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_COMMA] = ACTIONS(582),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_import] = ACTIONS(584),
    [anon_sym_with] = ACTIONS(584),
    [anon_sym_var] = ACTIONS(584),
    [anon_sym_let] = ACTIONS(584),
    [anon_sym_const] = ACTIONS(584),
    [anon_sym_else] = ACTIONS(584),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_switch] = ACTIONS(584),
    [anon_sym_for] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(582),
    [anon_sym_await] = ACTIONS(584),
    [anon_sym_in] = ACTIONS(584),
    [anon_sym_while] = ACTIONS(584),
    [anon_sym_do] = ACTIONS(584),
    [anon_sym_try] = ACTIONS(584),
    [anon_sym_break] = ACTIONS(584),
    [anon_sym_continue] = ACTIONS(584),
    [anon_sym_debugger] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(584),
    [anon_sym_throw] = ACTIONS(584),
    [anon_sym_SEMI] = ACTIONS(582),
    [anon_sym_case] = ACTIONS(584),
    [anon_sym_yield] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(582),
    [sym_glimmer_opening_tag] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(584),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_DOT] = ACTIONS(584),
    [anon_sym_DQUOTE] = ACTIONS(582),
    [anon_sym_SQUOTE] = ACTIONS(582),
    [anon_sym_class] = ACTIONS(584),
    [anon_sym_async] = ACTIONS(584),
    [anon_sym_function] = ACTIONS(584),
    [sym_optional_chain] = ACTIONS(582),
    [anon_sym_new] = ACTIONS(584),
    [anon_sym_AMP_AMP] = ACTIONS(582),
    [anon_sym_PIPE_PIPE] = ACTIONS(582),
    [anon_sym_GT_GT] = ACTIONS(584),
    [anon_sym_GT_GT_GT] = ACTIONS(582),
    [anon_sym_LT_LT] = ACTIONS(582),
    [anon_sym_AMP] = ACTIONS(584),
    [anon_sym_CARET] = ACTIONS(582),
    [anon_sym_PIPE] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(582),
    [anon_sym_STAR_STAR] = ACTIONS(582),
    [anon_sym_LT_EQ] = ACTIONS(582),
    [anon_sym_EQ_EQ] = ACTIONS(584),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(582),
    [anon_sym_BANG_EQ] = ACTIONS(584),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(582),
    [anon_sym_GT_EQ] = ACTIONS(582),
    [anon_sym_QMARK_QMARK] = ACTIONS(582),
    [anon_sym_instanceof] = ACTIONS(584),
    [anon_sym_BANG] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(582),
    [anon_sym_typeof] = ACTIONS(584),
    [anon_sym_void] = ACTIONS(584),
    [anon_sym_delete] = ACTIONS(584),
    [anon_sym_PLUS_PLUS] = ACTIONS(582),
    [anon_sym_DASH_DASH] = ACTIONS(582),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(582),
    [sym_number] = ACTIONS(582),
    [sym_private_property_identifier] = ACTIONS(582),
    [sym_this] = ACTIONS(584),
    [sym_super] = ACTIONS(584),
    [sym_true] = ACTIONS(584),
    [sym_false] = ACTIONS(584),
    [sym_null] = ACTIONS(584),
    [sym_undefined] = ACTIONS(584),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_static] = ACTIONS(584),
    [anon_sym_get] = ACTIONS(584),
    [anon_sym_set] = ACTIONS(584),
    [sym__automatic_semicolon] = ACTIONS(582),
    [sym__ternary_qmark] = ACTIONS(582),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(755),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1319),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_spread_element] = STATE(1304),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1303),
    [aux_sym_array_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(586),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(755),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1319),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_spread_element] = STATE(1304),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1303),
    [aux_sym_array_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(588),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [ts_builtin_sym_end] = ACTIONS(590),
    [sym_identifier] = ACTIONS(592),
    [anon_sym_export] = ACTIONS(592),
    [anon_sym_STAR] = ACTIONS(594),
    [anon_sym_default] = ACTIONS(592),
    [anon_sym_LBRACE] = ACTIONS(590),
    [anon_sym_COMMA] = ACTIONS(596),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_import] = ACTIONS(592),
    [anon_sym_with] = ACTIONS(592),
    [anon_sym_var] = ACTIONS(592),
    [anon_sym_let] = ACTIONS(592),
    [anon_sym_const] = ACTIONS(592),
    [anon_sym_else] = ACTIONS(592),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(592),
    [anon_sym_for] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_await] = ACTIONS(592),
    [anon_sym_in] = ACTIONS(594),
    [anon_sym_while] = ACTIONS(592),
    [anon_sym_do] = ACTIONS(592),
    [anon_sym_try] = ACTIONS(592),
    [anon_sym_break] = ACTIONS(592),
    [anon_sym_continue] = ACTIONS(592),
    [anon_sym_debugger] = ACTIONS(592),
    [anon_sym_return] = ACTIONS(592),
    [anon_sym_throw] = ACTIONS(592),
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_case] = ACTIONS(592),
    [anon_sym_yield] = ACTIONS(592),
    [anon_sym_LBRACK] = ACTIONS(590),
    [sym_glimmer_opening_tag] = ACTIONS(590),
    [anon_sym_LT] = ACTIONS(592),
    [anon_sym_GT] = ACTIONS(594),
    [anon_sym_DOT] = ACTIONS(594),
    [anon_sym_DQUOTE] = ACTIONS(590),
    [anon_sym_SQUOTE] = ACTIONS(590),
    [anon_sym_class] = ACTIONS(592),
    [anon_sym_async] = ACTIONS(592),
    [anon_sym_function] = ACTIONS(592),
    [sym_optional_chain] = ACTIONS(596),
    [anon_sym_new] = ACTIONS(592),
    [anon_sym_AMP_AMP] = ACTIONS(596),
    [anon_sym_PIPE_PIPE] = ACTIONS(596),
    [anon_sym_GT_GT] = ACTIONS(594),
    [anon_sym_GT_GT_GT] = ACTIONS(596),
    [anon_sym_LT_LT] = ACTIONS(596),
    [anon_sym_AMP] = ACTIONS(594),
    [anon_sym_CARET] = ACTIONS(596),
    [anon_sym_PIPE] = ACTIONS(594),
    [anon_sym_PLUS] = ACTIONS(592),
    [anon_sym_DASH] = ACTIONS(592),
    [anon_sym_SLASH] = ACTIONS(592),
    [anon_sym_PERCENT] = ACTIONS(596),
    [anon_sym_STAR_STAR] = ACTIONS(596),
    [anon_sym_LT_EQ] = ACTIONS(596),
    [anon_sym_EQ_EQ] = ACTIONS(594),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(596),
    [anon_sym_BANG_EQ] = ACTIONS(594),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(596),
    [anon_sym_GT_EQ] = ACTIONS(596),
    [anon_sym_QMARK_QMARK] = ACTIONS(596),
    [anon_sym_instanceof] = ACTIONS(594),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_typeof] = ACTIONS(592),
    [anon_sym_void] = ACTIONS(592),
    [anon_sym_delete] = ACTIONS(592),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(590),
    [sym_number] = ACTIONS(590),
    [sym_private_property_identifier] = ACTIONS(590),
    [sym_this] = ACTIONS(592),
    [sym_super] = ACTIONS(592),
    [sym_true] = ACTIONS(592),
    [sym_false] = ACTIONS(592),
    [sym_null] = ACTIONS(592),
    [sym_undefined] = ACTIONS(592),
    [anon_sym_AT] = ACTIONS(590),
    [anon_sym_static] = ACTIONS(592),
    [anon_sym_get] = ACTIONS(592),
    [anon_sym_set] = ACTIONS(592),
    [sym__automatic_semicolon] = ACTIONS(598),
    [sym__ternary_qmark] = ACTIONS(596),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(755),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1319),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_spread_element] = STATE(1304),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1303),
    [aux_sym_array_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(600),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [ts_builtin_sym_end] = ACTIONS(602),
    [sym_identifier] = ACTIONS(604),
    [anon_sym_export] = ACTIONS(604),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_default] = ACTIONS(604),
    [anon_sym_LBRACE] = ACTIONS(602),
    [anon_sym_COMMA] = ACTIONS(608),
    [anon_sym_RBRACE] = ACTIONS(602),
    [anon_sym_import] = ACTIONS(604),
    [anon_sym_with] = ACTIONS(604),
    [anon_sym_var] = ACTIONS(604),
    [anon_sym_let] = ACTIONS(604),
    [anon_sym_const] = ACTIONS(604),
    [anon_sym_else] = ACTIONS(604),
    [anon_sym_if] = ACTIONS(604),
    [anon_sym_switch] = ACTIONS(604),
    [anon_sym_for] = ACTIONS(604),
    [anon_sym_LPAREN] = ACTIONS(602),
    [anon_sym_await] = ACTIONS(604),
    [anon_sym_in] = ACTIONS(606),
    [anon_sym_while] = ACTIONS(604),
    [anon_sym_do] = ACTIONS(604),
    [anon_sym_try] = ACTIONS(604),
    [anon_sym_break] = ACTIONS(604),
    [anon_sym_continue] = ACTIONS(604),
    [anon_sym_debugger] = ACTIONS(604),
    [anon_sym_return] = ACTIONS(604),
    [anon_sym_throw] = ACTIONS(604),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_case] = ACTIONS(604),
    [anon_sym_yield] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(602),
    [sym_glimmer_opening_tag] = ACTIONS(602),
    [anon_sym_LT] = ACTIONS(604),
    [anon_sym_GT] = ACTIONS(606),
    [anon_sym_DOT] = ACTIONS(606),
    [anon_sym_DQUOTE] = ACTIONS(602),
    [anon_sym_SQUOTE] = ACTIONS(602),
    [anon_sym_class] = ACTIONS(604),
    [anon_sym_async] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(604),
    [sym_optional_chain] = ACTIONS(608),
    [anon_sym_new] = ACTIONS(604),
    [anon_sym_AMP_AMP] = ACTIONS(608),
    [anon_sym_PIPE_PIPE] = ACTIONS(608),
    [anon_sym_GT_GT] = ACTIONS(606),
    [anon_sym_GT_GT_GT] = ACTIONS(608),
    [anon_sym_LT_LT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(606),
    [anon_sym_CARET] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(604),
    [anon_sym_DASH] = ACTIONS(604),
    [anon_sym_SLASH] = ACTIONS(604),
    [anon_sym_PERCENT] = ACTIONS(608),
    [anon_sym_STAR_STAR] = ACTIONS(608),
    [anon_sym_LT_EQ] = ACTIONS(608),
    [anon_sym_EQ_EQ] = ACTIONS(606),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(608),
    [anon_sym_BANG_EQ] = ACTIONS(606),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(608),
    [anon_sym_GT_EQ] = ACTIONS(608),
    [anon_sym_QMARK_QMARK] = ACTIONS(608),
    [anon_sym_instanceof] = ACTIONS(606),
    [anon_sym_BANG] = ACTIONS(604),
    [anon_sym_TILDE] = ACTIONS(602),
    [anon_sym_typeof] = ACTIONS(604),
    [anon_sym_void] = ACTIONS(604),
    [anon_sym_delete] = ACTIONS(604),
    [anon_sym_PLUS_PLUS] = ACTIONS(602),
    [anon_sym_DASH_DASH] = ACTIONS(602),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(602),
    [sym_number] = ACTIONS(602),
    [sym_private_property_identifier] = ACTIONS(602),
    [sym_this] = ACTIONS(604),
    [sym_super] = ACTIONS(604),
    [sym_true] = ACTIONS(604),
    [sym_false] = ACTIONS(604),
    [sym_null] = ACTIONS(604),
    [sym_undefined] = ACTIONS(604),
    [anon_sym_AT] = ACTIONS(602),
    [anon_sym_static] = ACTIONS(604),
    [anon_sym_get] = ACTIONS(604),
    [anon_sym_set] = ACTIONS(604),
    [sym__automatic_semicolon] = ACTIONS(610),
    [sym__ternary_qmark] = ACTIONS(608),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [ts_builtin_sym_end] = ACTIONS(612),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(616),
    [anon_sym_default] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(612),
    [anon_sym_import] = ACTIONS(614),
    [anon_sym_with] = ACTIONS(614),
    [anon_sym_var] = ACTIONS(614),
    [anon_sym_let] = ACTIONS(614),
    [anon_sym_const] = ACTIONS(614),
    [anon_sym_else] = ACTIONS(614),
    [anon_sym_if] = ACTIONS(614),
    [anon_sym_switch] = ACTIONS(614),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(612),
    [anon_sym_await] = ACTIONS(614),
    [anon_sym_in] = ACTIONS(616),
    [anon_sym_while] = ACTIONS(614),
    [anon_sym_do] = ACTIONS(614),
    [anon_sym_try] = ACTIONS(614),
    [anon_sym_break] = ACTIONS(614),
    [anon_sym_continue] = ACTIONS(614),
    [anon_sym_debugger] = ACTIONS(614),
    [anon_sym_return] = ACTIONS(614),
    [anon_sym_throw] = ACTIONS(614),
    [anon_sym_SEMI] = ACTIONS(612),
    [anon_sym_case] = ACTIONS(614),
    [anon_sym_yield] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(612),
    [sym_glimmer_opening_tag] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(614),
    [anon_sym_GT] = ACTIONS(616),
    [anon_sym_DOT] = ACTIONS(616),
    [anon_sym_DQUOTE] = ACTIONS(612),
    [anon_sym_SQUOTE] = ACTIONS(612),
    [anon_sym_class] = ACTIONS(614),
    [anon_sym_async] = ACTIONS(614),
    [anon_sym_function] = ACTIONS(614),
    [sym_optional_chain] = ACTIONS(618),
    [anon_sym_new] = ACTIONS(614),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(616),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(616),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(614),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ] = ACTIONS(616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(616),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(616),
    [anon_sym_BANG] = ACTIONS(614),
    [anon_sym_TILDE] = ACTIONS(612),
    [anon_sym_typeof] = ACTIONS(614),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(614),
    [anon_sym_PLUS_PLUS] = ACTIONS(612),
    [anon_sym_DASH_DASH] = ACTIONS(612),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(612),
    [sym_number] = ACTIONS(612),
    [sym_private_property_identifier] = ACTIONS(612),
    [sym_this] = ACTIONS(614),
    [sym_super] = ACTIONS(614),
    [sym_true] = ACTIONS(614),
    [sym_false] = ACTIONS(614),
    [sym_null] = ACTIONS(614),
    [sym_undefined] = ACTIONS(614),
    [anon_sym_AT] = ACTIONS(612),
    [anon_sym_static] = ACTIONS(614),
    [anon_sym_get] = ACTIONS(614),
    [anon_sym_set] = ACTIONS(614),
    [sym__automatic_semicolon] = ACTIONS(620),
    [sym__ternary_qmark] = ACTIONS(618),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(755),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1319),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_spread_element] = STATE(1304),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1303),
    [aux_sym_array_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(622),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(755),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1319),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_spread_element] = STATE(1304),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1303),
    [aux_sym_array_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(624),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(673),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1319),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_spread_element] = STATE(1320),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1328),
    [aux_sym_array_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(626),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(628),
    [sym_identifier] = ACTIONS(630),
    [anon_sym_export] = ACTIONS(630),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_default] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_COMMA] = ACTIONS(628),
    [anon_sym_RBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(630),
    [anon_sym_with] = ACTIONS(630),
    [anon_sym_var] = ACTIONS(630),
    [anon_sym_let] = ACTIONS(630),
    [anon_sym_const] = ACTIONS(630),
    [anon_sym_else] = ACTIONS(630),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(630),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_in] = ACTIONS(630),
    [anon_sym_while] = ACTIONS(630),
    [anon_sym_do] = ACTIONS(630),
    [anon_sym_try] = ACTIONS(630),
    [anon_sym_break] = ACTIONS(630),
    [anon_sym_continue] = ACTIONS(630),
    [anon_sym_debugger] = ACTIONS(630),
    [anon_sym_return] = ACTIONS(630),
    [anon_sym_throw] = ACTIONS(630),
    [anon_sym_SEMI] = ACTIONS(628),
    [anon_sym_case] = ACTIONS(630),
    [anon_sym_yield] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(628),
    [sym_glimmer_opening_tag] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(630),
    [anon_sym_GT] = ACTIONS(630),
    [anon_sym_DOT] = ACTIONS(630),
    [anon_sym_DQUOTE] = ACTIONS(628),
    [anon_sym_SQUOTE] = ACTIONS(628),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(630),
    [sym_optional_chain] = ACTIONS(628),
    [anon_sym_new] = ACTIONS(630),
    [anon_sym_AMP_AMP] = ACTIONS(628),
    [anon_sym_PIPE_PIPE] = ACTIONS(628),
    [anon_sym_GT_GT] = ACTIONS(630),
    [anon_sym_GT_GT_GT] = ACTIONS(628),
    [anon_sym_LT_LT] = ACTIONS(628),
    [anon_sym_AMP] = ACTIONS(630),
    [anon_sym_CARET] = ACTIONS(628),
    [anon_sym_PIPE] = ACTIONS(630),
    [anon_sym_PLUS] = ACTIONS(630),
    [anon_sym_DASH] = ACTIONS(630),
    [anon_sym_SLASH] = ACTIONS(630),
    [anon_sym_PERCENT] = ACTIONS(628),
    [anon_sym_STAR_STAR] = ACTIONS(628),
    [anon_sym_LT_EQ] = ACTIONS(628),
    [anon_sym_EQ_EQ] = ACTIONS(630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(628),
    [anon_sym_BANG_EQ] = ACTIONS(630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(628),
    [anon_sym_GT_EQ] = ACTIONS(628),
    [anon_sym_QMARK_QMARK] = ACTIONS(628),
    [anon_sym_instanceof] = ACTIONS(630),
    [anon_sym_BANG] = ACTIONS(630),
    [anon_sym_TILDE] = ACTIONS(628),
    [anon_sym_typeof] = ACTIONS(630),
    [anon_sym_void] = ACTIONS(630),
    [anon_sym_delete] = ACTIONS(630),
    [anon_sym_PLUS_PLUS] = ACTIONS(628),
    [anon_sym_DASH_DASH] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(628),
    [sym_number] = ACTIONS(628),
    [sym_private_property_identifier] = ACTIONS(628),
    [sym_this] = ACTIONS(630),
    [sym_super] = ACTIONS(630),
    [sym_true] = ACTIONS(630),
    [sym_false] = ACTIONS(630),
    [sym_null] = ACTIONS(630),
    [sym_undefined] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(628),
    [anon_sym_static] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(630),
    [anon_sym_set] = ACTIONS(630),
    [sym__automatic_semicolon] = ACTIONS(628),
    [sym__ternary_qmark] = ACTIONS(628),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(673),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1319),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_spread_element] = STATE(1320),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1328),
    [aux_sym_array_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(560),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(528),
    [sym_identifier] = ACTIONS(530),
    [anon_sym_export] = ACTIONS(530),
    [anon_sym_STAR] = ACTIONS(530),
    [anon_sym_default] = ACTIONS(530),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_COMMA] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_import] = ACTIONS(530),
    [anon_sym_with] = ACTIONS(530),
    [anon_sym_var] = ACTIONS(530),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_else] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(530),
    [anon_sym_for] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(530),
    [anon_sym_in] = ACTIONS(530),
    [anon_sym_while] = ACTIONS(530),
    [anon_sym_do] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(530),
    [anon_sym_break] = ACTIONS(530),
    [anon_sym_continue] = ACTIONS(530),
    [anon_sym_debugger] = ACTIONS(530),
    [anon_sym_return] = ACTIONS(530),
    [anon_sym_throw] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_case] = ACTIONS(530),
    [anon_sym_yield] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(528),
    [sym_glimmer_opening_tag] = ACTIONS(528),
    [anon_sym_LT] = ACTIONS(530),
    [anon_sym_GT] = ACTIONS(530),
    [anon_sym_DOT] = ACTIONS(530),
    [anon_sym_DQUOTE] = ACTIONS(528),
    [anon_sym_SQUOTE] = ACTIONS(528),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(530),
    [anon_sym_function] = ACTIONS(530),
    [sym_optional_chain] = ACTIONS(528),
    [anon_sym_new] = ACTIONS(530),
    [anon_sym_AMP_AMP] = ACTIONS(528),
    [anon_sym_PIPE_PIPE] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(530),
    [anon_sym_GT_GT_GT] = ACTIONS(528),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_AMP] = ACTIONS(530),
    [anon_sym_CARET] = ACTIONS(528),
    [anon_sym_PIPE] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(530),
    [anon_sym_PERCENT] = ACTIONS(528),
    [anon_sym_STAR_STAR] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(528),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(528),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(528),
    [anon_sym_GT_EQ] = ACTIONS(528),
    [anon_sym_QMARK_QMARK] = ACTIONS(528),
    [anon_sym_instanceof] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(530),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(530),
    [anon_sym_void] = ACTIONS(530),
    [anon_sym_delete] = ACTIONS(530),
    [anon_sym_PLUS_PLUS] = ACTIONS(528),
    [anon_sym_DASH_DASH] = ACTIONS(528),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(528),
    [sym_number] = ACTIONS(528),
    [sym_private_property_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(530),
    [sym_super] = ACTIONS(530),
    [sym_true] = ACTIONS(530),
    [sym_false] = ACTIONS(530),
    [sym_null] = ACTIONS(530),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(528),
    [anon_sym_static] = ACTIONS(530),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
    [sym__automatic_semicolon] = ACTIONS(528),
    [sym__ternary_qmark] = ACTIONS(528),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(632),
    [sym_identifier] = ACTIONS(634),
    [anon_sym_export] = ACTIONS(634),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_default] = ACTIONS(634),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(638),
    [anon_sym_RBRACE] = ACTIONS(632),
    [anon_sym_import] = ACTIONS(634),
    [anon_sym_with] = ACTIONS(634),
    [anon_sym_var] = ACTIONS(634),
    [anon_sym_let] = ACTIONS(634),
    [anon_sym_const] = ACTIONS(634),
    [anon_sym_else] = ACTIONS(634),
    [anon_sym_if] = ACTIONS(634),
    [anon_sym_switch] = ACTIONS(634),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(632),
    [anon_sym_await] = ACTIONS(634),
    [anon_sym_in] = ACTIONS(636),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(634),
    [anon_sym_try] = ACTIONS(634),
    [anon_sym_break] = ACTIONS(634),
    [anon_sym_continue] = ACTIONS(634),
    [anon_sym_debugger] = ACTIONS(634),
    [anon_sym_return] = ACTIONS(634),
    [anon_sym_throw] = ACTIONS(634),
    [anon_sym_SEMI] = ACTIONS(632),
    [anon_sym_case] = ACTIONS(634),
    [anon_sym_yield] = ACTIONS(634),
    [anon_sym_LBRACK] = ACTIONS(632),
    [sym_glimmer_opening_tag] = ACTIONS(632),
    [anon_sym_LT] = ACTIONS(634),
    [anon_sym_GT] = ACTIONS(636),
    [anon_sym_DOT] = ACTIONS(636),
    [anon_sym_DQUOTE] = ACTIONS(632),
    [anon_sym_SQUOTE] = ACTIONS(632),
    [anon_sym_class] = ACTIONS(634),
    [anon_sym_async] = ACTIONS(634),
    [anon_sym_function] = ACTIONS(634),
    [sym_optional_chain] = ACTIONS(638),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_AMP_AMP] = ACTIONS(638),
    [anon_sym_PIPE_PIPE] = ACTIONS(638),
    [anon_sym_GT_GT] = ACTIONS(636),
    [anon_sym_GT_GT_GT] = ACTIONS(638),
    [anon_sym_LT_LT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_CARET] = ACTIONS(638),
    [anon_sym_PIPE] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(634),
    [anon_sym_DASH] = ACTIONS(634),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(638),
    [anon_sym_STAR_STAR] = ACTIONS(638),
    [anon_sym_LT_EQ] = ACTIONS(638),
    [anon_sym_EQ_EQ] = ACTIONS(636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(638),
    [anon_sym_BANG_EQ] = ACTIONS(636),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(638),
    [anon_sym_GT_EQ] = ACTIONS(638),
    [anon_sym_QMARK_QMARK] = ACTIONS(638),
    [anon_sym_instanceof] = ACTIONS(636),
    [anon_sym_BANG] = ACTIONS(634),
    [anon_sym_TILDE] = ACTIONS(632),
    [anon_sym_typeof] = ACTIONS(634),
    [anon_sym_void] = ACTIONS(634),
    [anon_sym_delete] = ACTIONS(634),
    [anon_sym_PLUS_PLUS] = ACTIONS(632),
    [anon_sym_DASH_DASH] = ACTIONS(632),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(632),
    [sym_number] = ACTIONS(632),
    [sym_private_property_identifier] = ACTIONS(632),
    [sym_this] = ACTIONS(634),
    [sym_super] = ACTIONS(634),
    [sym_true] = ACTIONS(634),
    [sym_false] = ACTIONS(634),
    [sym_null] = ACTIONS(634),
    [sym_undefined] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(632),
    [anon_sym_static] = ACTIONS(634),
    [anon_sym_get] = ACTIONS(634),
    [anon_sym_set] = ACTIONS(634),
    [sym__automatic_semicolon] = ACTIONS(640),
    [sym__ternary_qmark] = ACTIONS(638),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_declaration] = STATE(380),
    [sym_import] = STATE(1118),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(760),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_declaration] = STATE(340),
    [sym_import] = STATE(1118),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(763),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_declaration] = STATE(340),
    [sym_import] = STATE(1118),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(763),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1255),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_import] = STATE(1118),
    [sym_expression_statement] = STATE(97),
    [sym_variable_declaration] = STATE(97),
    [sym_lexical_declaration] = STATE(97),
    [sym_empty_statement] = STATE(97),
    [sym_parenthesized_expression] = STATE(461),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1314),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1314),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1314),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(648),
    [anon_sym_export] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(654),
    [anon_sym_let] = ACTIONS(656),
    [anon_sym_const] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(660),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(650),
    [anon_sym_get] = ACTIONS(650),
    [anon_sym_set] = ACTIONS(650),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_declaration] = STATE(380),
    [sym_import] = STATE(1118),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(760),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_class_declaration] = STATE(396),
    [sym_function_expression] = STATE(659),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function] = STATE(659),
    [sym_generator_function_declaration] = STATE(396),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1255),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_import] = STATE(1118),
    [sym_expression_statement] = STATE(94),
    [sym_variable_declaration] = STATE(94),
    [sym_lexical_declaration] = STATE(94),
    [sym_empty_statement] = STATE(94),
    [sym_parenthesized_expression] = STATE(461),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1314),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1314),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1314),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(648),
    [anon_sym_export] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(654),
    [anon_sym_let] = ACTIONS(656),
    [anon_sym_const] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(660),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(650),
    [anon_sym_get] = ACTIONS(650),
    [anon_sym_set] = ACTIONS(650),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(719),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1599),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_spread_element] = STATE(1337),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1349),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(666),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [anon_sym_RBRACK] = ACTIONS(666),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1159),
    [sym_assignment_pattern] = STATE(1271),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1159),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1209),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(679),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1159),
    [sym_assignment_pattern] = STATE(1319),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1159),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(687),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1319),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(474),
    [sym_subscript_expression] = STATE(474),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_pattern_repeat1] = STATE(1330),
    [sym_identifier] = ACTIONS(689),
    [anon_sym_export] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(695),
    [anon_sym_RBRACK] = ACTIONS(687),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(691),
    [anon_sym_get] = ACTIONS(691),
    [anon_sym_set] = ACTIONS(691),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(656),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1306),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1635),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1185),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1159),
    [sym_assignment_pattern] = STATE(1599),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1159),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1349),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(703),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(703),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(754),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1306),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1664),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1185),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1159),
    [sym_assignment_pattern] = STATE(1567),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1159),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1288),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(705),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(719),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_spread_element] = STATE(1337),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(707),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(707),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_RBRACK] = ACTIONS(707),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(731),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_spread_element] = STATE(1278),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1276),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1159),
    [sym_assignment_pattern] = STATE(1306),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1159),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1185),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(711),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_spread_element] = STATE(1261),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1260),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1159),
    [sym_assignment_pattern] = STATE(1567),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1159),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1288),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(717),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(701),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_spread_element] = STATE(1300),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [aux_sym_array_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(1118),
    [sym_expression_statement] = STATE(104),
    [sym_empty_statement] = STATE(104),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_spread_element] = STATE(1665),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1665),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(721),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(783),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1160),
    [sym_assignment_pattern] = STATE(1565),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1160),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(460),
    [sym_subscript_expression] = STATE(460),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1160),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [sym_pattern] = STATE(1310),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(562),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(1118),
    [sym_expression_statement] = STATE(102),
    [sym_empty_statement] = STATE(102),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1367),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1159),
    [sym_assignment_pattern] = STATE(1565),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1159),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1310),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(729),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_spread_element] = STATE(1608),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1608),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(723),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1159),
    [sym_assignment_pattern] = STATE(1567),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1159),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [sym_pattern] = STATE(1288),
    [sym_rest_pattern] = STATE(1153),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(619),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1428),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(725),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym__automatic_semicolon] = ACTIONS(725),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(662),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1626),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(476),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1289),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1289),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(476),
    [sym_subscript_expression] = STATE(476),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1289),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(735),
    [anon_sym_let] = ACTIONS(737),
    [anon_sym_const] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(741),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(743),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(745),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(724),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1624),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(660),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(628),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(523),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(797),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(504),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(787),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(547),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(799),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(689),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1602),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(547),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(548),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(743),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1690),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(504),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(505),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(504),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(811),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(523),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(524),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(431),
    [sym_expression] = STATE(829),
    [sym_primary_expression] = STATE(600),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(599),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(431),
    [sym_subscript_expression] = STATE(431),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(755),
    [anon_sym_export] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(761),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(757),
    [anon_sym_get] = ACTIONS(757),
    [anon_sym_set] = ACTIONS(757),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(523),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(782),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(690),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1646),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(679),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(588),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(709),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(604),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(487),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(483),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(765),
    [anon_sym_export] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(767),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(769),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(771),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(767),
    [anon_sym_get] = ACTIONS(767),
    [anon_sym_set] = ACTIONS(767),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(679),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(616),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(705),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1609),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(732),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1669),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(661),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(641),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(559),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(821),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(562),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(739),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1663),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(547),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(765),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(709),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(633),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(710),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1643),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(559),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(764),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(660),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(620),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(664),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(653),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(562),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(762),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(563),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(761),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(665),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(648),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(487),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(483),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(769),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_get] = ACTIONS(775),
    [anon_sym_set] = ACTIONS(775),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(722),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1670),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(664),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(634),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(665),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(636),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(431),
    [sym_expression] = STATE(829),
    [sym_primary_expression] = STATE(600),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(599),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(431),
    [sym_subscript_expression] = STATE(431),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(779),
    [anon_sym_export] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(781),
    [anon_sym_get] = ACTIONS(781),
    [anon_sym_set] = ACTIONS(781),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(487),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(483),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(769),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(621),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1429),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(672),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1638),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(721),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1634),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(717),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1633),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(713),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1632),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(563),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(818),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(563),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(564),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(562),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(490),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(675),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_sequence_expression] = STATE(1611),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(1133),
    [sym_statement_block] = STATE(559),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(560),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(1118),
    [sym_statement_block] = STATE(661),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(626),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(532),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(478),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(770),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(806),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(495),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(581),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(581),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(817),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(585),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(630),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(605),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(481),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(495),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(527),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(783),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(807),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(759),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(813),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(766),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(638),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(640),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(647),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(649),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(651),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(652),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(584),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(572),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(618),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(768),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(769),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(622),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(772),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(603),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(631),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(583),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(637),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(822),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(625),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(639),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(774),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(624),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1158),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1158),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1158),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(785),
    [anon_sym_export] = ACTIONS(787),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(789),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(791),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(787),
    [anon_sym_get] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(787),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(643),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(594),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(775),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(808),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(590),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(669),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(776),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(591),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(623),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(650),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(627),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(612),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(610),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(608),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(607),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(606),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(629),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(777),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(789),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(614),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(481),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(779),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(781),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(527),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(601),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(778),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(585),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1237),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1237),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(467),
    [sym_subscript_expression] = STATE(467),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1237),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(793),
    [anon_sym_export] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(797),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(799),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(795),
    [anon_sym_get] = ACTIONS(795),
    [anon_sym_set] = ACTIONS(795),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(735),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(546),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(542),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(541),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(540),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(539),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(785),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(481),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(756),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(538),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(537),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(536),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(535),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(534),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(533),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(479),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(803),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(531),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(525),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(816),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(788),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(602),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1620),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1620),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(995),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1620),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1621),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(420),
    [anon_sym_yield] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(436),
    [anon_sym_typeof] = ACTIONS(432),
    [anon_sym_void] = ACTIONS(432),
    [anon_sym_delete] = ACTIONS(432),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(440),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(442),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(522),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(814),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(794),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(800),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(823),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(786),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(592),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(812),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(479),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(809),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(478),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(993),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1692),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(482),
    [anon_sym_export] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(488),
    [anon_sym_yield] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(492),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(498),
    [anon_sym_typeof] = ACTIONS(496),
    [anon_sym_void] = ACTIONS(496),
    [anon_sym_delete] = ACTIONS(496),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(502),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(504),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(484),
    [anon_sym_get] = ACTIONS(484),
    [anon_sym_set] = ACTIONS(484),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(801),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(511),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(596),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(792),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(793),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(810),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(478),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(479),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(440),
    [sym_expression] = STATE(503),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1648),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1648),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(989),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1648),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1650),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(820),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1118),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(595),
    [sym_primary_expression] = STATE(654),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(659),
    [sym_object_pattern] = STATE(1684),
    [sym_array] = STATE(659),
    [sym_array_pattern] = STATE(1684),
    [sym_glimmer_template] = STATE(707),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_opening_element] = STATE(1011),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(659),
    [sym_function_expression] = STATE(659),
    [sym_generator_function] = STATE(659),
    [sym_arrow_function] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(991),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1684),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(659),
    [sym_template_string] = STATE(659),
    [sym_regex] = STATE(659),
    [sym_meta_property] = STATE(659),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1682),
    [aux_sym_export_statement_repeat1] = STATE(1187),
    [sym_identifier] = ACTIONS(444),
    [anon_sym_export] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(446),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(424),
    [anon_sym_async] = ACTIONS(450),
    [anon_sym_function] = ACTIONS(428),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(446),
    [anon_sym_get] = ACTIONS(446),
    [anon_sym_set] = ACTIONS(446),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1133),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(804),
    [sym_primary_expression] = STATE(498),
    [sym_yield_expression] = STATE(497),
    [sym_object] = STATE(499),
    [sym_object_pattern] = STATE(1693),
    [sym_array] = STATE(499),
    [sym_array_pattern] = STATE(1693),
    [sym_glimmer_template] = STATE(497),
    [sym_jsx_element] = STATE(497),
    [sym_jsx_opening_element] = STATE(1018),
    [sym_jsx_self_closing_element] = STATE(497),
    [sym_class] = STATE(499),
    [sym_function_expression] = STATE(499),
    [sym_generator_function] = STATE(499),
    [sym_arrow_function] = STATE(499),
    [sym_call_expression] = STATE(499),
    [sym_new_expression] = STATE(497),
    [sym_await_expression] = STATE(497),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(497),
    [sym__augmented_assignment_lhs] = STATE(1010),
    [sym_augmented_assignment_expression] = STATE(497),
    [sym__destructuring_pattern] = STATE(1693),
    [sym_ternary_expression] = STATE(497),
    [sym_binary_expression] = STATE(497),
    [sym_unary_expression] = STATE(497),
    [sym_update_expression] = STATE(497),
    [sym_string] = STATE(499),
    [sym_template_string] = STATE(499),
    [sym_regex] = STATE(499),
    [sym_meta_property] = STATE(499),
    [sym_decorator] = STATE(953),
    [sym_formal_parameters] = STATE(1676),
    [aux_sym_export_statement_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(452),
    [anon_sym_export] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(460),
    [anon_sym_yield] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(464),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(466),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(474),
    [anon_sym_typeof] = ACTIONS(470),
    [anon_sym_void] = ACTIONS(470),
    [anon_sym_delete] = ACTIONS(470),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(478),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(454),
    [anon_sym_get] = ACTIONS(454),
    [anon_sym_set] = ACTIONS(454),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_namespace_export] = STATE(1369),
    [sym_export_clause] = STATE(1196),
    [sym_declaration] = STATE(356),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_class_declaration] = STATE(396),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function_declaration] = STATE(396),
    [sym_decorator] = STATE(953),
    [aux_sym_export_statement_repeat1] = STATE(1197),
    [aux_sym_object_repeat1] = STATE(1355),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_namespace_export] = STATE(1369),
    [sym_export_clause] = STATE(1196),
    [sym_declaration] = STATE(356),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_class_declaration] = STATE(396),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function_declaration] = STATE(396),
    [sym_decorator] = STATE(953),
    [aux_sym_export_statement_repeat1] = STATE(1197),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_namespace_export] = STATE(1369),
    [sym_export_clause] = STATE(1196),
    [sym_declaration] = STATE(356),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_class_declaration] = STATE(396),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function_declaration] = STATE(396),
    [sym_decorator] = STATE(953),
    [aux_sym_export_statement_repeat1] = STATE(1197),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_string] = STATE(1597),
    [sym_formal_parameters] = STATE(1655),
    [sym__property_name] = STATE(1597),
    [sym_computed_property_name] = STATE(1597),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(843),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_LPAREN] = ACTIONS(846),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(857),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(859),
    [sym_private_property_identifier] = ACTIONS(859),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(861),
    [anon_sym_set] = ACTIONS(861),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_string] = STATE(1597),
    [sym_formal_parameters] = STATE(1655),
    [sym__property_name] = STATE(1597),
    [sym_computed_property_name] = STATE(1597),
    [aux_sym_object_repeat1] = STATE(1355),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(843),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_LPAREN] = ACTIONS(846),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(857),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(859),
    [sym_private_property_identifier] = ACTIONS(859),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(861),
    [anon_sym_set] = ACTIONS(861),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_namespace_export] = STATE(1369),
    [sym_export_clause] = STATE(1196),
    [sym_declaration] = STATE(356),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_class_declaration] = STATE(396),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function_declaration] = STATE(396),
    [sym_decorator] = STATE(953),
    [aux_sym_export_statement_repeat1] = STATE(1197),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(863),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_string] = STATE(1597),
    [sym_formal_parameters] = STATE(1655),
    [sym__property_name] = STATE(1597),
    [sym_computed_property_name] = STATE(1597),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(843),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_LPAREN] = ACTIONS(846),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(857),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(859),
    [sym_private_property_identifier] = ACTIONS(859),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(861),
    [anon_sym_set] = ACTIONS(861),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_namespace_export] = STATE(1369),
    [sym_export_clause] = STATE(1196),
    [sym_declaration] = STATE(356),
    [sym_variable_declaration] = STATE(396),
    [sym_lexical_declaration] = STATE(396),
    [sym_class_declaration] = STATE(396),
    [sym_function_declaration] = STATE(396),
    [sym_generator_function_declaration] = STATE(396),
    [sym_decorator] = STATE(953),
    [aux_sym_export_statement_repeat1] = STATE(1197),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_var] = ACTIONS(811),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_const] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(827),
    [anon_sym_function] = ACTIONS(829),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_string] = STATE(1597),
    [sym__property_name] = STATE(1597),
    [sym_computed_property_name] = STATE(1597),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(843),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_async] = ACTIONS(873),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(859),
    [sym_private_property_identifier] = ACTIONS(859),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(875),
    [anon_sym_set] = ACTIONS(875),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_string] = STATE(1597),
    [sym__property_name] = STATE(1597),
    [sym_computed_property_name] = STATE(1597),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(859),
    [sym_private_property_identifier] = ACTIONS(859),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(871),
    [anon_sym_set] = ACTIONS(871),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_string] = STATE(1597),
    [sym__property_name] = STATE(1597),
    [sym_computed_property_name] = STATE(1597),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(859),
    [sym_private_property_identifier] = ACTIONS(859),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(871),
    [anon_sym_set] = ACTIONS(871),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_string] = STATE(1597),
    [sym__property_name] = STATE(1597),
    [sym_computed_property_name] = STATE(1597),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(843),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_async] = ACTIONS(873),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(859),
    [sym_private_property_identifier] = ACTIONS(859),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(875),
    [anon_sym_set] = ACTIONS(875),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_string] = STATE(1597),
    [sym__property_name] = STATE(1597),
    [sym_computed_property_name] = STATE(1597),
    [aux_sym_object_repeat1] = STATE(1355),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(843),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_async] = ACTIONS(873),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(859),
    [sym_private_property_identifier] = ACTIONS(859),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(875),
    [anon_sym_set] = ACTIONS(875),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_string] = STATE(1597),
    [sym__property_name] = STATE(1597),
    [sym_computed_property_name] = STATE(1597),
    [aux_sym_object_repeat1] = STATE(1355),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(871),
    [anon_sym_export] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym_number] = ACTIONS(859),
    [sym_private_property_identifier] = ACTIONS(859),
    [anon_sym_static] = ACTIONS(871),
    [anon_sym_get] = ACTIONS(871),
    [anon_sym_set] = ACTIONS(871),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_catch_clause] = STATE(312),
    [sym_finally_clause] = STATE(373),
    [ts_builtin_sym_end] = ACTIONS(877),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_default] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_RBRACE] = ACTIONS(877),
    [anon_sym_import] = ACTIONS(879),
    [anon_sym_with] = ACTIONS(879),
    [anon_sym_var] = ACTIONS(879),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_const] = ACTIONS(879),
    [anon_sym_else] = ACTIONS(879),
    [anon_sym_if] = ACTIONS(879),
    [anon_sym_switch] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_await] = ACTIONS(879),
    [anon_sym_while] = ACTIONS(879),
    [anon_sym_do] = ACTIONS(879),
    [anon_sym_try] = ACTIONS(879),
    [anon_sym_break] = ACTIONS(879),
    [anon_sym_continue] = ACTIONS(879),
    [anon_sym_debugger] = ACTIONS(879),
    [anon_sym_return] = ACTIONS(879),
    [anon_sym_throw] = ACTIONS(879),
    [anon_sym_SEMI] = ACTIONS(877),
    [anon_sym_case] = ACTIONS(879),
    [anon_sym_catch] = ACTIONS(881),
    [anon_sym_finally] = ACTIONS(883),
    [anon_sym_yield] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(877),
    [sym_glimmer_opening_tag] = ACTIONS(877),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(877),
    [anon_sym_SQUOTE] = ACTIONS(877),
    [anon_sym_class] = ACTIONS(879),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_function] = ACTIONS(879),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_SLASH] = ACTIONS(879),
    [anon_sym_BANG] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(877),
    [anon_sym_typeof] = ACTIONS(879),
    [anon_sym_void] = ACTIONS(879),
    [anon_sym_delete] = ACTIONS(879),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(877),
    [sym_number] = ACTIONS(877),
    [sym_private_property_identifier] = ACTIONS(877),
    [sym_this] = ACTIONS(879),
    [sym_super] = ACTIONS(879),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [sym_null] = ACTIONS(879),
    [sym_undefined] = ACTIONS(879),
    [anon_sym_AT] = ACTIONS(877),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(506),
    [sym_identifier] = ACTIONS(508),
    [anon_sym_export] = ACTIONS(508),
    [anon_sym_default] = ACTIONS(508),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_COMMA] = ACTIONS(506),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_import] = ACTIONS(508),
    [anon_sym_with] = ACTIONS(508),
    [anon_sym_var] = ACTIONS(508),
    [anon_sym_let] = ACTIONS(508),
    [anon_sym_const] = ACTIONS(508),
    [anon_sym_else] = ACTIONS(508),
    [anon_sym_if] = ACTIONS(508),
    [anon_sym_switch] = ACTIONS(508),
    [anon_sym_for] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_await] = ACTIONS(508),
    [anon_sym_while] = ACTIONS(508),
    [anon_sym_do] = ACTIONS(508),
    [anon_sym_try] = ACTIONS(508),
    [anon_sym_break] = ACTIONS(508),
    [anon_sym_continue] = ACTIONS(508),
    [anon_sym_debugger] = ACTIONS(508),
    [anon_sym_return] = ACTIONS(508),
    [anon_sym_throw] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(506),
    [anon_sym_case] = ACTIONS(508),
    [anon_sym_catch] = ACTIONS(508),
    [anon_sym_finally] = ACTIONS(508),
    [anon_sym_yield] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(506),
    [sym_glimmer_opening_tag] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_DQUOTE] = ACTIONS(506),
    [anon_sym_SQUOTE] = ACTIONS(506),
    [anon_sym_class] = ACTIONS(508),
    [anon_sym_async] = ACTIONS(508),
    [anon_sym_function] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(508),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(508),
    [anon_sym_BANG] = ACTIONS(506),
    [anon_sym_TILDE] = ACTIONS(506),
    [anon_sym_typeof] = ACTIONS(508),
    [anon_sym_void] = ACTIONS(508),
    [anon_sym_delete] = ACTIONS(508),
    [anon_sym_PLUS_PLUS] = ACTIONS(506),
    [anon_sym_DASH_DASH] = ACTIONS(506),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(506),
    [sym_number] = ACTIONS(506),
    [sym_private_property_identifier] = ACTIONS(506),
    [sym_this] = ACTIONS(508),
    [sym_super] = ACTIONS(508),
    [sym_true] = ACTIONS(508),
    [sym_false] = ACTIONS(508),
    [sym_null] = ACTIONS(508),
    [sym_undefined] = ACTIONS(508),
    [anon_sym_AT] = ACTIONS(506),
    [anon_sym_static] = ACTIONS(508),
    [anon_sym_get] = ACTIONS(508),
    [anon_sym_set] = ACTIONS(508),
    [sym__automatic_semicolon] = ACTIONS(516),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_formal_parameters] = STATE(1659),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_formal_parameters] = STATE(1659),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(528),
    [sym_identifier] = ACTIONS(530),
    [anon_sym_export] = ACTIONS(530),
    [anon_sym_default] = ACTIONS(530),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_COMMA] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_import] = ACTIONS(530),
    [anon_sym_with] = ACTIONS(530),
    [anon_sym_var] = ACTIONS(530),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_else] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(530),
    [anon_sym_for] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(530),
    [anon_sym_while] = ACTIONS(530),
    [anon_sym_do] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(530),
    [anon_sym_break] = ACTIONS(530),
    [anon_sym_continue] = ACTIONS(530),
    [anon_sym_debugger] = ACTIONS(530),
    [anon_sym_return] = ACTIONS(530),
    [anon_sym_throw] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_case] = ACTIONS(530),
    [anon_sym_catch] = ACTIONS(530),
    [anon_sym_finally] = ACTIONS(530),
    [anon_sym_yield] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(528),
    [sym_glimmer_opening_tag] = ACTIONS(528),
    [anon_sym_LT] = ACTIONS(530),
    [anon_sym_DQUOTE] = ACTIONS(528),
    [anon_sym_SQUOTE] = ACTIONS(528),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(530),
    [anon_sym_function] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(530),
    [anon_sym_void] = ACTIONS(530),
    [anon_sym_delete] = ACTIONS(530),
    [anon_sym_PLUS_PLUS] = ACTIONS(528),
    [anon_sym_DASH_DASH] = ACTIONS(528),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(528),
    [sym_number] = ACTIONS(528),
    [sym_private_property_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(530),
    [sym_super] = ACTIONS(530),
    [sym_true] = ACTIONS(530),
    [sym_false] = ACTIONS(530),
    [sym_null] = ACTIONS(530),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(528),
    [anon_sym_static] = ACTIONS(530),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
    [sym__automatic_semicolon] = ACTIONS(900),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_formal_parameters] = STATE(1616),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_of] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(908),
    [anon_sym_EQ_GT] = ACTIONS(910),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(528),
    [sym_identifier] = ACTIONS(530),
    [anon_sym_export] = ACTIONS(530),
    [anon_sym_default] = ACTIONS(530),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_COMMA] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_import] = ACTIONS(530),
    [anon_sym_with] = ACTIONS(530),
    [anon_sym_var] = ACTIONS(530),
    [anon_sym_let] = ACTIONS(530),
    [anon_sym_const] = ACTIONS(530),
    [anon_sym_else] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(530),
    [anon_sym_switch] = ACTIONS(530),
    [anon_sym_for] = ACTIONS(530),
    [anon_sym_LPAREN] = ACTIONS(528),
    [anon_sym_await] = ACTIONS(530),
    [anon_sym_while] = ACTIONS(530),
    [anon_sym_do] = ACTIONS(530),
    [anon_sym_try] = ACTIONS(530),
    [anon_sym_break] = ACTIONS(530),
    [anon_sym_continue] = ACTIONS(530),
    [anon_sym_debugger] = ACTIONS(530),
    [anon_sym_return] = ACTIONS(530),
    [anon_sym_throw] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(528),
    [anon_sym_case] = ACTIONS(530),
    [anon_sym_catch] = ACTIONS(530),
    [anon_sym_finally] = ACTIONS(530),
    [anon_sym_yield] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(528),
    [sym_glimmer_opening_tag] = ACTIONS(528),
    [anon_sym_LT] = ACTIONS(530),
    [anon_sym_DQUOTE] = ACTIONS(528),
    [anon_sym_SQUOTE] = ACTIONS(528),
    [anon_sym_class] = ACTIONS(530),
    [anon_sym_async] = ACTIONS(530),
    [anon_sym_function] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(530),
    [anon_sym_PLUS] = ACTIONS(530),
    [anon_sym_DASH] = ACTIONS(530),
    [anon_sym_SLASH] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(530),
    [anon_sym_void] = ACTIONS(530),
    [anon_sym_delete] = ACTIONS(530),
    [anon_sym_PLUS_PLUS] = ACTIONS(528),
    [anon_sym_DASH_DASH] = ACTIONS(528),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(528),
    [sym_number] = ACTIONS(528),
    [sym_private_property_identifier] = ACTIONS(528),
    [sym_this] = ACTIONS(530),
    [sym_super] = ACTIONS(530),
    [sym_true] = ACTIONS(530),
    [sym_false] = ACTIONS(530),
    [sym_null] = ACTIONS(530),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(528),
    [anon_sym_static] = ACTIONS(530),
    [anon_sym_get] = ACTIONS(530),
    [anon_sym_set] = ACTIONS(530),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_variable_declarator] = STATE(1203),
    [sym_object_pattern] = STATE(1140),
    [sym_array_pattern] = STATE(1140),
    [sym__destructuring_pattern] = STATE(1140),
    [aux_sym_object_repeat1] = STATE(1355),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_formal_parameters] = STATE(1655),
    [sym_identifier] = ACTIONS(918),
    [anon_sym_export] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(908),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_get] = ACTIONS(920),
    [anon_sym_set] = ACTIONS(920),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_variable_declarator] = STATE(1203),
    [sym_object_pattern] = STATE(1140),
    [sym_array_pattern] = STATE(1140),
    [sym__destructuring_pattern] = STATE(1140),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_formal_parameters] = STATE(1683),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(926),
    [anon_sym_RBRACE] = ACTIONS(926),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(926),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(928),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_formal_parameters] = STATE(1659),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(930),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(930),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(930),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_formal_parameters] = STATE(1683),
    [sym_identifier] = ACTIONS(922),
    [anon_sym_export] = ACTIONS(924),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(936),
    [anon_sym_RBRACE] = ACTIONS(936),
    [anon_sym_let] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(936),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(938),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(924),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(928),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_get] = ACTIONS(924),
    [anon_sym_set] = ACTIONS(924),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_formal_parameters] = STATE(1655),
    [sym_identifier] = ACTIONS(918),
    [anon_sym_export] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(941),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_get] = ACTIONS(920),
    [anon_sym_set] = ACTIONS(920),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_formal_parameters] = STATE(1655),
    [sym_identifier] = ACTIONS(918),
    [anon_sym_export] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(863),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(857),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_get] = ACTIONS(920),
    [anon_sym_set] = ACTIONS(920),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(628),
    [sym_identifier] = ACTIONS(630),
    [anon_sym_export] = ACTIONS(630),
    [anon_sym_default] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_COMMA] = ACTIONS(628),
    [anon_sym_RBRACE] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(630),
    [anon_sym_with] = ACTIONS(630),
    [anon_sym_var] = ACTIONS(630),
    [anon_sym_let] = ACTIONS(630),
    [anon_sym_const] = ACTIONS(630),
    [anon_sym_else] = ACTIONS(630),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(630),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_while] = ACTIONS(630),
    [anon_sym_do] = ACTIONS(630),
    [anon_sym_try] = ACTIONS(630),
    [anon_sym_break] = ACTIONS(630),
    [anon_sym_continue] = ACTIONS(630),
    [anon_sym_debugger] = ACTIONS(630),
    [anon_sym_return] = ACTIONS(630),
    [anon_sym_throw] = ACTIONS(630),
    [anon_sym_SEMI] = ACTIONS(628),
    [anon_sym_case] = ACTIONS(630),
    [anon_sym_catch] = ACTIONS(630),
    [anon_sym_finally] = ACTIONS(630),
    [anon_sym_yield] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(628),
    [sym_glimmer_opening_tag] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(630),
    [anon_sym_DQUOTE] = ACTIONS(628),
    [anon_sym_SQUOTE] = ACTIONS(628),
    [anon_sym_class] = ACTIONS(630),
    [anon_sym_async] = ACTIONS(630),
    [anon_sym_function] = ACTIONS(630),
    [anon_sym_new] = ACTIONS(630),
    [anon_sym_PLUS] = ACTIONS(630),
    [anon_sym_DASH] = ACTIONS(630),
    [anon_sym_SLASH] = ACTIONS(630),
    [anon_sym_BANG] = ACTIONS(628),
    [anon_sym_TILDE] = ACTIONS(628),
    [anon_sym_typeof] = ACTIONS(630),
    [anon_sym_void] = ACTIONS(630),
    [anon_sym_delete] = ACTIONS(630),
    [anon_sym_PLUS_PLUS] = ACTIONS(628),
    [anon_sym_DASH_DASH] = ACTIONS(628),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(628),
    [sym_number] = ACTIONS(628),
    [sym_private_property_identifier] = ACTIONS(628),
    [sym_this] = ACTIONS(630),
    [sym_super] = ACTIONS(630),
    [sym_true] = ACTIONS(630),
    [sym_false] = ACTIONS(630),
    [sym_null] = ACTIONS(630),
    [sym_undefined] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(628),
    [anon_sym_static] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(630),
    [anon_sym_set] = ACTIONS(630),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_formal_parameters] = STATE(1655),
    [sym_identifier] = ACTIONS(918),
    [anon_sym_export] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(943),
    [anon_sym_of] = ACTIONS(946),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(908),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_get] = ACTIONS(920),
    [anon_sym_set] = ACTIONS(920),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_formal_parameters] = STATE(1616),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_of] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(904),
    [anon_sym_function] = ACTIONS(908),
    [anon_sym_EQ_GT] = ACTIONS(910),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_get] = ACTIONS(904),
    [anon_sym_set] = ACTIONS(904),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_formal_parameters] = STATE(1655),
    [sym_identifier] = ACTIONS(918),
    [anon_sym_export] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(908),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_get] = ACTIONS(920),
    [anon_sym_set] = ACTIONS(920),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_variable_declarator] = STATE(1203),
    [sym_object_pattern] = STATE(1140),
    [sym_array_pattern] = STATE(1140),
    [sym__destructuring_pattern] = STATE(1140),
    [aux_sym_object_repeat1] = STATE(1295),
    [aux_sym_object_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(818),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_COLON] = ACTIONS(820),
    [anon_sym_EQ] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(807),
    [anon_sym_EQ_GT] = ACTIONS(831),
    [sym_optional_chain] = ACTIONS(807),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_GT_GT_GT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_STAR_STAR] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(807),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(807),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(807),
    [anon_sym_GT_EQ] = ACTIONS(807),
    [anon_sym_QMARK_QMARK] = ACTIONS(818),
    [anon_sym_instanceof] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(807),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym__ternary_qmark] = ACTIONS(807),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(885), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    STATE(1659), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(948), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(887), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89] = 5,
    ACTIONS(883), 1,
      anon_sym_finally,
    STATE(371), 1,
      sym_finally_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(951), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(953), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [164] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(955), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(957), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [234] = 4,
    ACTIONS(620), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(612), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(614), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [306] = 4,
    ACTIONS(552), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(544), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(546), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [378] = 4,
    ACTIONS(610), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(602), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(604), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [450] = 11,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(918), 1,
      sym_identifier,
    ACTIONS(941), 1,
      anon_sym_function,
    STATE(1655), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(920), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [536] = 13,
    ACTIONS(885), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_RBRACK,
    ACTIONS(933), 1,
      anon_sym_EQ,
    ACTIONS(936), 1,
      anon_sym_COMMA,
    STATE(1659), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(887), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [626] = 4,
    ACTIONS(574), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(566), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(568), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [698] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(922), 1,
      sym_identifier,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    STATE(1683), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(924), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [784] = 4,
    ACTIONS(542), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(534), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(536), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [856] = 11,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(857), 1,
      anon_sym_function,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(918), 1,
      sym_identifier,
    STATE(1655), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(920), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [942] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(528), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(530), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1012] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(963), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(959), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(961), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1084] = 4,
    ACTIONS(965), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(528), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(530), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1156] = 4,
    ACTIONS(640), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(632), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(634), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1228] = 4,
    ACTIONS(967), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(506), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(508), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1300] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(969), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(971), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1370] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(973), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(975), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1440] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(628), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(630), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1510] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(578), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(580), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1580] = 5,
    ACTIONS(981), 1,
      anon_sym_else,
    STATE(363), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(977), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(979), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1654] = 4,
    ACTIONS(598), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(590), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(592), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1726] = 4,
    ACTIONS(526), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(518), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(520), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1798] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(983), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(985), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1868] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(582), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(584), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1938] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(987), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(989), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2008] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(991), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(993), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2077] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(995), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(997), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2146] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(999), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1001), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2215] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1003), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1005), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2284] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1007), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1009), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2353] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1007), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1009), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2422] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1011), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1013), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2491] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1015), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1017), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2560] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1019), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1021), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2629] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1007), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1009), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2698] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1023), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1025), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2767] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1007), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1009), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2836] = 13,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(914), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(943), 1,
      anon_sym_in,
    ACTIONS(946), 1,
      anon_sym_of,
    ACTIONS(1027), 1,
      sym_identifier,
    STATE(1203), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1078), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(807), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2925] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1007), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1009), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2994] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1029), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1031), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3063] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1007), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1009), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3132] = 12,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(863), 1,
      anon_sym_COLON,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(912), 1,
      sym_identifier,
    ACTIONS(914), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    STATE(1203), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1140), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(807), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3219] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1033), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1035), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3288] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1037), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1039), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3357] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1041), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1043), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3426] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1033), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1035), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3495] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1045), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1047), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3564] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1049), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1051), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3633] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1053), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1055), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3702] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1057), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1059), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3771] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1061), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1063), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3840] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1065), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1067), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3909] = 13,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(922), 1,
      sym_identifier,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(943), 1,
      anon_sym_in,
    ACTIONS(946), 1,
      anon_sym_of,
    STATE(1683), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(924), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3998] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_EQ_GT,
    STATE(1679), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1071), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4083] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1075), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1077), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4152] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1079), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1081), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4221] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1083), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1085), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4290] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1087), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1089), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4359] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1091), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1093), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4428] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1095), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1097), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4497] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1099), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1101), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1103), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1105), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4635] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1107), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1109), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4704] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1111), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1113), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4773] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1115), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1117), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4842] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1119), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1121), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4911] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1123), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1125), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4980] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1127), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1129), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5049] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1131), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1133), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5118] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1135), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1137), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5187] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1139), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1141), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5256] = 12,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(869), 1,
      anon_sym_COLON,
    ACTIONS(912), 1,
      sym_identifier,
    ACTIONS(914), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    STATE(1203), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1140), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(807), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [5343] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_EQ_GT,
    ACTIONS(1143), 1,
      anon_sym_EQ,
    STATE(1679), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1071), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [5428] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1145), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1147), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5497] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1145), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1147), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1149), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1151), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5635] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1153), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1155), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5704] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1157), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1159), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5773] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1161), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1163), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5842] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1165), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1167), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5911] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1169), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1171), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5980] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1165), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1167), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6049] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1173), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1175), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6118] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1177), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1179), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6187] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1181), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1183), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6256] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1185), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1187), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6325] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1189), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1191), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6394] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1193), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1195), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6463] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1197), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1199), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6532] = 11,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(912), 1,
      sym_identifier,
    ACTIONS(914), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    STATE(1203), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1140), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(807), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6615] = 11,
    ACTIONS(820), 1,
      anon_sym_COLON,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(1205), 1,
      anon_sym_LPAREN,
    ACTIONS(1208), 1,
      anon_sym_EQ,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6697] = 11,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(820), 1,
      anon_sym_COLON,
    ACTIONS(1205), 1,
      anon_sym_LPAREN,
    ACTIONS(1208), 1,
      anon_sym_EQ,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    STATE(1355), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6779] = 11,
    ACTIONS(820), 1,
      anon_sym_COLON,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(1205), 1,
      anon_sym_LPAREN,
    ACTIONS(1208), 1,
      anon_sym_EQ,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6861] = 5,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1203), 20,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6930] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1216), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1218), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6995] = 12,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(943), 1,
      anon_sym_in,
    ACTIONS(946), 1,
      anon_sym_of,
    ACTIONS(1220), 1,
      sym_identifier,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1224), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1491), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(807), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [7078] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1227), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1229), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7143] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1231), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1233), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7208] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(971), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(969), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7273] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1237), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7338] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1241), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7403] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1245), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7468] = 6,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(1249), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7538] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1253), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1251), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7602] = 6,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7672] = 6,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7742] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1257), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1255), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7806] = 6,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(1249), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7876] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1253), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1251), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7940] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1253), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1251), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8004] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1261), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1259), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8068] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1265), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1263), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8132] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1253), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1251), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8196] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(969), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(971), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8260] = 7,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(1269), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1267), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8331] = 7,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(926), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8402] = 6,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8471] = 7,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(933), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(930), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8542] = 5,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8609] = 7,
    ACTIONS(1269), 1,
      anon_sym_EQ_GT,
    ACTIONS(1275), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1273), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8680] = 8,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(943), 1,
      anon_sym_in,
    ACTIONS(1278), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8753] = 8,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1280), 1,
      anon_sym_in,
    ACTIONS(1283), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8826] = 7,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(938), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(936), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8897] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8966] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1231), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1233), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9029] = 6,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9098] = 6,
    ACTIONS(1285), 1,
      anon_sym_EQ,
    ACTIONS(1287), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9167] = 5,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9234] = 6,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(910), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9303] = 7,
    ACTIONS(869), 1,
      anon_sym_COLON,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9374] = 7,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(863), 1,
      anon_sym_COLON,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9445] = 7,
    ACTIONS(831), 1,
      anon_sym_EQ_GT,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(869), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9516] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1216), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1218), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9579] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1245), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9642] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1241), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9705] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1235), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1237), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9768] = 7,
    ACTIONS(1249), 1,
      anon_sym_EQ_GT,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1289), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9839] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(971), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(969), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9902] = 6,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(1287), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9971] = 6,
    ACTIONS(906), 1,
      anon_sym_EQ,
    ACTIONS(910), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(807), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10040] = 6,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10109] = 7,
    ACTIONS(863), 1,
      anon_sym_COLON,
    ACTIONS(1210), 1,
      anon_sym_EQ_GT,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10180] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1227), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1229), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10243] = 6,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1267), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10311] = 5,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10377] = 7,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(948), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10447] = 7,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(1249), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1295), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10517] = 6,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1289), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10585] = 7,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1280), 1,
      anon_sym_in,
    ACTIONS(1283), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10655] = 6,
    ACTIONS(1275), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1273), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10723] = 5,
    ACTIONS(1285), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1203), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10789] = 8,
    ACTIONS(1249), 1,
      anon_sym_EQ_GT,
    ACTIONS(1273), 1,
      anon_sym_COMMA,
    ACTIONS(1289), 1,
      anon_sym_RBRACK,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10860] = 6,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(1269), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10927] = 8,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_RBRACK,
    ACTIONS(933), 1,
      anon_sym_EQ,
    ACTIONS(936), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10998] = 6,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1295), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11065] = 6,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(807), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11132] = 6,
    ACTIONS(1073), 1,
      anon_sym_EQ_GT,
    ACTIONS(1143), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(807), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11198] = 6,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(1300), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11264] = 6,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(1073), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(807), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11330] = 8,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      anon_sym_EQ_GT,
    ACTIONS(943), 1,
      anon_sym_in,
    ACTIONS(1278), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(807), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(833), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(818), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11400] = 8,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(1269), 1,
      anon_sym_EQ_GT,
    ACTIONS(1280), 1,
      anon_sym_in,
    ACTIONS(1283), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11470] = 7,
    ACTIONS(1273), 1,
      anon_sym_COMMA,
    ACTIONS(1289), 1,
      anon_sym_RBRACK,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11538] = 6,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(1300), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11604] = 7,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(1280), 1,
      anon_sym_in,
    ACTIONS(1283), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11671] = 5,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1203), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1212), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11734] = 10,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1302), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1304), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11799] = 9,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1316), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1318), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [11862] = 5,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(1320), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(506), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11917] = 10,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1322), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1324), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11982] = 4,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12034] = 5,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    STATE(519), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12088] = 4,
    ACTIONS(1320), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(506), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12140] = 5,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1334), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1330), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1332), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12194] = 5,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1339), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12248] = 8,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1342), 1,
      sym_optional_chain,
    STATE(519), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12308] = 5,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1348), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1344), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12362] = 4,
    ACTIONS(1353), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12414] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1357), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [12509] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(594), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(596), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12558] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1391), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1393), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12607] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12656] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1399), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [12751] = 10,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1302), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1304), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [12814] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1411), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12863] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1415), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12912] = 6,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1342), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1415), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12967] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13016] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1419), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13065] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1423), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1425), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13114] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1427), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13163] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1431), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13258] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1433), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1435), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13307] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1435), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13402] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13451] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1437), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1439), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13500] = 4,
    ACTIONS(1441), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13551] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(606), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(608), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13600] = 4,
    ACTIONS(1443), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(506), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13651] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1445), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13746] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1447), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13795] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1451), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1453), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13844] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1455), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1457), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13893] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13942] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1461), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13991] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1463), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14040] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1467), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1469), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14089] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1471), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14138] = 4,
    ACTIONS(1479), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1475), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1477), 26,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14189] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1481), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1483), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14238] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1485), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14333] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1487), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1489), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14382] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1489), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14477] = 16,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14552] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1495), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1497), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14601] = 9,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1316), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1318), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [14662] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(540), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14711] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(616), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14760] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(570), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(572), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14809] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14874] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1499), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14969] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [15056] = 23,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 8,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [15145] = 14,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15216] = 20,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1493), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15299] = 21,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15384] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [15471] = 13,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15540] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15605] = 18,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1493), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [15684] = 24,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 7,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [15775] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1501), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1503), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15824] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1505), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1507), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15873] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1509), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1511), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15922] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1513), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16017] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1515), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16066] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16161] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1519), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1521), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16210] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1523), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1525), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16259] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1527), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16308] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(630), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(628), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16357] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1531), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1533), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16406] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16455] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16504] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16553] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16602] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(584), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(582), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16651] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1539), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16700] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16795] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1543), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16844] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1547), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1357), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16893] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1549), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1551), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16942] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17037] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1553), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1555), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17086] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1557), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1559), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17135] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1561), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1563), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17184] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1565), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1567), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17233] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1569), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1571), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17282] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1573), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1575), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17331] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1577), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1579), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17380] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1581), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17475] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(548), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17524] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(522), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(524), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17573] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17622] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(636), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17671] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1583), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17720] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17769] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1587), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17818] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(630), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(628), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17867] = 10,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1322), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1324), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17930] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(584), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(582), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17979] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18043] = 21,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [18127] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1613), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [18221] = 4,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1330), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1332), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18271] = 6,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(516), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(506), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18325] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1435), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [18419] = 4,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18469] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18533] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1431), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [18627] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(1649), 1,
      anon_sym_COMMA,
    ACTIONS(1652), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1431), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18725] = 4,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18775] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1654), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [18869] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(1652), 1,
      anon_sym_RBRACE,
    ACTIONS(1656), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1485), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18967] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(1659), 1,
      anon_sym_COMMA,
    ACTIONS(1662), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1485), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19065] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1399), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [19159] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(1676), 1,
      anon_sym_COMMA,
    STATE(1184), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1678), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19257] = 5,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    STATE(683), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19309] = 8,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1680), 1,
      sym_optional_chain,
    STATE(683), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19367] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1513), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19461] = 27,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(1684), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1595), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1682), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [19557] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1445), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19651] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19745] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1581), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19839] = 18,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1493), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [19917] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [19981] = 13,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20049] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [20135] = 21,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [20219] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1587), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20267] = 20,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1493), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [20349] = 5,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(1443), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(506), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20401] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1431), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20495] = 4,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1344), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20545] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1435), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20639] = 20,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1493), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [20721] = 14,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20791] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(1676), 1,
      anon_sym_COMMA,
    STATE(1184), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1687), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20889] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20983] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(1676), 1,
      anon_sym_COMMA,
    STATE(1184), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21081] = 23,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21169] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21255] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1485), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [21349] = 16,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21423] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1489), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [21517] = 14,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21587] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1541), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [21681] = 24,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [21771] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1581), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [21865] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21951] = 4,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22001] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1517), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22095] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1357), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22189] = 4,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1330), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1332), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22239] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22333] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1485), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22427] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1513), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22521] = 16,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [22595] = 24,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [22685] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1489), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22779] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1399), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22873] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1445), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22967] = 4,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23017] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1583), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23065] = 4,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1344), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23115] = 18,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1493), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [23193] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [23287] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23351] = 23,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [23439] = 13,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23507] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [23593] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1591), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1597), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_AMP,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1664), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1666), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1668), 1,
      anon_sym_CARET,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(1672), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1674), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1603), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1611), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1595), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1607), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1357), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [23687] = 6,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1680), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1415), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23740] = 5,
    ACTIONS(598), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(590), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(594), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(596), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23791] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1693), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23888] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1519), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1521), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23935] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1695), 1,
      anon_sym_RBRACK,
    STATE(1343), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24032] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24079] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1539), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24126] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1487), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1489), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24173] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1697), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24270] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1543), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24317] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1547), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1357), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24364] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1549), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1551), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24411] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1553), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1555), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24458] = 5,
    ACTIONS(1275), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1273), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24509] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1557), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1559), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24556] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24649] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1561), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1563), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24696] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1481), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1483), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24743] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1699), 1,
      anon_sym_RBRACK,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24840] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1701), 1,
      anon_sym_RBRACK,
    STATE(1343), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24937] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1565), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1567), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24984] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1703), 1,
      anon_sym_RBRACE,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25081] = 4,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25130] = 4,
    ACTIONS(1705), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1475), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1477), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25179] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1569), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1571), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25226] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1433), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1435), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25273] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1437), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1439), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25320] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1427), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25367] = 5,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1267), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25418] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1471), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25465] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1467), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1469), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25512] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1463), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25559] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1395), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1397), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25606] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1523), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1525), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25653] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1423), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1425), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25700] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1707), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25797] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25894] = 6,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(1711), 1,
      anon_sym_in,
    ACTIONS(1714), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25947] = 6,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(1716), 1,
      anon_sym_in,
    ACTIONS(1719), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1330), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1332), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26000] = 6,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(1721), 1,
      anon_sym_in,
    ACTIONS(1724), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1344), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26053] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1419), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26100] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1411), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26147] = 5,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1714), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26198] = 5,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1330), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1332), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26249] = 5,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1724), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1344), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26300] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1461), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26347] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1527), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26394] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1726), 1,
      anon_sym_RPAREN,
    STATE(1315), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26491] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1495), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1497), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26538] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1531), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1533), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26585] = 4,
    ACTIONS(1705), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1475), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1477), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26634] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1728), 1,
      anon_sym_RBRACK,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26731] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1391), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1393), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26778] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1415), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26825] = 6,
    ACTIONS(1271), 1,
      anon_sym_EQ,
    ACTIONS(1280), 1,
      anon_sym_in,
    ACTIONS(1283), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26878] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1515), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26925] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27022] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    STATE(1269), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27119] = 4,
    ACTIONS(1285), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27168] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1734), 1,
      anon_sym_COLON,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27265] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1509), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1511), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27312] = 5,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1289), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27363] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(594), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(596), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27410] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1736), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27507] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27554] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1738), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [27647] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1505), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1507), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27694] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27791] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1742), 1,
      anon_sym_RBRACK,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27888] = 5,
    ACTIONS(640), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(632), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(636), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27939] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1744), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28036] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1447), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28083] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(606), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(608), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28130] = 5,
    ACTIONS(610), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(602), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(606), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(608), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28181] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28228] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      anon_sym_RBRACE,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28325] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(540), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28372] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(1266), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28469] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1750), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(616), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28613] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(570), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(572), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28660] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1682), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28753] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28800] = 5,
    ACTIONS(542), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(534), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(540), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28851] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1501), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1503), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28898] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1752), 1,
      anon_sym_RBRACK,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28995] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1754), 1,
      anon_sym_RBRACE,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29092] = 5,
    ACTIONS(620), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(612), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(616), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29143] = 5,
    ACTIONS(574), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(566), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(570), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(572), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29194] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29291] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(548), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29338] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(522), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(524), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29385] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(636), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29432] = 5,
    ACTIONS(526), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(518), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(522), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(524), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29483] = 5,
    ACTIONS(552), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(544), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(548), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29534] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1573), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1575), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29581] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1535), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29628] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1455), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1457), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29675] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1451), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1453), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29722] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1577), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1579), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29769] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29866] = 28,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1760), 1,
      anon_sym_RBRACK,
    STATE(1281), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29963] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1445), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30055] = 5,
    ACTIONS(1247), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1295), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30105] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1399), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30197] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1581), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30289] = 27,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(1796), 1,
      anon_sym_SEMI,
    ACTIONS(1798), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30383] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1551), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30475] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1357), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30567] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1623), 1,
      anon_sym_GT_GT,
    ACTIONS(1627), 1,
      anon_sym_AMP,
    ACTIONS(1629), 1,
      anon_sym_CARET,
    ACTIONS(1631), 1,
      anon_sym_PIPE,
    ACTIONS(1635), 1,
      anon_sym_PERCENT,
    ACTIONS(1637), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1645), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1647), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1615), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1625), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1633), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1641), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1643), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1800), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1639), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30659] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1541), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30751] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1517), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30843] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1513), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30935] = 24,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 4,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [31023] = 18,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1493), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 9,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [31099] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [31161] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31253] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1662), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31345] = 13,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [31411] = 5,
    ACTIONS(1802), 1,
      anon_sym_LPAREN,
    ACTIONS(1805), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1447), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31461] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [31545] = 21,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [31627] = 20,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1493), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [31707] = 14,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [31775] = 23,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [31861] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [31945] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [32007] = 16,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 12,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [32079] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1489), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32171] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1807), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32263] = 5,
    ACTIONS(1809), 1,
      anon_sym_LPAREN,
    ACTIONS(1812), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32313] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1485), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32405] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1431), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32497] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1435), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32589] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1513), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32680] = 27,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1682), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(1848), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1816), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32773] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [32856] = 6,
    ACTIONS(1273), 1,
      anon_sym_COMMA,
    ACTIONS(1289), 1,
      anon_sym_RBRACK,
    ACTIONS(1292), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32907] = 21,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1493), 1,
      anon_sym_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [32988] = 20,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1493), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [33067] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1485), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33158] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1399), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33249] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1851), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33340] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1489), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33431] = 6,
    ACTIONS(1334), 1,
      anon_sym_RBRACK,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(1719), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1330), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1332), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33482] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1517), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33573] = 18,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1493), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 8,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [33648] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1581), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33739] = 6,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(1339), 1,
      anon_sym_RBRACK,
    ACTIONS(1714), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33790] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1431), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33881] = 22,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [33964] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(1853), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34055] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(1855), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34146] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(1857), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34237] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(1859), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34328] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34389] = 14,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34456] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1435), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34547] = 16,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 11,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34618] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_GT_GT,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    ACTIONS(1371), 1,
      anon_sym_CARET,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1377), 1,
      anon_sym_PERCENT,
    ACTIONS(1379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1389), 1,
      sym__ternary_qmark,
    ACTIONS(1861), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1359), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34709] = 24,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1491), 3,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34796] = 6,
    ACTIONS(1348), 1,
      anon_sym_RBRACK,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(1724), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1344), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [34847] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1445), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34938] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(1863), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35029] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1551), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35120] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1357), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35211] = 23,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1491), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [35296] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1541), 1,
      anon_sym_of,
    ACTIONS(1818), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1820), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1822), 1,
      anon_sym_GT_GT,
    ACTIONS(1826), 1,
      anon_sym_AMP,
    ACTIONS(1828), 1,
      anon_sym_CARET,
    ACTIONS(1830), 1,
      anon_sym_PIPE,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1844), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1846), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1824), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1832), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1842), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1816), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1838), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35387] = 26,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(1865), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35478] = 11,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [35539] = 13,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1834), 1,
      anon_sym_PERCENT,
    ACTIONS(1836), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1814), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1493), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1491), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [35604] = 25,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_LBRACK,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(1312), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35692] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1869), 1,
      anon_sym_RBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1873), 1,
      anon_sym_async,
    ACTIONS(1877), 1,
      anon_sym_static,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    STATE(1273), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1308), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1879), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1867), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1282), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1285), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1312), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35778] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1883), 1,
      anon_sym_RBRACE,
    ACTIONS(1885), 1,
      anon_sym_async,
    ACTIONS(1887), 1,
      anon_sym_static,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    STATE(1273), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1889), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1881), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1282), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1283), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1285), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35864] = 4,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35910] = 25,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(1407), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1768), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1770), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_AMP,
    ACTIONS(1776), 1,
      anon_sym_CARET,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1782), 1,
      anon_sym_PERCENT,
    ACTIONS(1784), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1792), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1794), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1314), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1780), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1788), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1790), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1786), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35998] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1893), 1,
      anon_sym_RBRACE,
    ACTIONS(1895), 1,
      anon_sym_async,
    ACTIONS(1897), 1,
      anon_sym_static,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    STATE(1273), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1308), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1899), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1891), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1282), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1285), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1312), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36084] = 6,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(1721), 1,
      anon_sym_in,
    ACTIONS(1724), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1344), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36134] = 6,
    ACTIONS(1337), 1,
      anon_sym_EQ,
    ACTIONS(1716), 1,
      anon_sym_in,
    ACTIONS(1719), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1330), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1332), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36184] = 6,
    ACTIONS(514), 1,
      anon_sym_EQ,
    ACTIONS(1711), 1,
      anon_sym_in,
    ACTIONS(1714), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(512), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36234] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1903), 1,
      anon_sym_RBRACE,
    ACTIONS(1905), 1,
      anon_sym_async,
    ACTIONS(1907), 1,
      anon_sym_static,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    STATE(1273), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1909), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1901), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1282), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1283), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1285), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36320] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(1915), 1,
      anon_sym_async,
    ACTIONS(1917), 1,
      anon_sym_static,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    STATE(1273), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1308), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1919), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1911), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1282), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1285), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1312), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36406] = 4,
    ACTIONS(1479), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1475), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1477), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36452] = 6,
    ACTIONS(1214), 1,
      anon_sym_EQ,
    ACTIONS(1280), 1,
      anon_sym_in,
    ACTIONS(1283), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1203), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36502] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_RBRACE,
    ACTIONS(1925), 1,
      anon_sym_async,
    ACTIONS(1927), 1,
      anon_sym_static,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    STATE(1273), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1308), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1929), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1921), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1282), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1285), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1312), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36588] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1933), 1,
      anon_sym_RBRACE,
    ACTIONS(1935), 1,
      anon_sym_async,
    ACTIONS(1937), 1,
      anon_sym_static,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    STATE(1273), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1308), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1939), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1931), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1282), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1285), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1312), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36674] = 21,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(1946), 1,
      anon_sym_async,
    ACTIONS(1948), 1,
      anon_sym_static,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1943), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1950), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1941), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1282), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1460), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1475), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36752] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1956), 1,
      anon_sym_RBRACE,
    ACTIONS(1958), 1,
      anon_sym_SEMI,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    STATE(847), 1,
      aux_sym_class_body_repeat1,
    STATE(882), 1,
      aux_sym_export_statement_repeat1,
    STATE(931), 1,
      sym_method_definition,
    STATE(936), 1,
      sym_class_static_block,
    STATE(937), 1,
      sym_glimmer_template,
    STATE(953), 1,
      sym_decorator,
    STATE(1596), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1126), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [36829] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1978), 1,
      anon_sym_RBRACE,
    ACTIONS(1980), 1,
      anon_sym_SEMI,
    STATE(844), 1,
      aux_sym_class_body_repeat1,
    STATE(882), 1,
      aux_sym_export_statement_repeat1,
    STATE(931), 1,
      sym_method_definition,
    STATE(936), 1,
      sym_class_static_block,
    STATE(937), 1,
      sym_glimmer_template,
    STATE(953), 1,
      sym_decorator,
    STATE(1596), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1126), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [36906] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1980), 1,
      anon_sym_SEMI,
    ACTIONS(1982), 1,
      anon_sym_RBRACE,
    STATE(844), 1,
      aux_sym_class_body_repeat1,
    STATE(882), 1,
      aux_sym_export_statement_repeat1,
    STATE(931), 1,
      sym_method_definition,
    STATE(936), 1,
      sym_class_static_block,
    STATE(937), 1,
      sym_glimmer_template,
    STATE(953), 1,
      sym_decorator,
    STATE(1596), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1126), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [36983] = 23,
    ACTIONS(1987), 1,
      anon_sym_STAR,
    ACTIONS(1990), 1,
      anon_sym_RBRACE,
    ACTIONS(1992), 1,
      anon_sym_SEMI,
    ACTIONS(1995), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2001), 1,
      anon_sym_DQUOTE,
    ACTIONS(2004), 1,
      anon_sym_SQUOTE,
    ACTIONS(2007), 1,
      anon_sym_async,
    ACTIONS(2013), 1,
      anon_sym_AT,
    ACTIONS(2016), 1,
      anon_sym_static,
    ACTIONS(2019), 1,
      aux_sym_method_definition_token1,
    STATE(844), 1,
      aux_sym_class_body_repeat1,
    STATE(882), 1,
      aux_sym_export_statement_repeat1,
    STATE(931), 1,
      sym_method_definition,
    STATE(936), 1,
      sym_class_static_block,
    STATE(937), 1,
      sym_glimmer_template,
    STATE(953), 1,
      sym_decorator,
    STATE(1596), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2010), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2022), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1984), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1126), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37060] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2025), 1,
      anon_sym_RBRACE,
    ACTIONS(2027), 1,
      anon_sym_SEMI,
    STATE(843), 1,
      aux_sym_class_body_repeat1,
    STATE(882), 1,
      aux_sym_export_statement_repeat1,
    STATE(931), 1,
      sym_method_definition,
    STATE(936), 1,
      sym_class_static_block,
    STATE(937), 1,
      sym_glimmer_template,
    STATE(953), 1,
      sym_decorator,
    STATE(1596), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1126), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37137] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
    ACTIONS(2031), 1,
      anon_sym_SEMI,
    STATE(842), 1,
      aux_sym_class_body_repeat1,
    STATE(882), 1,
      aux_sym_export_statement_repeat1,
    STATE(931), 1,
      sym_method_definition,
    STATE(936), 1,
      sym_class_static_block,
    STATE(937), 1,
      sym_glimmer_template,
    STATE(953), 1,
      sym_decorator,
    STATE(1596), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1126), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37214] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1980), 1,
      anon_sym_SEMI,
    ACTIONS(2033), 1,
      anon_sym_RBRACE,
    STATE(844), 1,
      aux_sym_class_body_repeat1,
    STATE(882), 1,
      aux_sym_export_statement_repeat1,
    STATE(931), 1,
      sym_method_definition,
    STATE(936), 1,
      sym_class_static_block,
    STATE(937), 1,
      sym_glimmer_template,
    STATE(953), 1,
      sym_decorator,
    STATE(1596), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1126), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37291] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1980), 1,
      anon_sym_SEMI,
    ACTIONS(2035), 1,
      anon_sym_RBRACE,
    STATE(844), 1,
      aux_sym_class_body_repeat1,
    STATE(882), 1,
      aux_sym_export_statement_repeat1,
    STATE(931), 1,
      sym_method_definition,
    STATE(936), 1,
      sym_class_static_block,
    STATE(937), 1,
      sym_glimmer_template,
    STATE(953), 1,
      sym_decorator,
    STATE(1596), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1126), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37368] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1954), 1,
      anon_sym_STAR,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1962), 1,
      sym_glimmer_opening_tag,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2037), 1,
      anon_sym_RBRACE,
    ACTIONS(2039), 1,
      anon_sym_SEMI,
    STATE(848), 1,
      aux_sym_class_body_repeat1,
    STATE(882), 1,
      aux_sym_export_statement_repeat1,
    STATE(931), 1,
      sym_method_definition,
    STATE(936), 1,
      sym_class_static_block,
    STATE(937), 1,
      sym_glimmer_template,
    STATE(953), 1,
      sym_decorator,
    STATE(1596), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1126), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37445] = 20,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(709), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2049), 1,
      anon_sym_async,
    ACTIONS(2053), 1,
      anon_sym_static,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    STATE(1350), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2051), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2055), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2041), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1311), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1348), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [37515] = 14,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(2061), 1,
      anon_sym_RBRACE,
    STATE(1273), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2063), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1285), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1625), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2057), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37572] = 14,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(2067), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2063), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1313), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1625), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2065), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37629] = 18,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(709), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2073), 1,
      anon_sym_async,
    ACTIONS(2075), 1,
      anon_sym_static,
    STATE(889), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2051), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2071), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2077), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2069), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1311), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1475), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [37694] = 12,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2063), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2081), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1460), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1625), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1637), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2079), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37746] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1355), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [37804] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    STATE(1355), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [37862] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [37918] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [37976] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1355), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38032] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    STATE(1355), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38088] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38144] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38200] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38258] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38316] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38372] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38430] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38488] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38544] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    STATE(1355), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38595] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38646] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38697] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38748] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1355), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38799] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38850] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38901] = 14,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2097), 1,
      anon_sym_STAR,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    ACTIONS(2101), 1,
      anon_sym_async,
    ACTIONS(2107), 1,
      sym__automatic_semicolon,
    STATE(935), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2103), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2105), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    STATE(1124), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1952), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38954] = 18,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2110), 1,
      anon_sym_export,
    ACTIONS(2112), 1,
      anon_sym_STAR,
    ACTIONS(2114), 1,
      anon_sym_class,
    ACTIONS(2116), 1,
      anon_sym_async,
    ACTIONS(2120), 1,
      anon_sym_static,
    ACTIONS(2122), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2124), 1,
      anon_sym_get,
    ACTIONS(2126), 1,
      anon_sym_set,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(871), 2,
      anon_sym_let,
      sym_identifier,
    ACTIONS(2118), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1494), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39014] = 13,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39064] = 12,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39112] = 13,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39162] = 14,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39214] = 16,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2133), 1,
      anon_sym_STAR,
    ACTIONS(2135), 1,
      anon_sym_async,
    ACTIONS(2139), 1,
      anon_sym_static,
    ACTIONS(2141), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2143), 1,
      anon_sym_get,
    ACTIONS(2145), 1,
      anon_sym_set,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2137), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1952), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1127), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39269] = 12,
    ACTIONS(1960), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2147), 1,
      anon_sym_STAR,
    ACTIONS(2149), 1,
      anon_sym_async,
    ACTIONS(2153), 1,
      anon_sym_get,
    ACTIONS(2155), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2151), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1093), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1952), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [39316] = 11,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39361] = 10,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39404] = 11,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2157), 1,
      anon_sym_STAR,
    ACTIONS(2161), 1,
      anon_sym_get,
    ACTIONS(2163), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2159), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1528), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39449] = 10,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2165), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2167), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2169), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39492] = 11,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2171), 1,
      anon_sym_STAR,
    ACTIONS(2175), 1,
      anon_sym_get,
    ACTIONS(2177), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2173), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1546), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39537] = 16,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_STAR,
    ACTIONS(2116), 1,
      anon_sym_async,
    ACTIONS(2120), 1,
      anon_sym_static,
    ACTIONS(2122), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2124), 1,
      anon_sym_get,
    ACTIONS(2126), 1,
      anon_sym_set,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2118), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(871), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1494), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39592] = 12,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2179), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39639] = 10,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2097), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2181), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2183), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39682] = 11,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2179), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39727] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39755] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39811] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39839] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39867] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2181), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39905] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39933] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39961] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2193), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2195), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39989] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2197), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2199), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40017] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2197), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2199), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40045] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40073] = 4,
    ACTIONS(2201), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(506), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40103] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40131] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40159] = 9,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2179), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40199] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40227] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40255] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2203), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2205), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40283] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2207), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2209), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40311] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40339] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40367] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40395] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2211), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1548), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40433] = 6,
    ACTIONS(2217), 1,
      anon_sym_LPAREN,
    ACTIONS(2219), 1,
      anon_sym_DOT,
    STATE(977), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2213), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2215), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40467] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2221), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1547), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40505] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40533] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2191), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40561] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2223), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2225), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40589] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2197), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2199), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40617] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2167), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40655] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2227), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2229), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40683] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2197), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2199), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40711] = 4,
    ACTIONS(2231), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(530), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(528), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40741] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2233), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1530), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40779] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1531), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40817] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2197), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2199), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40845] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2197), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2199), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40873] = 4,
    ACTIONS(2241), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2237), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2239), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40902] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1451), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1453), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40929] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2244), 9,
      anon_sym_export,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2246), 9,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40956] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2248), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2250), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40983] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2252), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2254), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41010] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2237), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2239), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41037] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2256), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2258), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41064] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1395), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1397), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41091] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(530), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(528), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41118] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(630), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(628), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41145] = 6,
    ACTIONS(2264), 1,
      anon_sym_AT,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2262), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      aux_sym_method_definition_token1,
    ACTIONS(2260), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41178] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2267), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2269), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41205] = 11,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2271), 1,
      anon_sym_STAR,
    ACTIONS(2275), 1,
      anon_sym_get,
    ACTIONS(2277), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2273), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1550), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41247] = 11,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2279), 1,
      anon_sym_STAR,
    ACTIONS(2283), 1,
      anon_sym_get,
    ACTIONS(2285), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2281), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1514), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41289] = 12,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2287), 1,
      anon_sym_STAR,
    ACTIONS(2289), 1,
      anon_sym_async,
    ACTIONS(2293), 1,
      anon_sym_get,
    ACTIONS(2295), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2291), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1579), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41333] = 11,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2297), 1,
      anon_sym_STAR,
    ACTIONS(2301), 1,
      anon_sym_get,
    ACTIONS(2303), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2299), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1580), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41375] = 11,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2305), 1,
      anon_sym_STAR,
    ACTIONS(2309), 1,
      anon_sym_get,
    ACTIONS(2311), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2307), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1509), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41417] = 13,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(811), 1,
      anon_sym_var,
    ACTIONS(825), 1,
      anon_sym_class,
    ACTIONS(827), 1,
      anon_sym_async,
    ACTIONS(829), 1,
      anon_sym_function,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_default,
    STATE(352), 1,
      sym_declaration,
    STATE(953), 1,
      sym_decorator,
    STATE(1197), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(813), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(396), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [41463] = 10,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2165), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2167), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2169), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41503] = 10,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2315), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2319), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1582), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41543] = 9,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2321), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1582), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41581] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41616] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2325), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2327), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41641] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2329), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1506), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41676] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2331), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1551), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41711] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1577), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1579), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41736] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1561), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1563), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41761] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1495), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1497), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41786] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2333), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1508), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41821] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2213), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2215), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41846] = 11,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2335), 1,
      anon_sym_STAR,
    ACTIONS(2337), 1,
      anon_sym_async,
    ACTIONS(2341), 1,
      anon_sym_get,
    ACTIONS(2343), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2339), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1529), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41887] = 10,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(873), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(875), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41926] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1582), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41961] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2345), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41996] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2167), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42031] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2347), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1577), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42066] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2349), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1558), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42101] = 12,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(811), 1,
      anon_sym_var,
    ACTIONS(825), 1,
      anon_sym_class,
    ACTIONS(827), 1,
      anon_sym_async,
    ACTIONS(829), 1,
      anon_sym_function,
    ACTIONS(2351), 1,
      anon_sym_default,
    STATE(352), 1,
      sym_declaration,
    STATE(953), 1,
      sym_decorator,
    STATE(1197), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(813), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(396), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42144] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2353), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1464), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42179] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2355), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1559), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42214] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2357), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1541), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42249] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2359), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1576), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42284] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2361), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1521), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42319] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2363), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1466), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42354] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2365), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1561), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42389] = 12,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(811), 1,
      anon_sym_var,
    ACTIONS(825), 1,
      anon_sym_class,
    ACTIONS(827), 1,
      anon_sym_async,
    ACTIONS(829), 1,
      anon_sym_function,
    ACTIONS(2313), 1,
      anon_sym_default,
    STATE(352), 1,
      sym_declaration,
    STATE(953), 1,
      sym_decorator,
    STATE(1197), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(813), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(396), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42432] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2367), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2369), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42457] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2371), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1512), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42492] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2373), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1517), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42527] = 10,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2097), 1,
      anon_sym_STAR,
    ACTIONS(2375), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2181), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2183), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42566] = 11,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2379), 1,
      anon_sym_async,
    ACTIONS(2383), 1,
      anon_sym_get,
    ACTIONS(2385), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1578), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42607] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2387), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1473), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42642] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2389), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1474), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42677] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2391), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1562), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42712] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2393), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1543), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42747] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2395), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1513), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42782] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2397), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1544), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42817] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2399), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1441), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42849] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2401), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [42871] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2403), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1545), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42903] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2405), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [42925] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2407), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1549), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42957] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2409), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [42979] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2167), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1526), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43011] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2411), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43033] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2413), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1557), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43065] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2415), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1527), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43097] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2417), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43129] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2361), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1521), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43161] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2419), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1542), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43193] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2421), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1467), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43225] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2423), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1519), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43257] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(859), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1597), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43289] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2181), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43321] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1582), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43353] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2425), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1581), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43385] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2427), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1510), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43417] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2429), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1560), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43449] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2357), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1541), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(871), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43481] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2431), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43503] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2437), 1,
      sym_html_character_reference,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2441), 1,
      anon_sym_LT_SLASH,
    STATE(681), 1,
      sym_jsx_closing_element,
    STATE(1019), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1017), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43539] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2443), 1,
      sym_html_character_reference,
    ACTIONS(2445), 1,
      anon_sym_LT_SLASH,
    STATE(545), 1,
      sym_jsx_closing_element,
    STATE(1019), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1020), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43575] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2443), 1,
      sym_html_character_reference,
    ACTIONS(2447), 1,
      anon_sym_LT_SLASH,
    STATE(1019), 1,
      sym_jsx_opening_element,
    STATE(1178), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1020), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43611] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2443), 1,
      sym_html_character_reference,
    ACTIONS(2449), 1,
      anon_sym_LT_SLASH,
    STATE(1019), 1,
      sym_jsx_opening_element,
    STATE(1114), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1020), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43647] = 10,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2451), 1,
      sym_identifier,
    ACTIONS(2453), 1,
      anon_sym_STAR,
    ACTIONS(2455), 1,
      anon_sym_LBRACE,
    STATE(1248), 1,
      sym_string,
    STATE(1402), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1668), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2457), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [43683] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2447), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2459), 1,
      sym_html_character_reference,
    STATE(1019), 1,
      sym_jsx_opening_element,
    STATE(1134), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1013), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43719] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2441), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2443), 1,
      sym_html_character_reference,
    STATE(714), 1,
      sym_jsx_closing_element,
    STATE(1019), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1020), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43755] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2445), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2461), 1,
      sym_html_character_reference,
    STATE(502), 1,
      sym_jsx_closing_element,
    STATE(1019), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1012), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43791] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2463), 1,
      sym_html_character_reference,
    STATE(1019), 1,
      sym_jsx_opening_element,
    STATE(1128), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1014), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43827] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2465), 1,
      anon_sym_LBRACE,
    ACTIONS(2471), 1,
      sym_html_character_reference,
    ACTIONS(2474), 1,
      anon_sym_LT,
    ACTIONS(2477), 1,
      anon_sym_LT_SLASH,
    STATE(1019), 1,
      sym_jsx_opening_element,
    ACTIONS(2468), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1020), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43860] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1039), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [43896] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1046), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [43932] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1036), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [43968] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1055), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44004] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1042), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44037] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1051), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44070] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1052), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44103] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1035), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44136] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1053), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44169] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1037), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44202] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1054), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44235] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1040), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44268] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1048), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44298] = 7,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      anon_sym_LT,
    ACTIONS(2501), 1,
      anon_sym_DQUOTE,
    ACTIONS(2503), 1,
      anon_sym_SQUOTE,
    STATE(1016), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1137), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [44324] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2505), 1,
      anon_sym_GT,
    ACTIONS(2507), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44354] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2509), 1,
      anon_sym_GT,
    ACTIONS(2511), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44384] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2513), 1,
      anon_sym_GT,
    ACTIONS(2515), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44414] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2517), 1,
      anon_sym_GT,
    ACTIONS(2519), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44444] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2509), 1,
      anon_sym_GT,
    ACTIONS(2521), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44474] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2513), 1,
      anon_sym_GT,
    ACTIONS(2523), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44504] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2517), 1,
      anon_sym_GT,
    ACTIONS(2525), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44534] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2505), 1,
      anon_sym_GT,
    ACTIONS(2527), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44564] = 8,
    ACTIONS(2529), 1,
      sym_identifier,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    ACTIONS(2537), 1,
      sym_jsx_identifier,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2535), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44592] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1049), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44622] = 7,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      anon_sym_LT,
    ACTIONS(2501), 1,
      anon_sym_DQUOTE,
    ACTIONS(2503), 1,
      anon_sym_SQUOTE,
    STATE(1016), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1136), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [44648] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2509), 1,
      anon_sym_GT,
    ACTIONS(2540), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44678] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44708] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2517), 1,
      anon_sym_GT,
    ACTIONS(2542), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44738] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2517), 1,
      anon_sym_GT,
    ACTIONS(2544), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44768] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1038), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44798] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2513), 1,
      anon_sym_GT,
    ACTIONS(2546), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44828] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2505), 1,
      anon_sym_GT,
    ACTIONS(2548), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44858] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2513), 1,
      anon_sym_GT,
    ACTIONS(2550), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44888] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2505), 1,
      anon_sym_GT,
    ACTIONS(2552), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44918] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2509), 1,
      anon_sym_GT,
    ACTIONS(2554), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1102), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44948] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_COMMA,
    ACTIONS(2560), 1,
      anon_sym_RBRACE,
    STATE(1325), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1326), 2,
      sym__module_export_name,
      sym_string,
  [44975] = 8,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(2564), 1,
      anon_sym_COMMA,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    STATE(1270), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1628), 2,
      sym__module_export_name,
      sym_string,
  [45002] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45026] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(809), 1,
      anon_sym_RBRACE,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1355), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45050] = 6,
    ACTIONS(914), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      sym_identifier,
    STATE(1203), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1078), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45072] = 6,
    ACTIONS(914), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      sym_identifier,
    STATE(1203), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1140), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45094] = 5,
    ACTIONS(2576), 1,
      anon_sym_EQ,
    STATE(1147), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2574), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2572), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45114] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2578), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45128] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45152] = 6,
    ACTIONS(914), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(2580), 1,
      sym_identifier,
    STATE(1228), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1062), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45174] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45198] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2582), 1,
      anon_sym_RBRACE,
    STATE(1538), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1326), 2,
      sym__module_export_name,
      sym_string,
  [45222] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2584), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45236] = 5,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2586), 1,
      sym_identifier,
    ACTIONS(2590), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2588), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [45256] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2592), 1,
      anon_sym_RBRACE,
    STATE(1538), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1326), 2,
      sym__module_export_name,
      sym_string,
  [45280] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(2594), 1,
      anon_sym_RBRACE,
    STATE(1498), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1628), 2,
      sym__module_export_name,
      sym_string,
  [45304] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2596), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45318] = 7,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(2598), 1,
      anon_sym_RBRACE,
    STATE(1498), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1628), 2,
      sym__module_export_name,
      sym_string,
  [45342] = 6,
    ACTIONS(914), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      sym_identifier,
    STATE(1259), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1140), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45364] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45388] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    STATE(1355), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45412] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2600), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45426] = 5,
    ACTIONS(2602), 1,
      anon_sym_EQ,
    STATE(1263), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2574), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2572), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45446] = 6,
    ACTIONS(914), 1,
      anon_sym_LBRACE,
    ACTIONS(916), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      sym_identifier,
    STATE(1228), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1140), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45468] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2604), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45482] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1295), 1,
      aux_sym_object_repeat1,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45506] = 3,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2608), 5,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [45521] = 3,
    ACTIONS(2610), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2612), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
  [45536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1535), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1565), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45611] = 5,
    ACTIONS(2616), 1,
      anon_sym_BQUOTE,
    ACTIONS(2618), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2614), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1125), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [45630] = 5,
    ACTIONS(2620), 1,
      anon_sym_default,
    ACTIONS(2622), 1,
      anon_sym_RBRACE,
    ACTIONS(2624), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1099), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [45649] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1585), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45662] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1724), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45675] = 6,
    ACTIONS(2602), 1,
      anon_sym_EQ,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1397), 1,
      sym_formal_parameters,
    STATE(1453), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45696] = 5,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1636), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45715] = 5,
    ACTIONS(2618), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2634), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2614), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1125), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [45734] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1589), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45747] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2604), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45760] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1714), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45773] = 5,
    ACTIONS(2636), 1,
      anon_sym_default,
    ACTIONS(2639), 1,
      anon_sym_RBRACE,
    ACTIONS(2641), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1099), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [45792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2644), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45807] = 6,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    STATE(1538), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1326), 2,
      sym__module_export_name,
      sym_string,
  [45828] = 4,
    ACTIONS(2646), 1,
      sym_identifier,
    ACTIONS(2650), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2648), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [45845] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2600), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2652), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2654), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45888] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45901] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2596), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2654), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45929] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2578), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45942] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2584), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2654), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2656), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45985] = 5,
    ACTIONS(2618), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2660), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2658), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1089), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1509), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1505), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2654), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46049] = 5,
    ACTIONS(2620), 1,
      anon_sym_default,
    ACTIONS(2624), 1,
      anon_sym_case,
    ACTIONS(2662), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1090), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46068] = 6,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(1405), 1,
      anon_sym_DOT,
    ACTIONS(2664), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(694), 2,
      sym_template_string,
      sym_arguments,
  [46089] = 4,
    ACTIONS(2666), 1,
      anon_sym_COMMA,
    STATE(1119), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1499), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1455), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46121] = 6,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    STATE(1498), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1628), 2,
      sym__module_export_name,
      sym_string,
  [46142] = 5,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(2632), 1,
      anon_sym_LBRACK,
    ACTIONS(2669), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1491), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46161] = 5,
    ACTIONS(1222), 1,
      anon_sym_LBRACE,
    ACTIONS(2632), 1,
      anon_sym_LBRACK,
    ACTIONS(2671), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1242), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46180] = 6,
    ACTIONS(2602), 1,
      anon_sym_EQ,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1410), 1,
      sym_formal_parameters,
    STATE(1484), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2673), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46201] = 5,
    ACTIONS(2678), 1,
      anon_sym_BQUOTE,
    ACTIONS(2680), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2675), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1125), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46220] = 6,
    ACTIONS(2602), 1,
      anon_sym_EQ,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1422), 1,
      sym_formal_parameters,
    STATE(1540), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2683), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46241] = 6,
    ACTIONS(2602), 1,
      anon_sym_EQ,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1409), 1,
      sym_formal_parameters,
    STATE(1483), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2685), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1427), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46277] = 4,
    ACTIONS(1691), 1,
      anon_sym_COMMA,
    STATE(1119), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2687), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46294] = 5,
    ACTIONS(2618), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2691), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2689), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1095), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2693), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2695), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46343] = 6,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_DOT,
    ACTIONS(2697), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(500), 2,
      sym_template_string,
      sym_arguments,
  [46364] = 3,
    ACTIONS(1427), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1429), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46378] = 6,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2699), 1,
      anon_sym_export,
    ACTIONS(2701), 1,
      anon_sym_class,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46398] = 3,
    ACTIONS(2703), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2705), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46412] = 3,
    ACTIONS(2707), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2709), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46426] = 6,
    ACTIONS(2711), 1,
      sym_identifier,
    ACTIONS(2713), 1,
      anon_sym_GT,
    ACTIONS(2715), 1,
      sym_jsx_identifier,
    STATE(1026), 1,
      sym_nested_identifier,
    STATE(1033), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46446] = 6,
    ACTIONS(2717), 1,
      sym_identifier,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    ACTIONS(2721), 1,
      anon_sym_extends,
    STATE(657), 1,
      sym_class_body,
    STATE(1588), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46466] = 4,
    ACTIONS(2602), 1,
      anon_sym_EQ,
    STATE(1263), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2572), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [46482] = 6,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(2085), 1,
      anon_sym_COLON,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46502] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1585), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46514] = 3,
    ACTIONS(2644), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2725), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46528] = 5,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2727), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1603), 2,
      sym__module_export_name,
      sym_string,
  [46546] = 6,
    ACTIONS(2729), 1,
      sym_identifier,
    ACTIONS(2731), 1,
      anon_sym_GT,
    ACTIONS(2733), 1,
      sym_jsx_identifier,
    STATE(1426), 1,
      sym_nested_identifier,
    STATE(1662), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46566] = 6,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    ACTIONS(2721), 1,
      anon_sym_extends,
    ACTIONS(2735), 1,
      sym_identifier,
    STATE(657), 1,
      sym_class_body,
    STATE(1588), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46586] = 4,
    ACTIONS(2739), 1,
      anon_sym_in,
    ACTIONS(2741), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2737), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [46602] = 6,
    ACTIONS(2713), 1,
      anon_sym_GT,
    ACTIONS(2743), 1,
      sym_identifier,
    ACTIONS(2745), 1,
      sym_jsx_identifier,
    STATE(1032), 1,
      sym_nested_identifier,
    STATE(1047), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46622] = 6,
    ACTIONS(2747), 1,
      sym_identifier,
    ACTIONS(2749), 1,
      anon_sym_GT,
    ACTIONS(2751), 1,
      sym_jsx_identifier,
    STATE(1390), 1,
      sym_nested_identifier,
    STATE(1673), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46642] = 6,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_GT,
    ACTIONS(2757), 1,
      sym_jsx_identifier,
    STATE(1589), 1,
      sym_nested_identifier,
    STATE(1605), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46662] = 3,
    ACTIONS(2693), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2759), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46676] = 5,
    ACTIONS(853), 1,
      anon_sym_DQUOTE,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(2761), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1536), 2,
      sym__module_export_name,
      sym_string,
  [46694] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1273), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46706] = 5,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46724] = 3,
    ACTIONS(2763), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2765), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46738] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1589), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46750] = 6,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    ACTIONS(2721), 1,
      anon_sym_extends,
    ACTIONS(2767), 1,
      sym_identifier,
    STATE(706), 1,
      sym_class_body,
    STATE(1431), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46770] = 3,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1267), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46784] = 3,
    ACTIONS(2771), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1273), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46798] = 3,
    ACTIONS(2774), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1273), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46812] = 6,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    ACTIONS(2721), 1,
      anon_sym_extends,
    ACTIONS(2777), 1,
      sym_identifier,
    STATE(657), 1,
      sym_class_body,
    STATE(1588), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46832] = 3,
    ACTIONS(1565), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1567), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46846] = 3,
    ACTIONS(2779), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2781), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46860] = 3,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46874] = 3,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46888] = 6,
    ACTIONS(2713), 1,
      anon_sym_GT,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2785), 1,
      sym_jsx_identifier,
    STATE(1030), 1,
      sym_nested_identifier,
    STATE(1050), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46908] = 6,
    ACTIONS(2713), 1,
      anon_sym_GT,
    ACTIONS(2787), 1,
      sym_identifier,
    ACTIONS(2789), 1,
      sym_jsx_identifier,
    STATE(1029), 1,
      sym_nested_identifier,
    STATE(1044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46928] = 3,
    ACTIONS(2791), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2793), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46942] = 6,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(2085), 1,
      anon_sym_COLON,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(1356), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46962] = 6,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2797), 1,
      anon_sym_export,
    ACTIONS(2799), 1,
      anon_sym_class,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46982] = 4,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [46998] = 3,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47012] = 3,
    ACTIONS(1535), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47026] = 6,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2803), 1,
      anon_sym_LBRACK,
    ACTIONS(2805), 1,
      sym_private_property_identifier,
    STATE(738), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47046] = 6,
    ACTIONS(1306), 1,
      anon_sym_LPAREN,
    ACTIONS(2807), 1,
      sym_identifier,
    ACTIONS(2809), 1,
      anon_sym_LBRACK,
    ACTIONS(2811), 1,
      sym_private_property_identifier,
    STATE(543), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47066] = 6,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    ACTIONS(2721), 1,
      anon_sym_extends,
    ACTIONS(2813), 1,
      sym_identifier,
    STATE(706), 1,
      sym_class_body,
    STATE(1431), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47086] = 6,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    ACTIONS(2721), 1,
      anon_sym_extends,
    ACTIONS(2815), 1,
      sym_identifier,
    STATE(706), 1,
      sym_class_body,
    STATE(1431), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47106] = 3,
    ACTIONS(1509), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1511), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47120] = 3,
    ACTIONS(1505), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1507), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47134] = 6,
    ACTIONS(2721), 1,
      anon_sym_extends,
    ACTIONS(2817), 1,
      sym_identifier,
    ACTIONS(2819), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_class_body,
    STATE(1411), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47154] = 6,
    ACTIONS(2821), 1,
      sym_identifier,
    ACTIONS(2823), 1,
      anon_sym_GT,
    ACTIONS(2825), 1,
      sym_jsx_identifier,
    STATE(1414), 1,
      sym_nested_identifier,
    STATE(1666), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47174] = 6,
    ACTIONS(2721), 1,
      anon_sym_extends,
    ACTIONS(2819), 1,
      anon_sym_LBRACE,
    ACTIONS(2827), 1,
      sym_identifier,
    STATE(492), 1,
      sym_class_body,
    STATE(1434), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47194] = 3,
    ACTIONS(1455), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1457), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47208] = 4,
    ACTIONS(1676), 1,
      anon_sym_COMMA,
    STATE(1227), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2687), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47223] = 5,
    ACTIONS(2829), 1,
      anon_sym_COMMA,
    ACTIONS(2831), 1,
      anon_sym_RPAREN,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    STATE(1257), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2835), 1,
      anon_sym_SQUOTE,
    STATE(1250), 1,
      aux_sym_string_repeat2,
    ACTIONS(2837), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47257] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2839), 1,
      anon_sym_class,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47274] = 5,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    ACTIONS(2841), 1,
      anon_sym_extends,
    STATE(655), 1,
      sym_class_body,
    STATE(1421), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47291] = 5,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(2843), 1,
      sym_identifier,
    ACTIONS(2845), 1,
      anon_sym_STAR,
    STATE(1430), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1724), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47319] = 5,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(2847), 1,
      sym_identifier,
    ACTIONS(2849), 1,
      anon_sym_STAR,
    STATE(1433), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47336] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2457), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [47347] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1719), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2851), 1,
      anon_sym_DQUOTE,
    STATE(1210), 1,
      aux_sym_string_repeat1,
    ACTIONS(2853), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47375] = 5,
    ACTIONS(2841), 1,
      anon_sym_extends,
    ACTIONS(2855), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_class_body,
    STATE(1524), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47392] = 4,
    ACTIONS(2857), 1,
      anon_sym_from,
    STATE(1458), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2859), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47407] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2861), 1,
      anon_sym_class,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47424] = 5,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(2863), 1,
      sym_identifier,
    ACTIONS(2865), 1,
      anon_sym_STAR,
    STATE(1593), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47441] = 4,
    ACTIONS(2867), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2869), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47456] = 5,
    ACTIONS(2819), 1,
      anon_sym_LBRACE,
    ACTIONS(2841), 1,
      anon_sym_extends,
    STATE(573), 1,
      sym_class_body,
    STATE(1486), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47473] = 4,
    ACTIONS(2867), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2871), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2873), 1,
      anon_sym_DQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat1,
    ACTIONS(2875), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47505] = 4,
    ACTIONS(2867), 1,
      anon_sym_COMMA,
    STATE(1201), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2877), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47520] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1805), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2873), 1,
      anon_sym_SQUOTE,
    STATE(1250), 1,
      aux_sym_string_repeat2,
    ACTIONS(2837), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47548] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1714), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2879), 1,
      sym_html_character_reference,
    ACTIONS(2882), 1,
      anon_sym_DQUOTE,
    ACTIONS(2884), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1207), 1,
      aux_sym__jsx_string_repeat1,
  [47578] = 5,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    ACTIONS(2841), 1,
      anon_sym_extends,
    STATE(716), 1,
      sym_class_body,
    STATE(1408), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47595] = 5,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(2887), 1,
      anon_sym_RBRACK,
    STATE(1280), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2889), 1,
      anon_sym_DQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat1,
    ACTIONS(2875), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2889), 1,
      anon_sym_SQUOTE,
    STATE(1250), 1,
      aux_sym_string_repeat2,
    ACTIONS(2837), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2851), 1,
      anon_sym_SQUOTE,
    STATE(1211), 1,
      aux_sym_string_repeat2,
    ACTIONS(2891), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47663] = 5,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(2893), 1,
      sym_identifier,
    ACTIONS(2895), 1,
      anon_sym_STAR,
    STATE(1593), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2897), 1,
      anon_sym_SQUOTE,
    STATE(1205), 1,
      aux_sym_string_repeat2,
    ACTIONS(2899), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2901), 1,
      sym_html_character_reference,
    ACTIONS(2904), 1,
      anon_sym_SQUOTE,
    ACTIONS(2906), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1215), 1,
      aux_sym__jsx_string_repeat2,
  [47716] = 5,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(2909), 1,
      sym_identifier,
    ACTIONS(2911), 1,
      anon_sym_STAR,
    STATE(1433), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47733] = 5,
    ACTIONS(2841), 1,
      anon_sym_extends,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(63), 1,
      sym_class_body,
    STATE(1595), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47750] = 5,
    ACTIONS(2841), 1,
      anon_sym_extends,
    ACTIONS(2855), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_class_body,
    STATE(1587), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47767] = 5,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(2915), 1,
      sym_identifier,
    ACTIONS(2917), 1,
      anon_sym_STAR,
    STATE(1420), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47784] = 5,
    ACTIONS(2819), 1,
      anon_sym_LBRACE,
    ACTIONS(2841), 1,
      anon_sym_extends,
    STATE(491), 1,
      sym_class_body,
    STATE(1572), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2835), 1,
      anon_sym_DQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat1,
    ACTIONS(2875), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47818] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2919), 1,
      anon_sym_class,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2897), 1,
      anon_sym_DQUOTE,
    STATE(1202), 1,
      aux_sym_string_repeat1,
    ACTIONS(2921), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47852] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47863] = 5,
    ACTIONS(2841), 1,
      anon_sym_extends,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(55), 1,
      sym_class_body,
    STATE(1539), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47880] = 5,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(2923), 1,
      sym_identifier,
    ACTIONS(2925), 1,
      anon_sym_STAR,
    STATE(1593), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47897] = 4,
    ACTIONS(2927), 1,
      anon_sym_COMMA,
    STATE(1227), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47912] = 4,
    ACTIONS(2867), 1,
      anon_sym_COMMA,
    STATE(1199), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2930), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2932), 1,
      sym_html_character_reference,
    ACTIONS(2934), 1,
      anon_sym_DQUOTE,
    ACTIONS(2936), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1207), 1,
      aux_sym__jsx_string_repeat1,
  [47946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2934), 1,
      anon_sym_SQUOTE,
    ACTIONS(2938), 1,
      sym_html_character_reference,
    ACTIONS(2940), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1215), 1,
      aux_sym__jsx_string_repeat2,
  [47965] = 4,
    ACTIONS(2942), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2945), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47980] = 5,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    ACTIONS(2841), 1,
      anon_sym_extends,
    STATE(748), 1,
      sym_class_body,
    STATE(1401), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2947), 1,
      anon_sym_SQUOTE,
    STATE(1250), 1,
      aux_sym_string_repeat2,
    ACTIONS(2837), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2947), 1,
      anon_sym_DQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat1,
    ACTIONS(2875), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48031] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2949), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [48042] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2799), 1,
      anon_sym_class,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48059] = 3,
    ACTIONS(2951), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1267), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [48072] = 5,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    ACTIONS(2841), 1,
      anon_sym_extends,
    STATE(744), 1,
      sym_class_body,
    STATE(1389), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48089] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2179), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2953), 1,
      anon_sym_SQUOTE,
    STATE(1186), 1,
      aux_sym_string_repeat2,
    ACTIONS(2955), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2953), 1,
      anon_sym_DQUOTE,
    STATE(1221), 1,
      aux_sym_string_repeat1,
    ACTIONS(2957), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48136] = 4,
    ACTIONS(2959), 1,
      anon_sym_EQ,
    STATE(1457), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2574), 2,
      anon_sym_in,
      anon_sym_of,
  [48151] = 4,
    ACTIONS(2085), 1,
      anon_sym_COLON,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2961), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48166] = 5,
    ACTIONS(2963), 1,
      anon_sym_with,
    ACTIONS(2965), 1,
      anon_sym_SEMI,
    ACTIONS(2967), 1,
      sym__automatic_semicolon,
    STATE(1574), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48183] = 4,
    ACTIONS(2453), 1,
      anon_sym_STAR,
    ACTIONS(2455), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1604), 2,
      sym_namespace_import,
      sym_named_imports,
  [48198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2969), 1,
      anon_sym_SQUOTE,
    STATE(1233), 1,
      aux_sym_string_repeat2,
    ACTIONS(2971), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2969), 1,
      anon_sym_DQUOTE,
    STATE(1234), 1,
      aux_sym_string_repeat1,
    ACTIONS(2973), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48232] = 4,
    ACTIONS(2963), 1,
      anon_sym_with,
    STATE(1499), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2975), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48247] = 4,
    ACTIONS(2977), 1,
      anon_sym_COMMA,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1738), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [48262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2980), 1,
      anon_sym_SQUOTE,
    STATE(1250), 1,
      aux_sym_string_repeat2,
    ACTIONS(2982), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48279] = 5,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(2985), 1,
      sym_identifier,
    ACTIONS(2987), 1,
      anon_sym_STAR,
    STATE(1433), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2989), 1,
      anon_sym_DQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat1,
    ACTIONS(2991), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2994), 1,
      sym_html_character_reference,
    ACTIONS(2996), 1,
      anon_sym_DQUOTE,
    ACTIONS(2998), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1229), 1,
      aux_sym__jsx_string_repeat1,
  [48332] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2996), 1,
      anon_sym_SQUOTE,
    ACTIONS(3000), 1,
      sym_html_character_reference,
    ACTIONS(3002), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1230), 1,
      aux_sym__jsx_string_repeat2,
  [48351] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2701), 1,
      anon_sym_class,
    STATE(941), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48368] = 5,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(3004), 1,
      anon_sym_RBRACK,
    STATE(1305), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48385] = 4,
    ACTIONS(705), 1,
      anon_sym_RPAREN,
    ACTIONS(3006), 1,
      anon_sym_COMMA,
    STATE(1290), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48399] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3008), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48413] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2945), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [48423] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48437] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    STATE(1269), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48451] = 4,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(3010), 1,
      sym_identifier,
    STATE(1563), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48465] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2737), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [48475] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3012), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48489] = 4,
    ACTIONS(2598), 1,
      anon_sym_RBRACE,
    ACTIONS(3014), 1,
      anon_sym_COMMA,
    STATE(1342), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48503] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(3016), 1,
      anon_sym_RPAREN,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48517] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3018), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48531] = 4,
    ACTIONS(3020), 1,
      anon_sym_LPAREN,
    ACTIONS(3022), 1,
      anon_sym_await,
    STATE(33), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48545] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(3024), 1,
      anon_sym_RPAREN,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48559] = 4,
    ACTIONS(3026), 1,
      anon_sym_COMMA,
    ACTIONS(3028), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48573] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2887), 1,
      anon_sym_RBRACK,
    STATE(1280), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48587] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3030), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48601] = 4,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(3032), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48615] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3034), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48629] = 3,
    ACTIONS(3036), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3038), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48641] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48655] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48669] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(1266), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48683] = 4,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(3042), 1,
      sym_identifier,
    STATE(1406), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48697] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_RBRACK,
    STATE(1352), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48711] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(3046), 1,
      anon_sym_RBRACK,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48725] = 4,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(3048), 1,
      anon_sym_COLON,
    STATE(1493), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48739] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_RBRACE,
    STATE(1327), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48753] = 4,
    ACTIONS(3050), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48767] = 4,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(3032), 1,
      anon_sym_RBRACE,
    STATE(1341), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48781] = 4,
    ACTIONS(3055), 1,
      anon_sym_COMMA,
    ACTIONS(3058), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48795] = 3,
    ACTIONS(1639), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1812), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [48807] = 3,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3060), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [48819] = 3,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1283), 2,
      anon_sym_in,
      anon_sym_of,
  [48831] = 4,
    ACTIONS(3060), 1,
      anon_sym_RPAREN,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    STATE(1290), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48845] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3065), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48859] = 4,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48873] = 4,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2803), 1,
      anon_sym_LBRACK,
    ACTIONS(2805), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48887] = 4,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48901] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48915] = 4,
    ACTIONS(2857), 1,
      anon_sym_from,
    ACTIONS(3073), 1,
      anon_sym_as,
    STATE(1438), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48929] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1726), 1,
      anon_sym_RPAREN,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48943] = 4,
    ACTIONS(2807), 1,
      sym_identifier,
    ACTIONS(2809), 1,
      anon_sym_LBRACK,
    ACTIONS(2811), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48957] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3075), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48971] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1726), 1,
      anon_sym_RPAREN,
    STATE(1315), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3077), 1,
      sym__glimmer_template_content,
    ACTIONS(3079), 1,
      sym_glimmer_closing_tag,
    STATE(1351), 1,
      aux_sym_glimmer_template_repeat1,
  [49001] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2887), 1,
      anon_sym_RBRACK,
    STATE(1352), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49015] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1760), 1,
      anon_sym_RBRACK,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49029] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1760), 1,
      anon_sym_RBRACK,
    STATE(1281), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49043] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3081), 1,
      anon_sym_RBRACK,
    STATE(1352), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49057] = 4,
    ACTIONS(2829), 1,
      anon_sym_COMMA,
    ACTIONS(2831), 1,
      anon_sym_RPAREN,
    STATE(1257), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49071] = 4,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(3083), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49085] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3085), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49099] = 4,
    ACTIONS(3087), 1,
      sym_identifier,
    STATE(917), 1,
      sym_decorator_member_expression,
    STATE(960), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49113] = 3,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3089), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49125] = 4,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_COLON,
    STATE(1493), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49139] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3085), 1,
      anon_sym_RBRACE,
    STATE(1291), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49153] = 4,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(3083), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49167] = 3,
    ACTIONS(3093), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1283), 2,
      anon_sym_in,
      anon_sym_of,
  [49179] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49193] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3097), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3099), 1,
      sym__glimmer_template_content,
    ACTIONS(3101), 1,
      sym_glimmer_closing_tag,
    STATE(1301), 1,
      aux_sym_glimmer_template_repeat1,
  [49219] = 4,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    STATE(1332), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49233] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3004), 1,
      anon_sym_RBRACK,
    STATE(1305), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49247] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1701), 1,
      anon_sym_RBRACK,
    STATE(1343), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49261] = 4,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(3103), 1,
      sym_identifier,
    STATE(1592), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49275] = 4,
    ACTIONS(3105), 1,
      anon_sym_COMMA,
    ACTIONS(3108), 1,
      anon_sym_RBRACE,
    STATE(1322), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49289] = 4,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(3110), 1,
      sym_identifier,
    STATE(1563), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49303] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3112), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49313] = 4,
    ACTIONS(3114), 1,
      anon_sym_COMMA,
    ACTIONS(3116), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49327] = 3,
    ACTIONS(3118), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3120), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49339] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3122), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49353] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(1701), 1,
      anon_sym_RBRACK,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49367] = 4,
    ACTIONS(2592), 1,
      anon_sym_RBRACE,
    ACTIONS(3124), 1,
      anon_sym_COMMA,
    STATE(1322), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49381] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3004), 1,
      anon_sym_RBRACK,
    STATE(1352), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49395] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3126), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49405] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3128), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [49415] = 4,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(3130), 1,
      sym_identifier,
    STATE(1419), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3077), 1,
      sym__glimmer_template_content,
    ACTIONS(3132), 1,
      sym_glimmer_closing_tag,
    STATE(1351), 1,
      aux_sym_glimmer_template_repeat1,
  [49445] = 4,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    STATE(313), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3138), 1,
      sym__glimmer_template_content,
    ACTIONS(3140), 1,
      sym_glimmer_closing_tag,
    STATE(1354), 1,
      aux_sym_glimmer_template_repeat1,
  [49475] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1738), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [49485] = 4,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(3142), 1,
      sym_identifier,
    STATE(1563), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49499] = 4,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(3144), 1,
      sym_identifier,
    STATE(1592), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49513] = 4,
    ACTIONS(977), 1,
      anon_sym_while,
    ACTIONS(3146), 1,
      anon_sym_else,
    STATE(363), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49527] = 4,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(3148), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49541] = 4,
    ACTIONS(3150), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    STATE(1342), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49555] = 4,
    ACTIONS(711), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_RBRACK,
    STATE(1249), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3157), 1,
      sym__glimmer_template_content,
    ACTIONS(3159), 1,
      sym_glimmer_closing_tag,
    STATE(1334), 1,
      aux_sym_glimmer_template_repeat1,
  [49585] = 3,
    ACTIONS(3161), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3163), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49597] = 3,
    ACTIONS(3165), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3167), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49609] = 4,
    ACTIONS(3169), 1,
      anon_sym_LPAREN,
    ACTIONS(3171), 1,
      anon_sym_await,
    STATE(29), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49623] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    STATE(1272), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49637] = 3,
    ACTIONS(2833), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3175), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [49649] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3177), 1,
      sym__glimmer_template_content,
    ACTIONS(3180), 1,
      sym_glimmer_closing_tag,
    STATE(1351), 1,
      aux_sym_glimmer_template_repeat1,
  [49679] = 4,
    ACTIONS(3175), 1,
      anon_sym_RBRACK,
    ACTIONS(3182), 1,
      anon_sym_COMMA,
    STATE(1352), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49693] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3185), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3077), 1,
      sym__glimmer_template_content,
    ACTIONS(3187), 1,
      sym_glimmer_closing_tag,
    STATE(1351), 1,
      aux_sym_glimmer_template_repeat1,
  [49719] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3189), 1,
      anon_sym_RBRACE,
    STATE(1286), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49733] = 4,
    ACTIONS(2059), 1,
      anon_sym_COMMA,
    ACTIONS(3191), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49747] = 4,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    ACTIONS(3193), 1,
      sym_identifier,
    STATE(1592), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49761] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1553), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49772] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(920), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49783] = 3,
    ACTIONS(3195), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49794] = 3,
    ACTIONS(3195), 1,
      anon_sym_LPAREN,
    STATE(1403), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49805] = 3,
    ACTIONS(3195), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49816] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(291), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49827] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49838] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49849] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3197), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49858] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1678), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49867] = 3,
    ACTIONS(3199), 1,
      sym_identifier,
    ACTIONS(3201), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49878] = 3,
    ACTIONS(2857), 1,
      anon_sym_from,
    STATE(1456), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49889] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49900] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(913), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49911] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49922] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(893), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49933] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(726), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49944] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49955] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49966] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(906), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49977] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49988] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49999] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50010] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50021] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(897), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50032] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(904), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50043] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(919), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50054] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(920), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50065] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50076] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(727), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50087] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3008), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50098] = 3,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    STATE(730), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50109] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3008), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50120] = 3,
    ACTIONS(3205), 1,
      anon_sym_COMMA,
    ACTIONS(3207), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50131] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(733), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50142] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50153] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50164] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50175] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50186] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(922), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50197] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(903), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50208] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(902), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50219] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50230] = 3,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    STATE(737), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50241] = 3,
    ACTIONS(2857), 1,
      anon_sym_from,
    STATE(1244), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50252] = 3,
    ACTIONS(3209), 1,
      anon_sym_LBRACE,
    STATE(348), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50263] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(741), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50274] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(742), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50285] = 3,
    ACTIONS(3211), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50296] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(745), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50307] = 3,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    STATE(746), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50318] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50329] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50340] = 3,
    ACTIONS(2819), 1,
      anon_sym_LBRACE,
    STATE(569), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50351] = 3,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(30), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50362] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3215), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [50371] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3018), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50382] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3018), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50393] = 3,
    ACTIONS(3195), 1,
      anon_sym_LPAREN,
    STATE(40), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50404] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3217), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50413] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(747), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50424] = 3,
    ACTIONS(3211), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50435] = 3,
    ACTIONS(3211), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50446] = 3,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50457] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50468] = 3,
    ACTIONS(2807), 1,
      sym_identifier,
    ACTIONS(2811), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50479] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3075), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50490] = 3,
    ACTIONS(3219), 1,
      sym_identifier,
    ACTIONS(3221), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50501] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3075), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50512] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3223), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50521] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1687), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50530] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50539] = 3,
    ACTIONS(3211), 1,
      anon_sym_LBRACE,
    STATE(517), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50550] = 3,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    STATE(699), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50561] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1591), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50572] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(685), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50583] = 3,
    ACTIONS(2819), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50594] = 3,
    ACTIONS(3225), 1,
      sym_identifier,
    ACTIONS(3227), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50605] = 3,
    ACTIONS(2801), 1,
      sym_identifier,
    ACTIONS(2805), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50616] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50625] = 3,
    ACTIONS(3229), 1,
      anon_sym_SEMI,
    ACTIONS(3231), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50636] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50645] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1525), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50654] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1451), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50665] = 3,
    ACTIONS(3233), 1,
      sym_identifier,
    ACTIONS(3235), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50676] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1584), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50687] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50698] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50709] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50720] = 3,
    ACTIONS(3195), 1,
      anon_sym_LPAREN,
    STATE(28), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50731] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(913), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50742] = 3,
    ACTIONS(3195), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50753] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50764] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(893), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50775] = 3,
    ACTIONS(3195), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50786] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3237), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50795] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(329), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50806] = 3,
    ACTIONS(3211), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50817] = 3,
    ACTIONS(3239), 1,
      anon_sym_SEMI,
    ACTIONS(3241), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50828] = 3,
    ACTIONS(2739), 1,
      anon_sym_in,
    ACTIONS(2741), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50839] = 3,
    ACTIONS(3243), 1,
      anon_sym_SEMI,
    ACTIONS(3245), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50850] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1332), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50859] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3053), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50868] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50879] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50890] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(906), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50901] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1444), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50912] = 3,
    ACTIONS(3213), 1,
      anon_sym_LPAREN,
    STATE(45), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50923] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1445), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50934] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1446), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50945] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50956] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50967] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50978] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50989] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1418), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51000] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1448), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51011] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1450), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51022] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3058), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51031] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(897), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51042] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(904), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51053] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(919), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51064] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3247), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [51073] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51084] = 3,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    STATE(316), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51095] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(65), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51106] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3253), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51115] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3255), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51124] = 3,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2321), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51135] = 3,
    ACTIONS(2819), 1,
      anon_sym_LBRACE,
    STATE(528), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51146] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3257), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [51155] = 3,
    ACTIONS(3211), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51166] = 3,
    ACTIONS(3211), 1,
      anon_sym_LBRACE,
    STATE(530), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51177] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1455), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51188] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2574), 2,
      anon_sym_in,
      anon_sym_of,
  [51197] = 3,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(3259), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51208] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51219] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1575), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51230] = 3,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1573), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51241] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1410), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51252] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(512), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51261] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51270] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51279] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3265), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51288] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1407), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51299] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51310] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51321] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1405), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51332] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51343] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1461), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51354] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1404), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51365] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1462), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51376] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1463), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51387] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1468), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51398] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(922), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51409] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1469), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51420] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1470), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51431] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1471), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51442] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1476), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51453] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(903), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51464] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1477), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51475] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1478), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51486] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1359), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51497] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(902), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51508] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1480), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51519] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51530] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1805), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [51539] = 3,
    ACTIONS(2855), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51550] = 3,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51561] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1400), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51572] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1399), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51583] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1398), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51594] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1396), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51605] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1395), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51616] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1394), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51627] = 3,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51638] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1481), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51649] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1393), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51660] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1392), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51671] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3267), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51680] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1387), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51691] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3108), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51700] = 3,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(54), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51711] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3269), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51720] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1386), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51731] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1385), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51742] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1384), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51753] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1383), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51764] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1382), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51775] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1381), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51786] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1380), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51797] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1379), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51808] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1378), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51819] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1377), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51830] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1376), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51841] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1375), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51852] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(66), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51863] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1569), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51874] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1374), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51885] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(57), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51896] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1373), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51907] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1372), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51918] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1371), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51929] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1370), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51940] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1365), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51951] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1364), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51962] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(749), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51973] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1482), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51984] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3089), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51993] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52004] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3060), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52013] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3271), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [52022] = 3,
    ACTIONS(3211), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52033] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1488), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52044] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1489), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52055] = 3,
    ACTIONS(2819), 1,
      anon_sym_LBRACE,
    STATE(576), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52066] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3273), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52075] = 3,
    ACTIONS(3275), 1,
      anon_sym_SEMI,
    ACTIONS(3277), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52086] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52097] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1502), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52108] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1503), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52119] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1505), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52130] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1511), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52141] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1516), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52152] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1520), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52163] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1522), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52174] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52185] = 3,
    ACTIONS(3249), 1,
      anon_sym_LBRACE,
    STATE(334), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52196] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1525), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52207] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1532), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52218] = 3,
    ACTIONS(2855), 1,
      anon_sym_LBRACE,
    STATE(326), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52229] = 3,
    ACTIONS(2719), 1,
      anon_sym_LBRACE,
    STATE(678), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52240] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3012), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52251] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3012), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52262] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(52), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52273] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(666), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52284] = 3,
    ACTIONS(3203), 1,
      anon_sym_LBRACE,
    STATE(663), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52295] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1556), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52306] = 3,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52317] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3279), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52326] = 3,
    ACTIONS(2626), 1,
      anon_sym_LPAREN,
    STATE(1583), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52337] = 3,
    ACTIONS(3281), 1,
      sym_identifier,
    ACTIONS(3283), 1,
      sym_jsx_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52348] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3175), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [52357] = 3,
    ACTIONS(3134), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52368] = 3,
    ACTIONS(3285), 1,
      anon_sym_LPAREN,
    STATE(324), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52379] = 2,
    ACTIONS(3287), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52387] = 2,
    ACTIONS(3289), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52395] = 2,
    ACTIONS(3291), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52403] = 2,
    ACTIONS(3012), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52411] = 2,
    ACTIONS(3293), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52419] = 2,
    ACTIONS(3295), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52427] = 2,
    ACTIONS(1746), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52435] = 2,
    ACTIONS(1728), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52443] = 2,
    ACTIONS(3297), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52451] = 2,
    ACTIONS(1703), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52459] = 2,
    ACTIONS(1607), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52467] = 2,
    ACTIONS(3299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52475] = 2,
    ACTIONS(3301), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52483] = 2,
    ACTIONS(3303), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52491] = 2,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52499] = 2,
    ACTIONS(3307), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3309), 1,
      sym_regex_pattern,
  [52517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3311), 1,
      sym_regex_pattern,
  [52527] = 2,
    ACTIONS(3313), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52535] = 2,
    ACTIONS(3315), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52543] = 2,
    ACTIONS(3317), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52551] = 2,
    ACTIONS(3319), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52559] = 2,
    ACTIONS(1744), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52567] = 2,
    ACTIONS(3321), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52575] = 2,
    ACTIONS(1697), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52583] = 2,
    ACTIONS(3323), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52591] = 2,
    ACTIONS(3325), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52599] = 2,
    ACTIONS(3327), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52607] = 2,
    ACTIONS(3028), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52615] = 2,
    ACTIONS(3329), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52623] = 2,
    ACTIONS(1734), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52631] = 2,
    ACTIONS(1736), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52639] = 2,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52647] = 2,
    ACTIONS(1693), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52655] = 2,
    ACTIONS(3331), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52663] = 2,
    ACTIONS(3333), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52671] = 2,
    ACTIONS(1699), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52679] = 2,
    ACTIONS(3335), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52687] = 2,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52695] = 2,
    ACTIONS(3337), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52703] = 2,
    ACTIONS(3339), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52711] = 2,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3341), 1,
      sym_regex_pattern,
  [52729] = 2,
    ACTIONS(3343), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52737] = 2,
    ACTIONS(3345), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52745] = 2,
    ACTIONS(3116), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52753] = 2,
    ACTIONS(2951), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52761] = 2,
    ACTIONS(1381), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52769] = 2,
    ACTIONS(3347), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3349), 1,
      anon_sym_SLASH2,
  [52787] = 2,
    ACTIONS(3351), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52795] = 2,
    ACTIONS(2769), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52803] = 2,
    ACTIONS(3353), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52811] = 2,
    ACTIONS(3355), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52819] = 2,
    ACTIONS(3259), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52827] = 2,
    ACTIONS(2321), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52835] = 2,
    ACTIONS(3357), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52843] = 2,
    ACTIONS(3359), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52851] = 2,
    ACTIONS(3361), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3363), 1,
      anon_sym_SLASH2,
  [52869] = 2,
    ACTIONS(3075), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52877] = 2,
    ACTIONS(1752), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52885] = 2,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52893] = 2,
    ACTIONS(1754), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52901] = 2,
    ACTIONS(3018), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3365), 1,
      anon_sym_SLASH2,
  [52919] = 2,
    ACTIONS(3207), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52927] = 2,
    ACTIONS(1750), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52935] = 2,
    ACTIONS(1742), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52943] = 2,
    ACTIONS(3367), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52951] = 2,
    ACTIONS(3369), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52959] = 2,
    ACTIONS(3008), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52967] = 2,
    ACTIONS(1838), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3371), 1,
      anon_sym_SLASH2,
  [52985] = 2,
    ACTIONS(3373), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52993] = 2,
    ACTIONS(3375), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53001] = 2,
    ACTIONS(3377), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53009] = 2,
    ACTIONS(3379), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53017] = 2,
    ACTIONS(3381), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53025] = 2,
    ACTIONS(3383), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53033] = 2,
    ACTIONS(3385), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53041] = 2,
    ACTIONS(3387), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53049] = 2,
    ACTIONS(3093), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53057] = 2,
    ACTIONS(3389), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53065] = 2,
    ACTIONS(1639), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3391), 1,
      sym_regex_pattern,
  [53083] = 2,
    ACTIONS(3393), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53091] = 2,
    ACTIONS(3395), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53099] = 2,
    ACTIONS(1756), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53107] = 2,
    ACTIONS(1786), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53115] = 2,
    ACTIONS(3397), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53123] = 2,
    ACTIONS(3399), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(311)] = 0,
  [SMALL_STATE(312)] = 89,
  [SMALL_STATE(313)] = 164,
  [SMALL_STATE(314)] = 234,
  [SMALL_STATE(315)] = 306,
  [SMALL_STATE(316)] = 378,
  [SMALL_STATE(317)] = 450,
  [SMALL_STATE(318)] = 536,
  [SMALL_STATE(319)] = 626,
  [SMALL_STATE(320)] = 698,
  [SMALL_STATE(321)] = 784,
  [SMALL_STATE(322)] = 856,
  [SMALL_STATE(323)] = 942,
  [SMALL_STATE(324)] = 1012,
  [SMALL_STATE(325)] = 1084,
  [SMALL_STATE(326)] = 1156,
  [SMALL_STATE(327)] = 1228,
  [SMALL_STATE(328)] = 1300,
  [SMALL_STATE(329)] = 1370,
  [SMALL_STATE(330)] = 1440,
  [SMALL_STATE(331)] = 1510,
  [SMALL_STATE(332)] = 1580,
  [SMALL_STATE(333)] = 1654,
  [SMALL_STATE(334)] = 1726,
  [SMALL_STATE(335)] = 1798,
  [SMALL_STATE(336)] = 1868,
  [SMALL_STATE(337)] = 1938,
  [SMALL_STATE(338)] = 2008,
  [SMALL_STATE(339)] = 2077,
  [SMALL_STATE(340)] = 2146,
  [SMALL_STATE(341)] = 2215,
  [SMALL_STATE(342)] = 2284,
  [SMALL_STATE(343)] = 2353,
  [SMALL_STATE(344)] = 2422,
  [SMALL_STATE(345)] = 2491,
  [SMALL_STATE(346)] = 2560,
  [SMALL_STATE(347)] = 2629,
  [SMALL_STATE(348)] = 2698,
  [SMALL_STATE(349)] = 2767,
  [SMALL_STATE(350)] = 2836,
  [SMALL_STATE(351)] = 2925,
  [SMALL_STATE(352)] = 2994,
  [SMALL_STATE(353)] = 3063,
  [SMALL_STATE(354)] = 3132,
  [SMALL_STATE(355)] = 3219,
  [SMALL_STATE(356)] = 3288,
  [SMALL_STATE(357)] = 3357,
  [SMALL_STATE(358)] = 3426,
  [SMALL_STATE(359)] = 3495,
  [SMALL_STATE(360)] = 3564,
  [SMALL_STATE(361)] = 3633,
  [SMALL_STATE(362)] = 3702,
  [SMALL_STATE(363)] = 3771,
  [SMALL_STATE(364)] = 3840,
  [SMALL_STATE(365)] = 3909,
  [SMALL_STATE(366)] = 3998,
  [SMALL_STATE(367)] = 4083,
  [SMALL_STATE(368)] = 4152,
  [SMALL_STATE(369)] = 4221,
  [SMALL_STATE(370)] = 4290,
  [SMALL_STATE(371)] = 4359,
  [SMALL_STATE(372)] = 4428,
  [SMALL_STATE(373)] = 4497,
  [SMALL_STATE(374)] = 4566,
  [SMALL_STATE(375)] = 4635,
  [SMALL_STATE(376)] = 4704,
  [SMALL_STATE(377)] = 4773,
  [SMALL_STATE(378)] = 4842,
  [SMALL_STATE(379)] = 4911,
  [SMALL_STATE(380)] = 4980,
  [SMALL_STATE(381)] = 5049,
  [SMALL_STATE(382)] = 5118,
  [SMALL_STATE(383)] = 5187,
  [SMALL_STATE(384)] = 5256,
  [SMALL_STATE(385)] = 5343,
  [SMALL_STATE(386)] = 5428,
  [SMALL_STATE(387)] = 5497,
  [SMALL_STATE(388)] = 5566,
  [SMALL_STATE(389)] = 5635,
  [SMALL_STATE(390)] = 5704,
  [SMALL_STATE(391)] = 5773,
  [SMALL_STATE(392)] = 5842,
  [SMALL_STATE(393)] = 5911,
  [SMALL_STATE(394)] = 5980,
  [SMALL_STATE(395)] = 6049,
  [SMALL_STATE(396)] = 6118,
  [SMALL_STATE(397)] = 6187,
  [SMALL_STATE(398)] = 6256,
  [SMALL_STATE(399)] = 6325,
  [SMALL_STATE(400)] = 6394,
  [SMALL_STATE(401)] = 6463,
  [SMALL_STATE(402)] = 6532,
  [SMALL_STATE(403)] = 6615,
  [SMALL_STATE(404)] = 6697,
  [SMALL_STATE(405)] = 6779,
  [SMALL_STATE(406)] = 6861,
  [SMALL_STATE(407)] = 6930,
  [SMALL_STATE(408)] = 6995,
  [SMALL_STATE(409)] = 7078,
  [SMALL_STATE(410)] = 7143,
  [SMALL_STATE(411)] = 7208,
  [SMALL_STATE(412)] = 7273,
  [SMALL_STATE(413)] = 7338,
  [SMALL_STATE(414)] = 7403,
  [SMALL_STATE(415)] = 7468,
  [SMALL_STATE(416)] = 7538,
  [SMALL_STATE(417)] = 7602,
  [SMALL_STATE(418)] = 7672,
  [SMALL_STATE(419)] = 7742,
  [SMALL_STATE(420)] = 7806,
  [SMALL_STATE(421)] = 7876,
  [SMALL_STATE(422)] = 7940,
  [SMALL_STATE(423)] = 8004,
  [SMALL_STATE(424)] = 8068,
  [SMALL_STATE(425)] = 8132,
  [SMALL_STATE(426)] = 8196,
  [SMALL_STATE(427)] = 8260,
  [SMALL_STATE(428)] = 8331,
  [SMALL_STATE(429)] = 8402,
  [SMALL_STATE(430)] = 8471,
  [SMALL_STATE(431)] = 8542,
  [SMALL_STATE(432)] = 8609,
  [SMALL_STATE(433)] = 8680,
  [SMALL_STATE(434)] = 8753,
  [SMALL_STATE(435)] = 8826,
  [SMALL_STATE(436)] = 8897,
  [SMALL_STATE(437)] = 8966,
  [SMALL_STATE(438)] = 9029,
  [SMALL_STATE(439)] = 9098,
  [SMALL_STATE(440)] = 9167,
  [SMALL_STATE(441)] = 9234,
  [SMALL_STATE(442)] = 9303,
  [SMALL_STATE(443)] = 9374,
  [SMALL_STATE(444)] = 9445,
  [SMALL_STATE(445)] = 9516,
  [SMALL_STATE(446)] = 9579,
  [SMALL_STATE(447)] = 9642,
  [SMALL_STATE(448)] = 9705,
  [SMALL_STATE(449)] = 9768,
  [SMALL_STATE(450)] = 9839,
  [SMALL_STATE(451)] = 9902,
  [SMALL_STATE(452)] = 9971,
  [SMALL_STATE(453)] = 10040,
  [SMALL_STATE(454)] = 10109,
  [SMALL_STATE(455)] = 10180,
  [SMALL_STATE(456)] = 10243,
  [SMALL_STATE(457)] = 10311,
  [SMALL_STATE(458)] = 10377,
  [SMALL_STATE(459)] = 10447,
  [SMALL_STATE(460)] = 10517,
  [SMALL_STATE(461)] = 10585,
  [SMALL_STATE(462)] = 10655,
  [SMALL_STATE(463)] = 10723,
  [SMALL_STATE(464)] = 10789,
  [SMALL_STATE(465)] = 10860,
  [SMALL_STATE(466)] = 10927,
  [SMALL_STATE(467)] = 10998,
  [SMALL_STATE(468)] = 11065,
  [SMALL_STATE(469)] = 11132,
  [SMALL_STATE(470)] = 11198,
  [SMALL_STATE(471)] = 11264,
  [SMALL_STATE(472)] = 11330,
  [SMALL_STATE(473)] = 11400,
  [SMALL_STATE(474)] = 11470,
  [SMALL_STATE(475)] = 11538,
  [SMALL_STATE(476)] = 11604,
  [SMALL_STATE(477)] = 11671,
  [SMALL_STATE(478)] = 11734,
  [SMALL_STATE(479)] = 11799,
  [SMALL_STATE(480)] = 11862,
  [SMALL_STATE(481)] = 11917,
  [SMALL_STATE(482)] = 11982,
  [SMALL_STATE(483)] = 12034,
  [SMALL_STATE(484)] = 12088,
  [SMALL_STATE(485)] = 12140,
  [SMALL_STATE(486)] = 12194,
  [SMALL_STATE(487)] = 12248,
  [SMALL_STATE(488)] = 12308,
  [SMALL_STATE(489)] = 12362,
  [SMALL_STATE(490)] = 12414,
  [SMALL_STATE(491)] = 12509,
  [SMALL_STATE(492)] = 12558,
  [SMALL_STATE(493)] = 12607,
  [SMALL_STATE(494)] = 12656,
  [SMALL_STATE(495)] = 12751,
  [SMALL_STATE(496)] = 12814,
  [SMALL_STATE(497)] = 12863,
  [SMALL_STATE(498)] = 12912,
  [SMALL_STATE(499)] = 12967,
  [SMALL_STATE(500)] = 13016,
  [SMALL_STATE(501)] = 13065,
  [SMALL_STATE(502)] = 13114,
  [SMALL_STATE(503)] = 13163,
  [SMALL_STATE(504)] = 13258,
  [SMALL_STATE(505)] = 13307,
  [SMALL_STATE(506)] = 13402,
  [SMALL_STATE(507)] = 13451,
  [SMALL_STATE(508)] = 13500,
  [SMALL_STATE(509)] = 13551,
  [SMALL_STATE(510)] = 13600,
  [SMALL_STATE(511)] = 13651,
  [SMALL_STATE(512)] = 13746,
  [SMALL_STATE(513)] = 13795,
  [SMALL_STATE(514)] = 13844,
  [SMALL_STATE(515)] = 13893,
  [SMALL_STATE(516)] = 13942,
  [SMALL_STATE(517)] = 13991,
  [SMALL_STATE(518)] = 14040,
  [SMALL_STATE(519)] = 14089,
  [SMALL_STATE(520)] = 14138,
  [SMALL_STATE(521)] = 14189,
  [SMALL_STATE(522)] = 14238,
  [SMALL_STATE(523)] = 14333,
  [SMALL_STATE(524)] = 14382,
  [SMALL_STATE(525)] = 14477,
  [SMALL_STATE(526)] = 14552,
  [SMALL_STATE(527)] = 14601,
  [SMALL_STATE(528)] = 14662,
  [SMALL_STATE(529)] = 14711,
  [SMALL_STATE(530)] = 14760,
  [SMALL_STATE(531)] = 14809,
  [SMALL_STATE(532)] = 14874,
  [SMALL_STATE(533)] = 14969,
  [SMALL_STATE(534)] = 15056,
  [SMALL_STATE(535)] = 15145,
  [SMALL_STATE(536)] = 15216,
  [SMALL_STATE(537)] = 15299,
  [SMALL_STATE(538)] = 15384,
  [SMALL_STATE(539)] = 15471,
  [SMALL_STATE(540)] = 15540,
  [SMALL_STATE(541)] = 15605,
  [SMALL_STATE(542)] = 15684,
  [SMALL_STATE(543)] = 15775,
  [SMALL_STATE(544)] = 15824,
  [SMALL_STATE(545)] = 15873,
  [SMALL_STATE(546)] = 15922,
  [SMALL_STATE(547)] = 16017,
  [SMALL_STATE(548)] = 16066,
  [SMALL_STATE(549)] = 16161,
  [SMALL_STATE(550)] = 16210,
  [SMALL_STATE(551)] = 16259,
  [SMALL_STATE(552)] = 16308,
  [SMALL_STATE(553)] = 16357,
  [SMALL_STATE(554)] = 16406,
  [SMALL_STATE(555)] = 16455,
  [SMALL_STATE(556)] = 16504,
  [SMALL_STATE(557)] = 16553,
  [SMALL_STATE(558)] = 16602,
  [SMALL_STATE(559)] = 16651,
  [SMALL_STATE(560)] = 16700,
  [SMALL_STATE(561)] = 16795,
  [SMALL_STATE(562)] = 16844,
  [SMALL_STATE(563)] = 16893,
  [SMALL_STATE(564)] = 16942,
  [SMALL_STATE(565)] = 17037,
  [SMALL_STATE(566)] = 17086,
  [SMALL_STATE(567)] = 17135,
  [SMALL_STATE(568)] = 17184,
  [SMALL_STATE(569)] = 17233,
  [SMALL_STATE(570)] = 17282,
  [SMALL_STATE(571)] = 17331,
  [SMALL_STATE(572)] = 17380,
  [SMALL_STATE(573)] = 17475,
  [SMALL_STATE(574)] = 17524,
  [SMALL_STATE(575)] = 17573,
  [SMALL_STATE(576)] = 17622,
  [SMALL_STATE(577)] = 17671,
  [SMALL_STATE(578)] = 17720,
  [SMALL_STATE(579)] = 17769,
  [SMALL_STATE(580)] = 17818,
  [SMALL_STATE(581)] = 17867,
  [SMALL_STATE(582)] = 17930,
  [SMALL_STATE(583)] = 17979,
  [SMALL_STATE(584)] = 18043,
  [SMALL_STATE(585)] = 18127,
  [SMALL_STATE(586)] = 18221,
  [SMALL_STATE(587)] = 18271,
  [SMALL_STATE(588)] = 18325,
  [SMALL_STATE(589)] = 18419,
  [SMALL_STATE(590)] = 18469,
  [SMALL_STATE(591)] = 18533,
  [SMALL_STATE(592)] = 18627,
  [SMALL_STATE(593)] = 18725,
  [SMALL_STATE(594)] = 18775,
  [SMALL_STATE(595)] = 18869,
  [SMALL_STATE(596)] = 18967,
  [SMALL_STATE(597)] = 19065,
  [SMALL_STATE(598)] = 19159,
  [SMALL_STATE(599)] = 19257,
  [SMALL_STATE(600)] = 19309,
  [SMALL_STATE(601)] = 19367,
  [SMALL_STATE(602)] = 19461,
  [SMALL_STATE(603)] = 19557,
  [SMALL_STATE(604)] = 19651,
  [SMALL_STATE(605)] = 19745,
  [SMALL_STATE(606)] = 19839,
  [SMALL_STATE(607)] = 19917,
  [SMALL_STATE(608)] = 19981,
  [SMALL_STATE(609)] = 20049,
  [SMALL_STATE(610)] = 20135,
  [SMALL_STATE(611)] = 20219,
  [SMALL_STATE(612)] = 20267,
  [SMALL_STATE(613)] = 20349,
  [SMALL_STATE(614)] = 20401,
  [SMALL_STATE(615)] = 20495,
  [SMALL_STATE(616)] = 20545,
  [SMALL_STATE(617)] = 20639,
  [SMALL_STATE(618)] = 20721,
  [SMALL_STATE(619)] = 20791,
  [SMALL_STATE(620)] = 20889,
  [SMALL_STATE(621)] = 20983,
  [SMALL_STATE(622)] = 21081,
  [SMALL_STATE(623)] = 21169,
  [SMALL_STATE(624)] = 21255,
  [SMALL_STATE(625)] = 21349,
  [SMALL_STATE(626)] = 21423,
  [SMALL_STATE(627)] = 21517,
  [SMALL_STATE(628)] = 21587,
  [SMALL_STATE(629)] = 21681,
  [SMALL_STATE(630)] = 21771,
  [SMALL_STATE(631)] = 21865,
  [SMALL_STATE(632)] = 21951,
  [SMALL_STATE(633)] = 22001,
  [SMALL_STATE(634)] = 22095,
  [SMALL_STATE(635)] = 22189,
  [SMALL_STATE(636)] = 22239,
  [SMALL_STATE(637)] = 22333,
  [SMALL_STATE(638)] = 22427,
  [SMALL_STATE(639)] = 22521,
  [SMALL_STATE(640)] = 22595,
  [SMALL_STATE(641)] = 22685,
  [SMALL_STATE(642)] = 22779,
  [SMALL_STATE(643)] = 22873,
  [SMALL_STATE(644)] = 22967,
  [SMALL_STATE(645)] = 23017,
  [SMALL_STATE(646)] = 23065,
  [SMALL_STATE(647)] = 23115,
  [SMALL_STATE(648)] = 23193,
  [SMALL_STATE(649)] = 23287,
  [SMALL_STATE(650)] = 23351,
  [SMALL_STATE(651)] = 23439,
  [SMALL_STATE(652)] = 23507,
  [SMALL_STATE(653)] = 23593,
  [SMALL_STATE(654)] = 23687,
  [SMALL_STATE(655)] = 23740,
  [SMALL_STATE(656)] = 23791,
  [SMALL_STATE(657)] = 23888,
  [SMALL_STATE(658)] = 23935,
  [SMALL_STATE(659)] = 24032,
  [SMALL_STATE(660)] = 24079,
  [SMALL_STATE(661)] = 24126,
  [SMALL_STATE(662)] = 24173,
  [SMALL_STATE(663)] = 24270,
  [SMALL_STATE(664)] = 24317,
  [SMALL_STATE(665)] = 24364,
  [SMALL_STATE(666)] = 24411,
  [SMALL_STATE(667)] = 24458,
  [SMALL_STATE(668)] = 24509,
  [SMALL_STATE(669)] = 24556,
  [SMALL_STATE(670)] = 24649,
  [SMALL_STATE(671)] = 24696,
  [SMALL_STATE(672)] = 24743,
  [SMALL_STATE(673)] = 24840,
  [SMALL_STATE(674)] = 24937,
  [SMALL_STATE(675)] = 24984,
  [SMALL_STATE(676)] = 25081,
  [SMALL_STATE(677)] = 25130,
  [SMALL_STATE(678)] = 25179,
  [SMALL_STATE(679)] = 25226,
  [SMALL_STATE(680)] = 25273,
  [SMALL_STATE(681)] = 25320,
  [SMALL_STATE(682)] = 25367,
  [SMALL_STATE(683)] = 25418,
  [SMALL_STATE(684)] = 25465,
  [SMALL_STATE(685)] = 25512,
  [SMALL_STATE(686)] = 25559,
  [SMALL_STATE(687)] = 25606,
  [SMALL_STATE(688)] = 25653,
  [SMALL_STATE(689)] = 25700,
  [SMALL_STATE(690)] = 25797,
  [SMALL_STATE(691)] = 25894,
  [SMALL_STATE(692)] = 25947,
  [SMALL_STATE(693)] = 26000,
  [SMALL_STATE(694)] = 26053,
  [SMALL_STATE(695)] = 26100,
  [SMALL_STATE(696)] = 26147,
  [SMALL_STATE(697)] = 26198,
  [SMALL_STATE(698)] = 26249,
  [SMALL_STATE(699)] = 26300,
  [SMALL_STATE(700)] = 26347,
  [SMALL_STATE(701)] = 26394,
  [SMALL_STATE(702)] = 26491,
  [SMALL_STATE(703)] = 26538,
  [SMALL_STATE(704)] = 26585,
  [SMALL_STATE(705)] = 26634,
  [SMALL_STATE(706)] = 26731,
  [SMALL_STATE(707)] = 26778,
  [SMALL_STATE(708)] = 26825,
  [SMALL_STATE(709)] = 26878,
  [SMALL_STATE(710)] = 26925,
  [SMALL_STATE(711)] = 27022,
  [SMALL_STATE(712)] = 27119,
  [SMALL_STATE(713)] = 27168,
  [SMALL_STATE(714)] = 27265,
  [SMALL_STATE(715)] = 27312,
  [SMALL_STATE(716)] = 27363,
  [SMALL_STATE(717)] = 27410,
  [SMALL_STATE(718)] = 27507,
  [SMALL_STATE(719)] = 27554,
  [SMALL_STATE(720)] = 27647,
  [SMALL_STATE(721)] = 27694,
  [SMALL_STATE(722)] = 27791,
  [SMALL_STATE(723)] = 27888,
  [SMALL_STATE(724)] = 27939,
  [SMALL_STATE(725)] = 28036,
  [SMALL_STATE(726)] = 28083,
  [SMALL_STATE(727)] = 28130,
  [SMALL_STATE(728)] = 28181,
  [SMALL_STATE(729)] = 28228,
  [SMALL_STATE(730)] = 28325,
  [SMALL_STATE(731)] = 28372,
  [SMALL_STATE(732)] = 28469,
  [SMALL_STATE(733)] = 28566,
  [SMALL_STATE(734)] = 28613,
  [SMALL_STATE(735)] = 28660,
  [SMALL_STATE(736)] = 28753,
  [SMALL_STATE(737)] = 28800,
  [SMALL_STATE(738)] = 28851,
  [SMALL_STATE(739)] = 28898,
  [SMALL_STATE(740)] = 28995,
  [SMALL_STATE(741)] = 29092,
  [SMALL_STATE(742)] = 29143,
  [SMALL_STATE(743)] = 29194,
  [SMALL_STATE(744)] = 29291,
  [SMALL_STATE(745)] = 29338,
  [SMALL_STATE(746)] = 29385,
  [SMALL_STATE(747)] = 29432,
  [SMALL_STATE(748)] = 29483,
  [SMALL_STATE(749)] = 29534,
  [SMALL_STATE(750)] = 29581,
  [SMALL_STATE(751)] = 29628,
  [SMALL_STATE(752)] = 29675,
  [SMALL_STATE(753)] = 29722,
  [SMALL_STATE(754)] = 29769,
  [SMALL_STATE(755)] = 29866,
  [SMALL_STATE(756)] = 29963,
  [SMALL_STATE(757)] = 30055,
  [SMALL_STATE(758)] = 30105,
  [SMALL_STATE(759)] = 30197,
  [SMALL_STATE(760)] = 30289,
  [SMALL_STATE(761)] = 30383,
  [SMALL_STATE(762)] = 30475,
  [SMALL_STATE(763)] = 30567,
  [SMALL_STATE(764)] = 30659,
  [SMALL_STATE(765)] = 30751,
  [SMALL_STATE(766)] = 30843,
  [SMALL_STATE(767)] = 30935,
  [SMALL_STATE(768)] = 31023,
  [SMALL_STATE(769)] = 31099,
  [SMALL_STATE(770)] = 31161,
  [SMALL_STATE(771)] = 31253,
  [SMALL_STATE(772)] = 31345,
  [SMALL_STATE(773)] = 31411,
  [SMALL_STATE(774)] = 31461,
  [SMALL_STATE(775)] = 31545,
  [SMALL_STATE(776)] = 31627,
  [SMALL_STATE(777)] = 31707,
  [SMALL_STATE(778)] = 31775,
  [SMALL_STATE(779)] = 31861,
  [SMALL_STATE(780)] = 31945,
  [SMALL_STATE(781)] = 32007,
  [SMALL_STATE(782)] = 32079,
  [SMALL_STATE(783)] = 32171,
  [SMALL_STATE(784)] = 32263,
  [SMALL_STATE(785)] = 32313,
  [SMALL_STATE(786)] = 32405,
  [SMALL_STATE(787)] = 32497,
  [SMALL_STATE(788)] = 32589,
  [SMALL_STATE(789)] = 32680,
  [SMALL_STATE(790)] = 32773,
  [SMALL_STATE(791)] = 32856,
  [SMALL_STATE(792)] = 32907,
  [SMALL_STATE(793)] = 32988,
  [SMALL_STATE(794)] = 33067,
  [SMALL_STATE(795)] = 33158,
  [SMALL_STATE(796)] = 33249,
  [SMALL_STATE(797)] = 33340,
  [SMALL_STATE(798)] = 33431,
  [SMALL_STATE(799)] = 33482,
  [SMALL_STATE(800)] = 33573,
  [SMALL_STATE(801)] = 33648,
  [SMALL_STATE(802)] = 33739,
  [SMALL_STATE(803)] = 33790,
  [SMALL_STATE(804)] = 33881,
  [SMALL_STATE(805)] = 33964,
  [SMALL_STATE(806)] = 34055,
  [SMALL_STATE(807)] = 34146,
  [SMALL_STATE(808)] = 34237,
  [SMALL_STATE(809)] = 34328,
  [SMALL_STATE(810)] = 34389,
  [SMALL_STATE(811)] = 34456,
  [SMALL_STATE(812)] = 34547,
  [SMALL_STATE(813)] = 34618,
  [SMALL_STATE(814)] = 34709,
  [SMALL_STATE(815)] = 34796,
  [SMALL_STATE(816)] = 34847,
  [SMALL_STATE(817)] = 34938,
  [SMALL_STATE(818)] = 35029,
  [SMALL_STATE(819)] = 35120,
  [SMALL_STATE(820)] = 35211,
  [SMALL_STATE(821)] = 35296,
  [SMALL_STATE(822)] = 35387,
  [SMALL_STATE(823)] = 35478,
  [SMALL_STATE(824)] = 35539,
  [SMALL_STATE(825)] = 35604,
  [SMALL_STATE(826)] = 35692,
  [SMALL_STATE(827)] = 35778,
  [SMALL_STATE(828)] = 35864,
  [SMALL_STATE(829)] = 35910,
  [SMALL_STATE(830)] = 35998,
  [SMALL_STATE(831)] = 36084,
  [SMALL_STATE(832)] = 36134,
  [SMALL_STATE(833)] = 36184,
  [SMALL_STATE(834)] = 36234,
  [SMALL_STATE(835)] = 36320,
  [SMALL_STATE(836)] = 36406,
  [SMALL_STATE(837)] = 36452,
  [SMALL_STATE(838)] = 36502,
  [SMALL_STATE(839)] = 36588,
  [SMALL_STATE(840)] = 36674,
  [SMALL_STATE(841)] = 36752,
  [SMALL_STATE(842)] = 36829,
  [SMALL_STATE(843)] = 36906,
  [SMALL_STATE(844)] = 36983,
  [SMALL_STATE(845)] = 37060,
  [SMALL_STATE(846)] = 37137,
  [SMALL_STATE(847)] = 37214,
  [SMALL_STATE(848)] = 37291,
  [SMALL_STATE(849)] = 37368,
  [SMALL_STATE(850)] = 37445,
  [SMALL_STATE(851)] = 37515,
  [SMALL_STATE(852)] = 37572,
  [SMALL_STATE(853)] = 37629,
  [SMALL_STATE(854)] = 37694,
  [SMALL_STATE(855)] = 37746,
  [SMALL_STATE(856)] = 37804,
  [SMALL_STATE(857)] = 37862,
  [SMALL_STATE(858)] = 37918,
  [SMALL_STATE(859)] = 37976,
  [SMALL_STATE(860)] = 38032,
  [SMALL_STATE(861)] = 38088,
  [SMALL_STATE(862)] = 38144,
  [SMALL_STATE(863)] = 38200,
  [SMALL_STATE(864)] = 38258,
  [SMALL_STATE(865)] = 38316,
  [SMALL_STATE(866)] = 38372,
  [SMALL_STATE(867)] = 38430,
  [SMALL_STATE(868)] = 38488,
  [SMALL_STATE(869)] = 38544,
  [SMALL_STATE(870)] = 38595,
  [SMALL_STATE(871)] = 38646,
  [SMALL_STATE(872)] = 38697,
  [SMALL_STATE(873)] = 38748,
  [SMALL_STATE(874)] = 38799,
  [SMALL_STATE(875)] = 38850,
  [SMALL_STATE(876)] = 38901,
  [SMALL_STATE(877)] = 38954,
  [SMALL_STATE(878)] = 39014,
  [SMALL_STATE(879)] = 39064,
  [SMALL_STATE(880)] = 39112,
  [SMALL_STATE(881)] = 39162,
  [SMALL_STATE(882)] = 39214,
  [SMALL_STATE(883)] = 39269,
  [SMALL_STATE(884)] = 39316,
  [SMALL_STATE(885)] = 39361,
  [SMALL_STATE(886)] = 39404,
  [SMALL_STATE(887)] = 39449,
  [SMALL_STATE(888)] = 39492,
  [SMALL_STATE(889)] = 39537,
  [SMALL_STATE(890)] = 39592,
  [SMALL_STATE(891)] = 39639,
  [SMALL_STATE(892)] = 39682,
  [SMALL_STATE(893)] = 39727,
  [SMALL_STATE(894)] = 39755,
  [SMALL_STATE(895)] = 39783,
  [SMALL_STATE(896)] = 39811,
  [SMALL_STATE(897)] = 39839,
  [SMALL_STATE(898)] = 39867,
  [SMALL_STATE(899)] = 39905,
  [SMALL_STATE(900)] = 39933,
  [SMALL_STATE(901)] = 39961,
  [SMALL_STATE(902)] = 39989,
  [SMALL_STATE(903)] = 40017,
  [SMALL_STATE(904)] = 40045,
  [SMALL_STATE(905)] = 40073,
  [SMALL_STATE(906)] = 40103,
  [SMALL_STATE(907)] = 40131,
  [SMALL_STATE(908)] = 40159,
  [SMALL_STATE(909)] = 40199,
  [SMALL_STATE(910)] = 40227,
  [SMALL_STATE(911)] = 40255,
  [SMALL_STATE(912)] = 40283,
  [SMALL_STATE(913)] = 40311,
  [SMALL_STATE(914)] = 40339,
  [SMALL_STATE(915)] = 40367,
  [SMALL_STATE(916)] = 40395,
  [SMALL_STATE(917)] = 40433,
  [SMALL_STATE(918)] = 40467,
  [SMALL_STATE(919)] = 40505,
  [SMALL_STATE(920)] = 40533,
  [SMALL_STATE(921)] = 40561,
  [SMALL_STATE(922)] = 40589,
  [SMALL_STATE(923)] = 40617,
  [SMALL_STATE(924)] = 40655,
  [SMALL_STATE(925)] = 40683,
  [SMALL_STATE(926)] = 40711,
  [SMALL_STATE(927)] = 40741,
  [SMALL_STATE(928)] = 40779,
  [SMALL_STATE(929)] = 40817,
  [SMALL_STATE(930)] = 40845,
  [SMALL_STATE(931)] = 40873,
  [SMALL_STATE(932)] = 40902,
  [SMALL_STATE(933)] = 40929,
  [SMALL_STATE(934)] = 40956,
  [SMALL_STATE(935)] = 40983,
  [SMALL_STATE(936)] = 41010,
  [SMALL_STATE(937)] = 41037,
  [SMALL_STATE(938)] = 41064,
  [SMALL_STATE(939)] = 41091,
  [SMALL_STATE(940)] = 41118,
  [SMALL_STATE(941)] = 41145,
  [SMALL_STATE(942)] = 41178,
  [SMALL_STATE(943)] = 41205,
  [SMALL_STATE(944)] = 41247,
  [SMALL_STATE(945)] = 41289,
  [SMALL_STATE(946)] = 41333,
  [SMALL_STATE(947)] = 41375,
  [SMALL_STATE(948)] = 41417,
  [SMALL_STATE(949)] = 41463,
  [SMALL_STATE(950)] = 41503,
  [SMALL_STATE(951)] = 41543,
  [SMALL_STATE(952)] = 41581,
  [SMALL_STATE(953)] = 41616,
  [SMALL_STATE(954)] = 41641,
  [SMALL_STATE(955)] = 41676,
  [SMALL_STATE(956)] = 41711,
  [SMALL_STATE(957)] = 41736,
  [SMALL_STATE(958)] = 41761,
  [SMALL_STATE(959)] = 41786,
  [SMALL_STATE(960)] = 41821,
  [SMALL_STATE(961)] = 41846,
  [SMALL_STATE(962)] = 41887,
  [SMALL_STATE(963)] = 41926,
  [SMALL_STATE(964)] = 41961,
  [SMALL_STATE(965)] = 41996,
  [SMALL_STATE(966)] = 42031,
  [SMALL_STATE(967)] = 42066,
  [SMALL_STATE(968)] = 42101,
  [SMALL_STATE(969)] = 42144,
  [SMALL_STATE(970)] = 42179,
  [SMALL_STATE(971)] = 42214,
  [SMALL_STATE(972)] = 42249,
  [SMALL_STATE(973)] = 42284,
  [SMALL_STATE(974)] = 42319,
  [SMALL_STATE(975)] = 42354,
  [SMALL_STATE(976)] = 42389,
  [SMALL_STATE(977)] = 42432,
  [SMALL_STATE(978)] = 42457,
  [SMALL_STATE(979)] = 42492,
  [SMALL_STATE(980)] = 42527,
  [SMALL_STATE(981)] = 42566,
  [SMALL_STATE(982)] = 42607,
  [SMALL_STATE(983)] = 42642,
  [SMALL_STATE(984)] = 42677,
  [SMALL_STATE(985)] = 42712,
  [SMALL_STATE(986)] = 42747,
  [SMALL_STATE(987)] = 42782,
  [SMALL_STATE(988)] = 42817,
  [SMALL_STATE(989)] = 42849,
  [SMALL_STATE(990)] = 42871,
  [SMALL_STATE(991)] = 42903,
  [SMALL_STATE(992)] = 42925,
  [SMALL_STATE(993)] = 42957,
  [SMALL_STATE(994)] = 42979,
  [SMALL_STATE(995)] = 43011,
  [SMALL_STATE(996)] = 43033,
  [SMALL_STATE(997)] = 43065,
  [SMALL_STATE(998)] = 43097,
  [SMALL_STATE(999)] = 43129,
  [SMALL_STATE(1000)] = 43161,
  [SMALL_STATE(1001)] = 43193,
  [SMALL_STATE(1002)] = 43225,
  [SMALL_STATE(1003)] = 43257,
  [SMALL_STATE(1004)] = 43289,
  [SMALL_STATE(1005)] = 43321,
  [SMALL_STATE(1006)] = 43353,
  [SMALL_STATE(1007)] = 43385,
  [SMALL_STATE(1008)] = 43417,
  [SMALL_STATE(1009)] = 43449,
  [SMALL_STATE(1010)] = 43481,
  [SMALL_STATE(1011)] = 43503,
  [SMALL_STATE(1012)] = 43539,
  [SMALL_STATE(1013)] = 43575,
  [SMALL_STATE(1014)] = 43611,
  [SMALL_STATE(1015)] = 43647,
  [SMALL_STATE(1016)] = 43683,
  [SMALL_STATE(1017)] = 43719,
  [SMALL_STATE(1018)] = 43755,
  [SMALL_STATE(1019)] = 43791,
  [SMALL_STATE(1020)] = 43827,
  [SMALL_STATE(1021)] = 43860,
  [SMALL_STATE(1022)] = 43896,
  [SMALL_STATE(1023)] = 43932,
  [SMALL_STATE(1024)] = 43968,
  [SMALL_STATE(1025)] = 44004,
  [SMALL_STATE(1026)] = 44037,
  [SMALL_STATE(1027)] = 44070,
  [SMALL_STATE(1028)] = 44103,
  [SMALL_STATE(1029)] = 44136,
  [SMALL_STATE(1030)] = 44169,
  [SMALL_STATE(1031)] = 44202,
  [SMALL_STATE(1032)] = 44235,
  [SMALL_STATE(1033)] = 44268,
  [SMALL_STATE(1034)] = 44298,
  [SMALL_STATE(1035)] = 44324,
  [SMALL_STATE(1036)] = 44354,
  [SMALL_STATE(1037)] = 44384,
  [SMALL_STATE(1038)] = 44414,
  [SMALL_STATE(1039)] = 44444,
  [SMALL_STATE(1040)] = 44474,
  [SMALL_STATE(1041)] = 44504,
  [SMALL_STATE(1042)] = 44534,
  [SMALL_STATE(1043)] = 44564,
  [SMALL_STATE(1044)] = 44592,
  [SMALL_STATE(1045)] = 44622,
  [SMALL_STATE(1046)] = 44648,
  [SMALL_STATE(1047)] = 44678,
  [SMALL_STATE(1048)] = 44708,
  [SMALL_STATE(1049)] = 44738,
  [SMALL_STATE(1050)] = 44768,
  [SMALL_STATE(1051)] = 44798,
  [SMALL_STATE(1052)] = 44828,
  [SMALL_STATE(1053)] = 44858,
  [SMALL_STATE(1054)] = 44888,
  [SMALL_STATE(1055)] = 44918,
  [SMALL_STATE(1056)] = 44948,
  [SMALL_STATE(1057)] = 44975,
  [SMALL_STATE(1058)] = 45002,
  [SMALL_STATE(1059)] = 45026,
  [SMALL_STATE(1060)] = 45050,
  [SMALL_STATE(1061)] = 45072,
  [SMALL_STATE(1062)] = 45094,
  [SMALL_STATE(1063)] = 45114,
  [SMALL_STATE(1064)] = 45128,
  [SMALL_STATE(1065)] = 45152,
  [SMALL_STATE(1066)] = 45174,
  [SMALL_STATE(1067)] = 45198,
  [SMALL_STATE(1068)] = 45222,
  [SMALL_STATE(1069)] = 45236,
  [SMALL_STATE(1070)] = 45256,
  [SMALL_STATE(1071)] = 45280,
  [SMALL_STATE(1072)] = 45304,
  [SMALL_STATE(1073)] = 45318,
  [SMALL_STATE(1074)] = 45342,
  [SMALL_STATE(1075)] = 45364,
  [SMALL_STATE(1076)] = 45388,
  [SMALL_STATE(1077)] = 45412,
  [SMALL_STATE(1078)] = 45426,
  [SMALL_STATE(1079)] = 45446,
  [SMALL_STATE(1080)] = 45468,
  [SMALL_STATE(1081)] = 45482,
  [SMALL_STATE(1082)] = 45506,
  [SMALL_STATE(1083)] = 45521,
  [SMALL_STATE(1084)] = 45536,
  [SMALL_STATE(1085)] = 45551,
  [SMALL_STATE(1086)] = 45566,
  [SMALL_STATE(1087)] = 45581,
  [SMALL_STATE(1088)] = 45596,
  [SMALL_STATE(1089)] = 45611,
  [SMALL_STATE(1090)] = 45630,
  [SMALL_STATE(1091)] = 45649,
  [SMALL_STATE(1092)] = 45662,
  [SMALL_STATE(1093)] = 45675,
  [SMALL_STATE(1094)] = 45696,
  [SMALL_STATE(1095)] = 45715,
  [SMALL_STATE(1096)] = 45734,
  [SMALL_STATE(1097)] = 45747,
  [SMALL_STATE(1098)] = 45760,
  [SMALL_STATE(1099)] = 45773,
  [SMALL_STATE(1100)] = 45792,
  [SMALL_STATE(1101)] = 45807,
  [SMALL_STATE(1102)] = 45828,
  [SMALL_STATE(1103)] = 45845,
  [SMALL_STATE(1104)] = 45858,
  [SMALL_STATE(1105)] = 45873,
  [SMALL_STATE(1106)] = 45888,
  [SMALL_STATE(1107)] = 45901,
  [SMALL_STATE(1108)] = 45914,
  [SMALL_STATE(1109)] = 45929,
  [SMALL_STATE(1110)] = 45942,
  [SMALL_STATE(1111)] = 45955,
  [SMALL_STATE(1112)] = 45970,
  [SMALL_STATE(1113)] = 45985,
  [SMALL_STATE(1114)] = 46004,
  [SMALL_STATE(1115)] = 46019,
  [SMALL_STATE(1116)] = 46034,
  [SMALL_STATE(1117)] = 46049,
  [SMALL_STATE(1118)] = 46068,
  [SMALL_STATE(1119)] = 46089,
  [SMALL_STATE(1120)] = 46106,
  [SMALL_STATE(1121)] = 46121,
  [SMALL_STATE(1122)] = 46142,
  [SMALL_STATE(1123)] = 46161,
  [SMALL_STATE(1124)] = 46180,
  [SMALL_STATE(1125)] = 46201,
  [SMALL_STATE(1126)] = 46220,
  [SMALL_STATE(1127)] = 46241,
  [SMALL_STATE(1128)] = 46262,
  [SMALL_STATE(1129)] = 46277,
  [SMALL_STATE(1130)] = 46294,
  [SMALL_STATE(1131)] = 46313,
  [SMALL_STATE(1132)] = 46328,
  [SMALL_STATE(1133)] = 46343,
  [SMALL_STATE(1134)] = 46364,
  [SMALL_STATE(1135)] = 46378,
  [SMALL_STATE(1136)] = 46398,
  [SMALL_STATE(1137)] = 46412,
  [SMALL_STATE(1138)] = 46426,
  [SMALL_STATE(1139)] = 46446,
  [SMALL_STATE(1140)] = 46466,
  [SMALL_STATE(1141)] = 46482,
  [SMALL_STATE(1142)] = 46502,
  [SMALL_STATE(1143)] = 46514,
  [SMALL_STATE(1144)] = 46528,
  [SMALL_STATE(1145)] = 46546,
  [SMALL_STATE(1146)] = 46566,
  [SMALL_STATE(1147)] = 46586,
  [SMALL_STATE(1148)] = 46602,
  [SMALL_STATE(1149)] = 46622,
  [SMALL_STATE(1150)] = 46642,
  [SMALL_STATE(1151)] = 46662,
  [SMALL_STATE(1152)] = 46676,
  [SMALL_STATE(1153)] = 46694,
  [SMALL_STATE(1154)] = 46706,
  [SMALL_STATE(1155)] = 46724,
  [SMALL_STATE(1156)] = 46738,
  [SMALL_STATE(1157)] = 46750,
  [SMALL_STATE(1158)] = 46770,
  [SMALL_STATE(1159)] = 46784,
  [SMALL_STATE(1160)] = 46798,
  [SMALL_STATE(1161)] = 46812,
  [SMALL_STATE(1162)] = 46832,
  [SMALL_STATE(1163)] = 46846,
  [SMALL_STATE(1164)] = 46860,
  [SMALL_STATE(1165)] = 46874,
  [SMALL_STATE(1166)] = 46888,
  [SMALL_STATE(1167)] = 46908,
  [SMALL_STATE(1168)] = 46928,
  [SMALL_STATE(1169)] = 46942,
  [SMALL_STATE(1170)] = 46962,
  [SMALL_STATE(1171)] = 46982,
  [SMALL_STATE(1172)] = 46998,
  [SMALL_STATE(1173)] = 47012,
  [SMALL_STATE(1174)] = 47026,
  [SMALL_STATE(1175)] = 47046,
  [SMALL_STATE(1176)] = 47066,
  [SMALL_STATE(1177)] = 47086,
  [SMALL_STATE(1178)] = 47106,
  [SMALL_STATE(1179)] = 47120,
  [SMALL_STATE(1180)] = 47134,
  [SMALL_STATE(1181)] = 47154,
  [SMALL_STATE(1182)] = 47174,
  [SMALL_STATE(1183)] = 47194,
  [SMALL_STATE(1184)] = 47208,
  [SMALL_STATE(1185)] = 47223,
  [SMALL_STATE(1186)] = 47240,
  [SMALL_STATE(1187)] = 47257,
  [SMALL_STATE(1188)] = 47274,
  [SMALL_STATE(1189)] = 47291,
  [SMALL_STATE(1190)] = 47308,
  [SMALL_STATE(1191)] = 47319,
  [SMALL_STATE(1192)] = 47336,
  [SMALL_STATE(1193)] = 47347,
  [SMALL_STATE(1194)] = 47358,
  [SMALL_STATE(1195)] = 47375,
  [SMALL_STATE(1196)] = 47392,
  [SMALL_STATE(1197)] = 47407,
  [SMALL_STATE(1198)] = 47424,
  [SMALL_STATE(1199)] = 47441,
  [SMALL_STATE(1200)] = 47456,
  [SMALL_STATE(1201)] = 47473,
  [SMALL_STATE(1202)] = 47488,
  [SMALL_STATE(1203)] = 47505,
  [SMALL_STATE(1204)] = 47520,
  [SMALL_STATE(1205)] = 47531,
  [SMALL_STATE(1206)] = 47548,
  [SMALL_STATE(1207)] = 47559,
  [SMALL_STATE(1208)] = 47578,
  [SMALL_STATE(1209)] = 47595,
  [SMALL_STATE(1210)] = 47612,
  [SMALL_STATE(1211)] = 47629,
  [SMALL_STATE(1212)] = 47646,
  [SMALL_STATE(1213)] = 47663,
  [SMALL_STATE(1214)] = 47680,
  [SMALL_STATE(1215)] = 47697,
  [SMALL_STATE(1216)] = 47716,
  [SMALL_STATE(1217)] = 47733,
  [SMALL_STATE(1218)] = 47750,
  [SMALL_STATE(1219)] = 47767,
  [SMALL_STATE(1220)] = 47784,
  [SMALL_STATE(1221)] = 47801,
  [SMALL_STATE(1222)] = 47818,
  [SMALL_STATE(1223)] = 47835,
  [SMALL_STATE(1224)] = 47852,
  [SMALL_STATE(1225)] = 47863,
  [SMALL_STATE(1226)] = 47880,
  [SMALL_STATE(1227)] = 47897,
  [SMALL_STATE(1228)] = 47912,
  [SMALL_STATE(1229)] = 47927,
  [SMALL_STATE(1230)] = 47946,
  [SMALL_STATE(1231)] = 47965,
  [SMALL_STATE(1232)] = 47980,
  [SMALL_STATE(1233)] = 47997,
  [SMALL_STATE(1234)] = 48014,
  [SMALL_STATE(1235)] = 48031,
  [SMALL_STATE(1236)] = 48042,
  [SMALL_STATE(1237)] = 48059,
  [SMALL_STATE(1238)] = 48072,
  [SMALL_STATE(1239)] = 48089,
  [SMALL_STATE(1240)] = 48102,
  [SMALL_STATE(1241)] = 48119,
  [SMALL_STATE(1242)] = 48136,
  [SMALL_STATE(1243)] = 48151,
  [SMALL_STATE(1244)] = 48166,
  [SMALL_STATE(1245)] = 48183,
  [SMALL_STATE(1246)] = 48198,
  [SMALL_STATE(1247)] = 48215,
  [SMALL_STATE(1248)] = 48232,
  [SMALL_STATE(1249)] = 48247,
  [SMALL_STATE(1250)] = 48262,
  [SMALL_STATE(1251)] = 48279,
  [SMALL_STATE(1252)] = 48296,
  [SMALL_STATE(1253)] = 48313,
  [SMALL_STATE(1254)] = 48332,
  [SMALL_STATE(1255)] = 48351,
  [SMALL_STATE(1256)] = 48368,
  [SMALL_STATE(1257)] = 48385,
  [SMALL_STATE(1258)] = 48399,
  [SMALL_STATE(1259)] = 48413,
  [SMALL_STATE(1260)] = 48423,
  [SMALL_STATE(1261)] = 48437,
  [SMALL_STATE(1262)] = 48451,
  [SMALL_STATE(1263)] = 48465,
  [SMALL_STATE(1264)] = 48475,
  [SMALL_STATE(1265)] = 48489,
  [SMALL_STATE(1266)] = 48503,
  [SMALL_STATE(1267)] = 48517,
  [SMALL_STATE(1268)] = 48531,
  [SMALL_STATE(1269)] = 48545,
  [SMALL_STATE(1270)] = 48559,
  [SMALL_STATE(1271)] = 48573,
  [SMALL_STATE(1272)] = 48587,
  [SMALL_STATE(1273)] = 48601,
  [SMALL_STATE(1274)] = 48615,
  [SMALL_STATE(1275)] = 48629,
  [SMALL_STATE(1276)] = 48641,
  [SMALL_STATE(1277)] = 48655,
  [SMALL_STATE(1278)] = 48669,
  [SMALL_STATE(1279)] = 48683,
  [SMALL_STATE(1280)] = 48697,
  [SMALL_STATE(1281)] = 48711,
  [SMALL_STATE(1282)] = 48725,
  [SMALL_STATE(1283)] = 48739,
  [SMALL_STATE(1284)] = 48753,
  [SMALL_STATE(1285)] = 48767,
  [SMALL_STATE(1286)] = 48781,
  [SMALL_STATE(1287)] = 48795,
  [SMALL_STATE(1288)] = 48807,
  [SMALL_STATE(1289)] = 48819,
  [SMALL_STATE(1290)] = 48831,
  [SMALL_STATE(1291)] = 48845,
  [SMALL_STATE(1292)] = 48859,
  [SMALL_STATE(1293)] = 48873,
  [SMALL_STATE(1294)] = 48887,
  [SMALL_STATE(1295)] = 48901,
  [SMALL_STATE(1296)] = 48915,
  [SMALL_STATE(1297)] = 48929,
  [SMALL_STATE(1298)] = 48943,
  [SMALL_STATE(1299)] = 48957,
  [SMALL_STATE(1300)] = 48971,
  [SMALL_STATE(1301)] = 48985,
  [SMALL_STATE(1302)] = 49001,
  [SMALL_STATE(1303)] = 49015,
  [SMALL_STATE(1304)] = 49029,
  [SMALL_STATE(1305)] = 49043,
  [SMALL_STATE(1306)] = 49057,
  [SMALL_STATE(1307)] = 49071,
  [SMALL_STATE(1308)] = 49085,
  [SMALL_STATE(1309)] = 49099,
  [SMALL_STATE(1310)] = 49113,
  [SMALL_STATE(1311)] = 49125,
  [SMALL_STATE(1312)] = 49139,
  [SMALL_STATE(1313)] = 49153,
  [SMALL_STATE(1314)] = 49167,
  [SMALL_STATE(1315)] = 49179,
  [SMALL_STATE(1316)] = 49193,
  [SMALL_STATE(1317)] = 49203,
  [SMALL_STATE(1318)] = 49219,
  [SMALL_STATE(1319)] = 49233,
  [SMALL_STATE(1320)] = 49247,
  [SMALL_STATE(1321)] = 49261,
  [SMALL_STATE(1322)] = 49275,
  [SMALL_STATE(1323)] = 49289,
  [SMALL_STATE(1324)] = 49303,
  [SMALL_STATE(1325)] = 49313,
  [SMALL_STATE(1326)] = 49327,
  [SMALL_STATE(1327)] = 49339,
  [SMALL_STATE(1328)] = 49353,
  [SMALL_STATE(1329)] = 49367,
  [SMALL_STATE(1330)] = 49381,
  [SMALL_STATE(1331)] = 49395,
  [SMALL_STATE(1332)] = 49405,
  [SMALL_STATE(1333)] = 49415,
  [SMALL_STATE(1334)] = 49429,
  [SMALL_STATE(1335)] = 49445,
  [SMALL_STATE(1336)] = 49459,
  [SMALL_STATE(1337)] = 49475,
  [SMALL_STATE(1338)] = 49485,
  [SMALL_STATE(1339)] = 49499,
  [SMALL_STATE(1340)] = 49513,
  [SMALL_STATE(1341)] = 49527,
  [SMALL_STATE(1342)] = 49541,
  [SMALL_STATE(1343)] = 49555,
  [SMALL_STATE(1344)] = 49569,
  [SMALL_STATE(1345)] = 49585,
  [SMALL_STATE(1346)] = 49597,
  [SMALL_STATE(1347)] = 49609,
  [SMALL_STATE(1348)] = 49623,
  [SMALL_STATE(1349)] = 49637,
  [SMALL_STATE(1350)] = 49649,
  [SMALL_STATE(1351)] = 49663,
  [SMALL_STATE(1352)] = 49679,
  [SMALL_STATE(1353)] = 49693,
  [SMALL_STATE(1354)] = 49703,
  [SMALL_STATE(1355)] = 49719,
  [SMALL_STATE(1356)] = 49733,
  [SMALL_STATE(1357)] = 49747,
  [SMALL_STATE(1358)] = 49761,
  [SMALL_STATE(1359)] = 49772,
  [SMALL_STATE(1360)] = 49783,
  [SMALL_STATE(1361)] = 49794,
  [SMALL_STATE(1362)] = 49805,
  [SMALL_STATE(1363)] = 49816,
  [SMALL_STATE(1364)] = 49827,
  [SMALL_STATE(1365)] = 49838,
  [SMALL_STATE(1366)] = 49849,
  [SMALL_STATE(1367)] = 49858,
  [SMALL_STATE(1368)] = 49867,
  [SMALL_STATE(1369)] = 49878,
  [SMALL_STATE(1370)] = 49889,
  [SMALL_STATE(1371)] = 49900,
  [SMALL_STATE(1372)] = 49911,
  [SMALL_STATE(1373)] = 49922,
  [SMALL_STATE(1374)] = 49933,
  [SMALL_STATE(1375)] = 49944,
  [SMALL_STATE(1376)] = 49955,
  [SMALL_STATE(1377)] = 49966,
  [SMALL_STATE(1378)] = 49977,
  [SMALL_STATE(1379)] = 49988,
  [SMALL_STATE(1380)] = 49999,
  [SMALL_STATE(1381)] = 50010,
  [SMALL_STATE(1382)] = 50021,
  [SMALL_STATE(1383)] = 50032,
  [SMALL_STATE(1384)] = 50043,
  [SMALL_STATE(1385)] = 50054,
  [SMALL_STATE(1386)] = 50065,
  [SMALL_STATE(1387)] = 50076,
  [SMALL_STATE(1388)] = 50087,
  [SMALL_STATE(1389)] = 50098,
  [SMALL_STATE(1390)] = 50109,
  [SMALL_STATE(1391)] = 50120,
  [SMALL_STATE(1392)] = 50131,
  [SMALL_STATE(1393)] = 50142,
  [SMALL_STATE(1394)] = 50153,
  [SMALL_STATE(1395)] = 50164,
  [SMALL_STATE(1396)] = 50175,
  [SMALL_STATE(1397)] = 50186,
  [SMALL_STATE(1398)] = 50197,
  [SMALL_STATE(1399)] = 50208,
  [SMALL_STATE(1400)] = 50219,
  [SMALL_STATE(1401)] = 50230,
  [SMALL_STATE(1402)] = 50241,
  [SMALL_STATE(1403)] = 50252,
  [SMALL_STATE(1404)] = 50263,
  [SMALL_STATE(1405)] = 50274,
  [SMALL_STATE(1406)] = 50285,
  [SMALL_STATE(1407)] = 50296,
  [SMALL_STATE(1408)] = 50307,
  [SMALL_STATE(1409)] = 50318,
  [SMALL_STATE(1410)] = 50329,
  [SMALL_STATE(1411)] = 50340,
  [SMALL_STATE(1412)] = 50351,
  [SMALL_STATE(1413)] = 50362,
  [SMALL_STATE(1414)] = 50371,
  [SMALL_STATE(1415)] = 50382,
  [SMALL_STATE(1416)] = 50393,
  [SMALL_STATE(1417)] = 50404,
  [SMALL_STATE(1418)] = 50413,
  [SMALL_STATE(1419)] = 50424,
  [SMALL_STATE(1420)] = 50435,
  [SMALL_STATE(1421)] = 50446,
  [SMALL_STATE(1422)] = 50457,
  [SMALL_STATE(1423)] = 50468,
  [SMALL_STATE(1424)] = 50479,
  [SMALL_STATE(1425)] = 50490,
  [SMALL_STATE(1426)] = 50501,
  [SMALL_STATE(1427)] = 50512,
  [SMALL_STATE(1428)] = 50521,
  [SMALL_STATE(1429)] = 50530,
  [SMALL_STATE(1430)] = 50539,
  [SMALL_STATE(1431)] = 50550,
  [SMALL_STATE(1432)] = 50561,
  [SMALL_STATE(1433)] = 50572,
  [SMALL_STATE(1434)] = 50583,
  [SMALL_STATE(1435)] = 50594,
  [SMALL_STATE(1436)] = 50605,
  [SMALL_STATE(1437)] = 50616,
  [SMALL_STATE(1438)] = 50625,
  [SMALL_STATE(1439)] = 50636,
  [SMALL_STATE(1440)] = 50645,
  [SMALL_STATE(1441)] = 50654,
  [SMALL_STATE(1442)] = 50665,
  [SMALL_STATE(1443)] = 50676,
  [SMALL_STATE(1444)] = 50687,
  [SMALL_STATE(1445)] = 50698,
  [SMALL_STATE(1446)] = 50709,
  [SMALL_STATE(1447)] = 50720,
  [SMALL_STATE(1448)] = 50731,
  [SMALL_STATE(1449)] = 50742,
  [SMALL_STATE(1450)] = 50753,
  [SMALL_STATE(1451)] = 50764,
  [SMALL_STATE(1452)] = 50775,
  [SMALL_STATE(1453)] = 50786,
  [SMALL_STATE(1454)] = 50795,
  [SMALL_STATE(1455)] = 50806,
  [SMALL_STATE(1456)] = 50817,
  [SMALL_STATE(1457)] = 50828,
  [SMALL_STATE(1458)] = 50839,
  [SMALL_STATE(1459)] = 50850,
  [SMALL_STATE(1460)] = 50859,
  [SMALL_STATE(1461)] = 50868,
  [SMALL_STATE(1462)] = 50879,
  [SMALL_STATE(1463)] = 50890,
  [SMALL_STATE(1464)] = 50901,
  [SMALL_STATE(1465)] = 50912,
  [SMALL_STATE(1466)] = 50923,
  [SMALL_STATE(1467)] = 50934,
  [SMALL_STATE(1468)] = 50945,
  [SMALL_STATE(1469)] = 50956,
  [SMALL_STATE(1470)] = 50967,
  [SMALL_STATE(1471)] = 50978,
  [SMALL_STATE(1472)] = 50989,
  [SMALL_STATE(1473)] = 51000,
  [SMALL_STATE(1474)] = 51011,
  [SMALL_STATE(1475)] = 51022,
  [SMALL_STATE(1476)] = 51031,
  [SMALL_STATE(1477)] = 51042,
  [SMALL_STATE(1478)] = 51053,
  [SMALL_STATE(1479)] = 51064,
  [SMALL_STATE(1480)] = 51073,
  [SMALL_STATE(1481)] = 51084,
  [SMALL_STATE(1482)] = 51095,
  [SMALL_STATE(1483)] = 51106,
  [SMALL_STATE(1484)] = 51115,
  [SMALL_STATE(1485)] = 51124,
  [SMALL_STATE(1486)] = 51135,
  [SMALL_STATE(1487)] = 51146,
  [SMALL_STATE(1488)] = 51155,
  [SMALL_STATE(1489)] = 51166,
  [SMALL_STATE(1490)] = 51177,
  [SMALL_STATE(1491)] = 51188,
  [SMALL_STATE(1492)] = 51197,
  [SMALL_STATE(1493)] = 51208,
  [SMALL_STATE(1494)] = 51219,
  [SMALL_STATE(1495)] = 51230,
  [SMALL_STATE(1496)] = 51241,
  [SMALL_STATE(1497)] = 51252,
  [SMALL_STATE(1498)] = 51261,
  [SMALL_STATE(1499)] = 51270,
  [SMALL_STATE(1500)] = 51279,
  [SMALL_STATE(1501)] = 51288,
  [SMALL_STATE(1502)] = 51299,
  [SMALL_STATE(1503)] = 51310,
  [SMALL_STATE(1504)] = 51321,
  [SMALL_STATE(1505)] = 51332,
  [SMALL_STATE(1506)] = 51343,
  [SMALL_STATE(1507)] = 51354,
  [SMALL_STATE(1508)] = 51365,
  [SMALL_STATE(1509)] = 51376,
  [SMALL_STATE(1510)] = 51387,
  [SMALL_STATE(1511)] = 51398,
  [SMALL_STATE(1512)] = 51409,
  [SMALL_STATE(1513)] = 51420,
  [SMALL_STATE(1514)] = 51431,
  [SMALL_STATE(1515)] = 51442,
  [SMALL_STATE(1516)] = 51453,
  [SMALL_STATE(1517)] = 51464,
  [SMALL_STATE(1518)] = 51475,
  [SMALL_STATE(1519)] = 51486,
  [SMALL_STATE(1520)] = 51497,
  [SMALL_STATE(1521)] = 51508,
  [SMALL_STATE(1522)] = 51519,
  [SMALL_STATE(1523)] = 51530,
  [SMALL_STATE(1524)] = 51539,
  [SMALL_STATE(1525)] = 51550,
  [SMALL_STATE(1526)] = 51561,
  [SMALL_STATE(1527)] = 51572,
  [SMALL_STATE(1528)] = 51583,
  [SMALL_STATE(1529)] = 51594,
  [SMALL_STATE(1530)] = 51605,
  [SMALL_STATE(1531)] = 51616,
  [SMALL_STATE(1532)] = 51627,
  [SMALL_STATE(1533)] = 51638,
  [SMALL_STATE(1534)] = 51649,
  [SMALL_STATE(1535)] = 51660,
  [SMALL_STATE(1536)] = 51671,
  [SMALL_STATE(1537)] = 51680,
  [SMALL_STATE(1538)] = 51691,
  [SMALL_STATE(1539)] = 51700,
  [SMALL_STATE(1540)] = 51711,
  [SMALL_STATE(1541)] = 51720,
  [SMALL_STATE(1542)] = 51731,
  [SMALL_STATE(1543)] = 51742,
  [SMALL_STATE(1544)] = 51753,
  [SMALL_STATE(1545)] = 51764,
  [SMALL_STATE(1546)] = 51775,
  [SMALL_STATE(1547)] = 51786,
  [SMALL_STATE(1548)] = 51797,
  [SMALL_STATE(1549)] = 51808,
  [SMALL_STATE(1550)] = 51819,
  [SMALL_STATE(1551)] = 51830,
  [SMALL_STATE(1552)] = 51841,
  [SMALL_STATE(1553)] = 51852,
  [SMALL_STATE(1554)] = 51863,
  [SMALL_STATE(1555)] = 51874,
  [SMALL_STATE(1556)] = 51885,
  [SMALL_STATE(1557)] = 51896,
  [SMALL_STATE(1558)] = 51907,
  [SMALL_STATE(1559)] = 51918,
  [SMALL_STATE(1560)] = 51929,
  [SMALL_STATE(1561)] = 51940,
  [SMALL_STATE(1562)] = 51951,
  [SMALL_STATE(1563)] = 51962,
  [SMALL_STATE(1564)] = 51973,
  [SMALL_STATE(1565)] = 51984,
  [SMALL_STATE(1566)] = 51993,
  [SMALL_STATE(1567)] = 52004,
  [SMALL_STATE(1568)] = 52013,
  [SMALL_STATE(1569)] = 52022,
  [SMALL_STATE(1570)] = 52033,
  [SMALL_STATE(1571)] = 52044,
  [SMALL_STATE(1572)] = 52055,
  [SMALL_STATE(1573)] = 52066,
  [SMALL_STATE(1574)] = 52075,
  [SMALL_STATE(1575)] = 52086,
  [SMALL_STATE(1576)] = 52097,
  [SMALL_STATE(1577)] = 52108,
  [SMALL_STATE(1578)] = 52119,
  [SMALL_STATE(1579)] = 52130,
  [SMALL_STATE(1580)] = 52141,
  [SMALL_STATE(1581)] = 52152,
  [SMALL_STATE(1582)] = 52163,
  [SMALL_STATE(1583)] = 52174,
  [SMALL_STATE(1584)] = 52185,
  [SMALL_STATE(1585)] = 52196,
  [SMALL_STATE(1586)] = 52207,
  [SMALL_STATE(1587)] = 52218,
  [SMALL_STATE(1588)] = 52229,
  [SMALL_STATE(1589)] = 52240,
  [SMALL_STATE(1590)] = 52251,
  [SMALL_STATE(1591)] = 52262,
  [SMALL_STATE(1592)] = 52273,
  [SMALL_STATE(1593)] = 52284,
  [SMALL_STATE(1594)] = 52295,
  [SMALL_STATE(1595)] = 52306,
  [SMALL_STATE(1596)] = 52317,
  [SMALL_STATE(1597)] = 52326,
  [SMALL_STATE(1598)] = 52337,
  [SMALL_STATE(1599)] = 52348,
  [SMALL_STATE(1600)] = 52357,
  [SMALL_STATE(1601)] = 52368,
  [SMALL_STATE(1602)] = 52379,
  [SMALL_STATE(1603)] = 52387,
  [SMALL_STATE(1604)] = 52395,
  [SMALL_STATE(1605)] = 52403,
  [SMALL_STATE(1606)] = 52411,
  [SMALL_STATE(1607)] = 52419,
  [SMALL_STATE(1608)] = 52427,
  [SMALL_STATE(1609)] = 52435,
  [SMALL_STATE(1610)] = 52443,
  [SMALL_STATE(1611)] = 52451,
  [SMALL_STATE(1612)] = 52459,
  [SMALL_STATE(1613)] = 52467,
  [SMALL_STATE(1614)] = 52475,
  [SMALL_STATE(1615)] = 52483,
  [SMALL_STATE(1616)] = 52491,
  [SMALL_STATE(1617)] = 52499,
  [SMALL_STATE(1618)] = 52507,
  [SMALL_STATE(1619)] = 52517,
  [SMALL_STATE(1620)] = 52527,
  [SMALL_STATE(1621)] = 52535,
  [SMALL_STATE(1622)] = 52543,
  [SMALL_STATE(1623)] = 52551,
  [SMALL_STATE(1624)] = 52559,
  [SMALL_STATE(1625)] = 52567,
  [SMALL_STATE(1626)] = 52575,
  [SMALL_STATE(1627)] = 52583,
  [SMALL_STATE(1628)] = 52591,
  [SMALL_STATE(1629)] = 52599,
  [SMALL_STATE(1630)] = 52607,
  [SMALL_STATE(1631)] = 52615,
  [SMALL_STATE(1632)] = 52623,
  [SMALL_STATE(1633)] = 52631,
  [SMALL_STATE(1634)] = 52639,
  [SMALL_STATE(1635)] = 52647,
  [SMALL_STATE(1636)] = 52655,
  [SMALL_STATE(1637)] = 52663,
  [SMALL_STATE(1638)] = 52671,
  [SMALL_STATE(1639)] = 52679,
  [SMALL_STATE(1640)] = 52687,
  [SMALL_STATE(1641)] = 52695,
  [SMALL_STATE(1642)] = 52703,
  [SMALL_STATE(1643)] = 52711,
  [SMALL_STATE(1644)] = 52719,
  [SMALL_STATE(1645)] = 52729,
  [SMALL_STATE(1646)] = 52737,
  [SMALL_STATE(1647)] = 52745,
  [SMALL_STATE(1648)] = 52753,
  [SMALL_STATE(1649)] = 52761,
  [SMALL_STATE(1650)] = 52769,
  [SMALL_STATE(1651)] = 52777,
  [SMALL_STATE(1652)] = 52787,
  [SMALL_STATE(1653)] = 52795,
  [SMALL_STATE(1654)] = 52803,
  [SMALL_STATE(1655)] = 52811,
  [SMALL_STATE(1656)] = 52819,
  [SMALL_STATE(1657)] = 52827,
  [SMALL_STATE(1658)] = 52835,
  [SMALL_STATE(1659)] = 52843,
  [SMALL_STATE(1660)] = 52851,
  [SMALL_STATE(1661)] = 52859,
  [SMALL_STATE(1662)] = 52869,
  [SMALL_STATE(1663)] = 52877,
  [SMALL_STATE(1664)] = 52885,
  [SMALL_STATE(1665)] = 52893,
  [SMALL_STATE(1666)] = 52901,
  [SMALL_STATE(1667)] = 52909,
  [SMALL_STATE(1668)] = 52919,
  [SMALL_STATE(1669)] = 52927,
  [SMALL_STATE(1670)] = 52935,
  [SMALL_STATE(1671)] = 52943,
  [SMALL_STATE(1672)] = 52951,
  [SMALL_STATE(1673)] = 52959,
  [SMALL_STATE(1674)] = 52967,
  [SMALL_STATE(1675)] = 52975,
  [SMALL_STATE(1676)] = 52985,
  [SMALL_STATE(1677)] = 52993,
  [SMALL_STATE(1678)] = 53001,
  [SMALL_STATE(1679)] = 53009,
  [SMALL_STATE(1680)] = 53017,
  [SMALL_STATE(1681)] = 53025,
  [SMALL_STATE(1682)] = 53033,
  [SMALL_STATE(1683)] = 53041,
  [SMALL_STATE(1684)] = 53049,
  [SMALL_STATE(1685)] = 53057,
  [SMALL_STATE(1686)] = 53065,
  [SMALL_STATE(1687)] = 53073,
  [SMALL_STATE(1688)] = 53083,
  [SMALL_STATE(1689)] = 53091,
  [SMALL_STATE(1690)] = 53099,
  [SMALL_STATE(1691)] = 53107,
  [SMALL_STATE(1692)] = 53115,
  [SMALL_STATE(1693)] = 53123,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(282),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1015),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1416),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1079),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(354),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1061),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1360),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1361),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(161),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1362),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1346),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(143),
  [222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(337),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(71),
  [231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1344),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1223),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1214),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(305),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1191),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1687),
  [261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1113),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(659),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1686),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(659),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(676),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1309),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(443),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 59),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 59),
  [292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 38),
  [294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 38),
  [296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 100),
  [298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 100),
  [300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 76),
  [524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 76),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 92),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 92),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 80),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 80),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 88),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 88),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 69),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 69),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 37),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 37),
  [594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 37),
  [596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 37),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 98),
  [608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 98),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 88),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 88),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 71),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 71),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(38),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1005),
  [846] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4), SHIFT(90),
  [850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(261),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 6),
  [879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 6),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(90),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(273),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(256),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(146),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 28),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 28),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 62),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 62),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 37),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 37),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 4),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(82),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 48),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 48),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 105),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 105),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 94),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 94),
  [1259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 95),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 95),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 101),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 101),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(235),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(145),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [1292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(251),
  [1295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 8),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 8),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 17),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 17),
  [1334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 6),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 6),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 7),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 7),
  [1399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 10),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 10),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 11),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 11),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 7),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 7),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 15),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 31),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 31),
  [1455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 32),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 32),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 38),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 38),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 39),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 39),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 1, 40),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 1, 40),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 41),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 41),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 42),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 43),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 43),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 44),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 44),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [1501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 49),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 49),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 44),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 53),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 53),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 17),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 17),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 77),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 77),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 32),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 32),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 81),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 81),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 89),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 15),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 42),
  [1656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 42),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 42), REDUCE(sym_assignment_expression, 3, 0, 42),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 42),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 59),
  [1684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(196),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [1807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 57),
  [1809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(258),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1224),
  [1987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1004),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70),
  [1992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(844),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(173),
  [1998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1336),
  [2001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1241),
  [2004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1240),
  [2007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(891),
  [2010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1126),
  [2013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1309),
  [2016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(876),
  [2019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(980),
  [2022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(898),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [2107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(1566),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [2130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35),
  [2241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35), SHIFT_REPEAT(934),
  [2244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 45),
  [2246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 45),
  [2248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 35),
  [2250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 35),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(1309),
  [2267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 38),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 38),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 10),
  [2369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 10),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [2465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [2468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1104),
  [2471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1020),
  [2474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1166),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1069),
  [2532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(95),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65),
  [2537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1069),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 18),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 45),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 45),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 85),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1623),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [2641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 64),
  [2656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [2673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 66),
  [2675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1125),
  [2678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, 0, 36),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 68),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 32),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 22),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(235),
  [2774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(251),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [2779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 33),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 33),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1207),
  [2882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [2884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1207),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1215),
  [2904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [2906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1215),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(205),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1074),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [2980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [2982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1250),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1252),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [3053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [3055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(853),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [3062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(100),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 57),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1101),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 20),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(1121),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [3177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(1351),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [3182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [3237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, 0, 97),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 86),
  [3255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 84),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 82),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 82),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 67),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [3389] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
};

static const bool ts_external_scanner_states[9][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [7] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
